Found a bug? Have a great feature idea? Get on GitHub and tell us about it and we'll get right on it: https://pods.io/submit/

Our GitHub has the full list of all prior releases and changelogs for Pods: [https://github.com/pods-framework/pods/releases](https://github.com/pods-framework/pods/releases)

= 3.3.9 - May 20th, 2026 =

* Security: Resolve a XSS vulnerability in the Pods UI forms in the admin area. Props to Bonds through Patchstack for responsibly reporting this. (@sc0ttkclark)

= 3.3.8 - March 19th, 2026 =

* Feature: Reuse the same UI that Repeatable Fields use for the Relationship fields using "List View" list items. The UI is now consistent and Pods 3.4 will include the same UI treatment for the File fields. (@sc0ttkclark)
* Fixed: Resolve issue with reordering repeatable fields and prevent rendering incorrectly when typing in the field which causes focus to be lost. #7498 #7499 (@pdclark, @sc0ttkclark)
* Fixed: Resolve problems with reordering Relationship fields using "List View" list items. (@sc0ttkclark)
* Fixed: Resolve issue with Migrate PHP component not placing magic tags on the correct separate new line of the file header. (@sc0ttkclark)
* Fixed: Prevent conflicts with ACF/SCF when ACF compatibility functions are enabled.

= 3.3.7 - February 25th, 2026 =

* Fixed: Resolve issues using `WP_Filesystem` to check session paths before starting a session. (@sc0ttkclark)
* Fixed: Prevent deprecated notices with non-strings being passed to `strpos`. (@sc0ttkclark)

= 3.3.6 - February 25th, 2026 =

* Fixed: Resolve a fatal error with `WP_Filesystem` usage. (@sc0ttkclark)

= 3.3.5 - February 24th, 2026 =

* Minimum Requirements Notice: Pods 3.4 coming in 2026 will require new minimum versions of WordPress 6.8+, PHP 8.0+, and MySQL 5.7+
* Feature: Added support for showing fields as "Read Only" in forms when a user does not have edit access to them while allowing admins to continue editing them. You can find this under the Edit Field modal in Advanced > Visibility > UI Access. (@sc0ttkclark)
* Enhancement: When detecting malformed shortcodes broken by `<` or `>` characters within the `where` clause, Pods now shows a helpful notice with workaround instructions instead of just breaking. #7451 #7482 (@sc0ttkclark)
* Enhancement: New replacements within Pods shortcodes clauses for replacing `__LESS_THAN__`, `__LESS_THAN_OR_EQUAL__`, `__GREATER_THAN__`, and `__GREATER_THAN_OR_EQUAL__` with their corresponding `<`, `<=`, `>`, and `>=` characters to work around broken WP shortcodes. This is also available in the `[if]` Pods template shortcode `compare` attribute. #7451 #7482 (@sc0ttkclark)
* Enhancement: New option for conditional logic that will allow saving conditional field values even when the field is hidden. #7475 #7484 (@faisalahammad, @sc0ttkclark)
* Enhancement: New setting at Pods Settings > Performance that allows you to "Limit autocomplete search results in Relationship fields" to specify larger numbers if needed. #7454 (@sc0ttkclark)
* Enhancement: PodsUI > Implement `pods_ui_after_heading` hook for additional UI customizations. (@sc0ttkclark)
* Enhancement: PodsUI > Move restricted() checks before callbacks to prevent additional unnecessary calls when user doesn't have access. (@sc0ttkclark)
* Enhancement: Add `pods_v_bool` that uses `pods_is_truthy` to enforce boolean values on variables from various sources. (@sc0ttkclark)
* Enhancement: Add Manage link to the Navigate section of the Pods content admin forms. (@sc0ttkclark)
* Enhancement: Underlying code support for multiple condition checks for Conditional Logic. (@sc0ttkclark)
* Tweak: Remove trim from `pods_is_truthy` and `pods_is_falsey` functions. (@sc0ttkclark)
* Tweak: In the Edit Field modal, under the Advanced > Visibility section -- the Restrict Access and UI Access are now separate checkbox groups. (@sc0ttkclark)
* Tweak: Pods now follows WP Admin Theme color schemes more closely using dynamic CSS color references to the scheme colors. (@sc0ttkclark)
* Fixed: Shortcode unit test issue resolved. #7472 #7473 (@devlamconstructie, @sc0ttkclark)
* Fixed: Loading a form with WYSIWYG React Quill used as Repeatable fields now loads without breaking the editor. #7465 #7487 (@faisalahammad, @sc0ttkclark)
* Fixed: Resolved reordering of values for Repeatable Date/Time, Currency, and Number fields. #7471 #7486 (@faisalahammad, @sc0ttkclark)
* Fixed: Resolve sync associated taxonomy with relationship issues when not using bidirectional relationship field. #7477 #7485 (@faisalahammad, @sc0ttkclark)
* Fixed: Resolved reordering of values in List View relationship fields. (@sc0ttkclark)
* Fixed: Allow empty values in email fields when field is not required. #7476 #7483 (@faisalahammad, @sc0ttkclark)
* Fixed: esc_html_e usage when not used for translating in PodsUI. #7462 (@DAnn2012)
* Fixed: The default storage type for Settings is set to `option` when creating as it should have been. (@sc0ttkclark)
* Fixed: When using repeatable fields on a Pod that uses Table-based storage, a notice now shows explaining that it's not an available feature. (@sc0ttkclark)
* Fixed: Better support when values are sent as WP_Error and now show appropriate errors in save_pod_item validation handling. (@sc0ttkclark)
* Fixed: Resolve heredoc issue with Migrate PHP component. (@sc0ttkclark)
* Fixed: WordPress 7.0 compatibility issues fixed. (@sc0ttkclark)
* Fixed: Conditional logic now works properly for Boolean Group sub fields (used in Edit Field modal and other Pods Admin areas). (@sc0ttkclark)
* Extensive cleanup to resolve important WP Plugin Checker results, PHPCS, and PHPStan issues across the codebase. (@sc0ttkclark)
* Extensive testing upgrades to PHPUnit 10+ and wp-browser 4. (@sc0ttkclark, @lucetume)
* New hourly verification of the Pods PLC DID and FAIR metadata. (@johnbillion)

= 3.3.4 - September 24th, 2025 =

* Feature: Official support for DID `did:plc:e3rm6t7cspgpzaf47kn3nnsl` for optional installation via DID using the FAIR plugin. (@sc0ttkclark)
* Fix: Prevent duplicates in `Pods::field()` and `Pods::display()` for simple relationships. (@sc0ttkclark)

= 3.3.3 - September 4th, 2025 =

* Tweak: Support referencing ID for `PodsMeta::groups_get()`. (@sc0ttkclark)
* Tweak: Update edit capability used for settings Pods so it can be displayed on the edit pod screen correctly. (@sc0ttkclark)
* Fixed: Resolve issues with TinyMCE and Quill editors not loading when used as repeatable fields or conditional logic. #7448 #7438 #7430 (@multisme, @altermulti, @sc0ttkclark, @ztackett11)
* Fixed: Resolve PHP fatal errors for undefined constant `\Pods\Whatsit\Store::PLACEHOLDER` in some edge case circumstances. #7445 (@sc0ttkclark, @Hue-SPetrovic)
* Fixed: Resolve PHP 8.4 deprecation warnings with DI52 usage. #7448 (@sc0ttkclark, @doehry)
* Fixed: Resolve warnings when using `--args` with WP-CLI commands. #7452 (@sc0ttkclark, @KhaledSakr)
* Fixed: Resolve handling of decimals when auto-formatting to prevent removing zero number values and expand decimal handling for more cases. Improve logic matching (except dashes) for PHP vs JS. (@sc0ttkclark)
* Fixed: Resolve field assigment issue in `pods_config_merge_data()` to reference the correct field. (@sc0ttkclark)

= 3.3.2 - July 8th, 2025 =

* Tweak: Updated Swagger docs for Pods REST API endpoints. (@sc0ttkclark)
* Tweak: `pods_error()` handles any `Exception` object including those extending the base `Exception` class. This allows for more refined error handling in Pods code. (@sc0ttkclark)
* Tweak: PodsAPI now allows for passing in Pods related objects to be passed into various save/load methods without breaking those objects. (@sc0ttkclark)
* Tweak: Allow setting new group when duplicating a field. (@sc0ttkclark)
* Tweak: Added Jest testing coverage for more areas of the DFV code and updated to support the React Testing Library. #7427 (@sc0ttkclark)
* Fixed: Block Editor saves no longer trigger full saves when an autosave is sent and Pods form validation passes. (@sc0ttkclark)
* Fixed: Ensure Pods cache flushes when changing settings to prevent issues with Pods Blocks configs not showing fields conditionally linked to those settings. #7429 (@sc0ttkclark)
* Fixed: When duplicating a pod, group, or field it will now add a space between the label and the copy number. (@sc0ttkclark)
* Fixed: Typos corrected across the codebase. #7434 (@szepeviktor, @sc0ttkclark)
* Fixed: PHP deprecated warnings resolved in Pods REST API and DI52 usage. #7401 #7437 (@BrookeDot, @sc0ttkclark)
* Fixed: Saving Pods settings will now properly flush the Pods cache to ensure that the new settings are applied immediately to all areas that may be cached based on those settings. (@sc0ttkclark)
* Fixed: Added a "doing it wrong" notice and debug log line for when a non-string gets sent to `Pods::do_magic_tags()` to prevent PHP warnings. (@sc0ttkclark)
* Fixed: Better caching around the `pods_can_use_dynamic_feature_sql_clauses()` setting usage to prevent additional DB calls. (@sc0ttkclark)
* Fixed: Resolve issues when saving featured image based on the first value of a file field so it only saves files with the image type. #7433 (@sc0ttkclark)
* Fixed: Add support for `Value_Field` in `pods_config_for_field()` to ensure bidirectional relationships work as expected for saving on both sides. #7435 (@sc0ttkclark)
* Fixed: Prevent erroneous `?` and `#` characters in website formatting. (@sc0ttkclark)

= 3.3.1 - May 2nd, 2025 =

* Fixed: Resolve issue with `get_block_wrapper_attributes()` usage. (@sc0ttkclark)

= 3.3 - May 1st, 2025 =

* New minimum WP version required: WordPress 6.3+ (previously: WP 6.0+)
* Removed: PHP support for Pod Templates and Pod Pages has been officially removed from Pods. This feature was deprecated in Pods 2.3. We recommend you follow the newer more secure way: https://docs.pods.io/displaying-pods/pod-page-template-hierarchy-for-themes/ and https://docs.pods.io/displaying-pods/pod-template-hierarchy-for-themes/ and a snippet if you absolutely still need PHP support for now https://gist.github.com/sc0ttkclark/35a15e6f93622c45f12d671184fb1315 (@sc0ttkclark)
* Feature: Form validation for the Block Editor now prevents saving a post if there are required fields and shows the appropriate error message. #7343 #7369 (@JoryHogeveen, @sc0ttkclark)
* Feature: Upgraded Pods Blocks to the WP Blocks API version 3 to support more features like block wrapper attributes and the iframe editor. (@sc0ttkclark)
* Feature: Added support for WYSIWYG field type when using the TinyMCE editor to allow Delayed initialization and not showing the editor until clicking. This is optional and can be enabled per field. (@sc0ttkclark)
* Feature: Added support for WYSIWYG field type when using the TinyMCE editor to refresh the editor if you encounter compatibility issues with other plugins on load. (@sc0ttkclark)
* Tweak: Allow forcing `pods_serial_comma()` to use exactly what is sent instead of relying on the field config itself. (@sc0ttkclark)
* Tweak: Remove Pods Pro WPGraphQL deactivation message to support future features there. The core functionality of that was merged into Pods 2.9 but new work is still being done in the add-on. (@sc0ttkclark)
* Tweak: Pods Forms now wrap `div` / `p` form output types within a new `div.pods-form-fieldset` wrapper element. The table form output type has the new class `pods-form-fieldset` added to it too. (@sc0ttkclark)
* Fixed: Prevent doing it wrong notices in WP from unintentionally loading translatable strings too early. (@sc0ttkclark)
* Fixed: Improved PHP compatibility with strlen() usage. #7394 (@lbonomo, @sc0ttkclark)
* Fixed: More PHP 8.x compatibility fixes for `PodsUI`. (@sc0ttkclark)
* Fixed: Docs link for Date / Time field type now points to the correct URL. #7405 (@BrookeDot)
* Fixed: Remove unnecessary duplicate IDs in the fetching within `Pods::field()`. (@sc0ttkclark)
* Fixed: Name check handling when duplicating pod now works as expected and prevents weirdly named duplicate pod names. (@sc0ttkclark)
* Tooling: Generate build provenance attestation during deployment for .org zip. #7419 (@johnbillion)

= 3.2.8.2 - February 7th, 2025 =

* Security: Do not allow using custom SQL clauses for Relationship fields when SQL clauses are disabled in the Pods security settings. Props to the CleanTalk / Dmitrii Ignatyev for responsibly reporting this. (@sc0ttkclark)

= 3.2.8.1 - November 22nd, 2024 =

* Security: Resolve stored XSS issue with the File Upload field Add Button Text option. Props to the CleanTalk / Dmitrii Ignatyev for responsibly reporting this (their second report, they are doing good work!). (@sc0ttkclark)
* Security: Harden the use of values within id and class HTML attributes in Pods form elements. (@sc0ttkclark)

= 3.2.8 - November 17th, 2024 =

REMINDER: PHP support for Pod Templates and Pod Pages been turned off by default in Pods 3.2.7+ (`PODS_DISABLE_EVAL` constant set to `false` can be used to re-enable it). It will be completely removed in Pods 3.3 after being deprecated back in Pods 2.3. (@sc0ttkclark)

* Feature: Migrate the PHP in your Pod Templates and Pod Pages directly into your current theme with a new Pods Admin > Tools > Migrate PHP tool. We recommend you use a child theme that you control. PHP warnings now appear on the Pod Template and Pod Page editor screens to prompt you to run the migration. (@sc0ttkclark)
* Feature: Updated the design and user experience of the various guided screens inside of the Pods Admin to make it easier to read and click through on small screens. (@sc0ttkclark, @heybran)
* Enhanced: Pod Page template part handling for PHP template files now passes the `$pods` variable. (@sc0ttkclark)
* Enhanced: Added support for parsing magic tags in Pod Template files in the theme when you set the PHP header comment `Magic Tags: Enabled`. (@sc0ttkclark)
* Enhanced: Run wpautop on Pods Item List and Pods Related Item List blocks for the "not found" content if they are not already formatted. (@sc0ttkclark)
* Fixed: Only running wpautop for block the Pods Field block content if it does not contain div, ul, ol, heading, or p HTML tags. (@sc0ttkclark)
* Fixed: Resolve issue with empty strings showing when using magic tags before/after functionality. (@JoryHogeveen)
* Fixed: Ignore more internal WP post types and taxonomies plus others from other plugins. (@sc0ttkclark)
* Fixed: Move load_plugin_textdomain usage into init and make it optional with the constant `PODS_LOAD_TEXTDOMAIN` set to `true`. It is no longer needed for WordPress.org plugins but may be needed in the future for testing. (@sc0ttkclark)
* Fixed: When getting plugin data, don't make it translatable. (@sc0ttkclark)
* Fixed: When saving bidirectional relationship, attempt to save hook up existing related items data in the `wp_podsrel` table with the bidirectional connection. (@sc0ttkclark)
* Fixed: Resolve PHP notices with site debug information. (@sc0ttkclark)
* Fixed: Resolve PHP warnings with empty template code. (@sc0ttkclark)
* Fixed: More improvements to Pod Page and Pod Template file loading from themes. (@sc0ttkclark)
* Fixed: Resolve issue with slug fields not formatting as expected. (@sc0ttkclark)
* Fixed: SCSS migrated from `@import` to `@use` for compatibility with the latest versions of our SCSS scripting. (@sc0ttkclark)

= 3.2.7.1 - October 9th, 2024 =

* Security: Lock down heading field to only specific allowed HTML tags and preventing it from being used to insert malicious scripts. Props to the CleanTalk / Dmitrii Ignatyev for responsibly reporting this. (@sc0ttkclark)

= 3.2.7 - August 28th, 2024 =

* Feature: New Pods Related Item List block that works like a Pods Item List block but uses the Pods Single Item block context where you specify a relationship field name to reference. (@sc0ttkclark)
* Feature: You can now link field value output from Pods Field Value block to any website field or just use `permalink` to link to the current item of the field. Works with single select relationship field as the link reference. (@sc0ttkclark)
* Feature: Add support for having multiple filters/pagination on the same page when using Pods shortcodes/blocks. (@sc0ttkclark)
* Feature: When a relationship field is using Taxonomy syncing, you can not choose to hide the Taxonomy UI from the Block Editor and Classic Editor. (@sc0ttkclark)
* Feature: New support for Query Monitor now shows Pods debug logs in a QM panel. (@sc0ttkclark)
* Tweak: Toggle add file button on single file field depending on whether a file is provided yet. #7315 (@heybran)
* Tweak: Added a `<p>` wrapper for the span-based pagination. (@sc0ttkclark)
* Removed: PHP support for Pod Templates and Pod Pages has been finally turned off by default (`PODS_DISABLE_EVAL` constant set to `false` can be used to re-enable it). It will be completely removed in Pods 3.3 after being deprecated back in Pods 2.3. (@sc0ttkclark)
* Fixed: Improve REST authentication method to support other auth forms when registering fields. #7340 #7341 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Fix invalid default value for REST API `write_all` option. #7339 (@JoryHogeveen)
* Fixed: Resolve issue with Taxonomy syncing for relationship fields. #7336 #7334 (@pdclark, @sc0ttkclark)
* Fixed: Add fallback for clipboard.writeText. #7314 (@heybran)
* Fixed: Reset items loop before running the fetch loop in `Pods::template()` and the Templates component. (@sc0ttkclark)
* Fixed: Resolve issues with cached queries in PodsData not having the correct corresponding total found for pagination. (@sc0ttkclark)
* Fixed: More phpstan/phpcs fixes across the codebase. (@sc0ttkclark)

= 3.2.6 - July 22nd, 2024 =

* Fixed: Resolve issue with WordPress 6.5 and earlier compatibility by adding polyfill for `react-jsx-runtime` dependency that WP 6.6 related tooling now requires. (@sc0ttkclark)
* Fixed: Resolve `register_meta` issue where it wasn't checking if post type supported revisions before setting meta key as revisionable. (@sc0ttkclark)
* Tweak: Partial work towards a fix for REST API update handling for meta fields which was broken in a previous release. Final fix will be in Pods 3.2.7. (@sc0ttkclark)

= 3.2.5 - July 19th, 2024 =

* Fixed: Resolve issue with WordPress 6.6 compatibility that caused Pods Admin > Edit Pod and Pods forms to stop working properly on some sites. (@sc0ttkclark, @swissspidy)
* Fixed: Resolve PHP deprecated notices with null being passed into certain htmlspecialchars related functions. (@sc0ttkclark)

= 3.2.4 - July 15th, 2024 =

* Feature: Allow restricting media library for File fields to only showing attachments associated to the current post ID. (@sc0ttkclark)
* Feature: Allow File field to automatically use the first file saved as the featured image for the post. (@sc0ttkclark)
* Feature: Add support for Post Types that have associated Taxonomies to have a Relationship field which will automatically sync to the corresponding taxonomy on save. (@sc0ttkclark)
* Fixed: Register meta handling now properly loads when enabled. (@sc0ttkclark)
* Fixed: Remove always visible scrollbar from Settings modal panel container since it does not scroll. (@sc0ttkclark)
* Fixed: REST API Show All Fields setting for a Pod now works as expected again. (@sc0ttkclark)

= 3.2.3 - July 15th, 2024 =

The Pods 3.2.3 release turned into Pods 3.2.4 after an failed attempt at hijacking our plugin on WordPress.org was accidentally documented by online security vulnerability databases as successful.

To be safe and sure that those who are using Pods do not mistake Pods 3.2.3 as a vulnerable release, we will instead release the next version as Pods 3.2.4.

= 3.2.2 - June 18th, 2024 =

* Feature: You can now turn on Taxonomy filters for a Custom Taxonomy so that you see a dropdown filter on the list of posts for any associated post types. (@sc0ttkclark)
* Added: Pods Templates > Support for comments on post types using Pods Templates using `[each comments]` and `[if comments]`. (@sc0ttkclark)
* Added: REST API > Add support for determining whether to require person to be logged in to read values for custom fields (default: login not required). (@sc0ttkclark)
* Added: Automatically redirect to the proper edit URL when going to the Pods Admin > Edit Pods page for a specific pod but `id=XX` is the slug. (@sc0ttkclark)
* Tweak: Accessibility > Make it easier to copy and paste field names for the Edit Pod screen with a new copy icon you can click. #7291 #7237 (@heybran, @sc0ttkclark)
* Tweak: Responsive UI > Improved appearance for the Edit Pod screen for smaller screens. (@sc0ttkclark)
* Fixed: Security hardening > Sanitize HTML before passing into Pods field inputs for paragraph/code/wysiwyg field types to cover additional cases where something could make it past the sanitization process on save. (@sc0ttkclark)
* Fixed: Accessibility > Add label for color fields in the Pods Blocks API so it shows the label and not just the color input itself. #7306 #7305 (@pdclark)
* Fixed: Group and field names now generate in the UI as expected. (@sc0ttkclark)
* Fixed: Compatibility > Date, Date/Time, and Time default values now use single quotes to ensure maximum compatibility with various SQL engines. (@sc0ttkclark)
* Fixed: Compatibility > More PHP compatibility issues with `trim()` related function usage resolved. (@sc0ttkclark)
* Fixed: Code quality > Various phpstan/phpcs issues resolved. (@sc0ttkclark)

= 3.2.1.1 - May 8th, 2024 =

*Security Release*

* Security hardening: Enforce safe URLs for Pods form submission confirmation page URLs. Props to the wesley (wcraft) / Wordfence for responsibly reporting this. (@sc0ttkclark)

= 3.2.1 - March 29th, 2024 =

* Performance: The Advanced Filters popup now uses Autocomplete for relationship fields to improve performance for large itemsets. FYI filters are a feature in the Manage Content UI for Advanced Content Types only. (@sc0ttkclark)
* Fixed: Conditional logic for display callbacks 'allowed' field now showing when choosing the Customized option. (@sc0ttkclark)
* Fixed: PHP 8.1 compatibility fix for null values passed to esc_* functions in WP. (@sc0ttkclark)
* Fixed: PHP 8.1 compatibility fix for html_entity_decode. (@sc0ttkclark)

= 3.2 - March 25th, 2024 =

* Feature: New support for Custom Field revisions in Pods that are Post Types that use Meta storage. You can optionally enable the feature per-pod or per-field. #7265 (@sc0ttkclark)
* Feature: New support for WordPress `register_meta()` for all Pods fields on meta-based Pods. You can enable this feature in Pods Admin > Settings > "Register meta fields". (@sc0ttkclark)
* Feature: New support for specifying where your Custom Fields show in REST API responses for Pods that support that. You can choose from Object (response.field_name) or Meta (response.meta.field_name). (@sc0ttkclark)
* Feature: New support for Custom Fields in the new [WordPress 6.5 Block Bindings API](https://make.wordpress.org/core/2024/03/06/new-feature-the-block-bindings-api/) for the `core/post-meta` source. To use your custom fields there, you will need to enable "Register meta fields" in your Pods Admin > Settings and set your Pod to show it's REST API fields in the "Meta" location instead of Object. (@sc0ttkclark)
* Feature: New custom binding source support for the [WordPress 6.5 Block Bindings API](https://make.wordpress.org/core/2024/03/06/new-feature-the-block-bindings-api/). Specify your source as `pods/bindings-field` and then just pass the same arguments you would pass for a normal `[pods]` shortcode or block. This will bind that dynamic output to the block you are working with. (@sc0ttkclark)
* Feature: Now you can specify whether to default values for a Pods field when the field is empty. This works great for when you add a new field to a Pod and you want to edit an existing item that did not have a field value set. The default value will be used in that circumstance. (@sc0ttkclark)
* Feature: Support for multiple default values when working with a multi-select field. Now you can just separate your values with a comma and they will be set as the default values. (@sc0ttkclark)
* Feature: Now you can specify whether to evaluate magic tags for default values like `{@user.ID}`. (@sc0ttkclark)
* Tweak: New option for Pods shortcodes when used in plugins like Elementor to bypass detecting the loop and to just use whatever ID/post type is available. Use the `bypass_detect_loop="1"` attribute. #7269 (@sc0ttkclark)
* Tweak: Added first used and last installed Pods versions to the Site Health information to be more helpful with debugging. (@sc0ttkclark)
* Tweak: Improved the field label/description for Additional User Capabilities field in the CPT settings. (@sc0ttkclark)
* Fixed: Resolved an annoying issue when adding a new group or field where it would reset the Pod label to the name (slug) of the pod. (@sc0ttkclark)
* Fixed: Updated logic for default value handling when using magic tags for internal field configs to ensure the magic tags get evaluated. (@sc0ttkclark)
* Fixed: Resolve issue with `pods_register_block_type()` not clearing the known blocks cache when registering them. #7167 (@sc0ttkclark)
* Fixed: PHP fatal errors resolved with `array_combine()` usage from changes in WP 6.5. #7266 (@sc0ttkclark)
* Fixed: Custom capability fallbacks when the option is empty now properly fallback to the default capability using that post type name. #7250 (@JoryHogeveen)
* Fixed: PHP deprecated notice with `trim()`. (@sc0ttkclark)
* Fixed: Resolved plupload browse button references to prevent JS console errors. (@sc0ttkclark)
* Fixed: Resolved issue with `window.wpEditorL10n` calls to more safely check for it to prevent JS console errors. (@sc0ttkclark)
* Fixed: Updated the implementation of the compatibility hooks for `set_transient` and `setted_transient` hooks have the proper args expected sent. (@sc0ttkclark)
* Fixed: Empty REST API fields no longer show when the pod doesn't support REST API. (@sc0ttkclark)
* Fixed: Restrict/unrestrict dynamic features logic now properly updates all of the associated Pod settings it needs to in the Access Rights Review screen. (@sc0ttkclark)
* Fixed: Empty arrays now return correctly in Pod / Group / Field settings instead of using their defaults when empty. (@sc0ttkclark)
* Fixed: Resolve potential issues with REST API in certain circumstances which would throw exceptions with the Pods REST API Messages object. (@sc0ttkclark)
* Fixed: Resolve issues when duplicating pods where the new pod name is over the limit and prevents creating the new pod correctly. (@sc0ttkclark)
* Fixed: Access Rights Review notice now only shows on existing installs updating from pre-3.1 instead of showing on new 3.1+ installs too. (@sc0ttkclark)
* Fixed: Accessibility issues with tabbing resolved for Pods Admin > Edit Pods table and Pods Admin > Edit Pod fields list table when working with row actions. #7196 #7198 (@heybran, @sc0ttkclark)

= 3.1.4 - February 28th, 2024 =

* Fixed: Defaults now show correctly for checkbox groups in the Edit Field modals. (@sc0ttkclark)
* Fixed: Resolve potential PHP errors with cached configs in Collections classes that has been there since Pods 2.x. (@sc0ttkclark)
* Fixed: Revisited due to our automated NPM build issue - Resolved an issue with CodeMirror 6.x fields in forms (this is separate from the version 5.x that the Pods Template editor uses). (@sc0ttkclark)

= 3.1.3 - February 27th, 2024 =

* Fixed: Resolved an issue with CodeMirror 6.x fields in forms (this is separate from the version 5.x that the Pods Template editor uses). (@sc0ttkclark)

= 3.1.2 - February 27th, 2024 =

* Added: Now you can set Content Visibility when creating a new pod. (@sc0ttkclark)
* Added: More help text to better explain things on the Access Rights Review screen for extended content types. (@sc0ttkclark)
* Added: New option to specify whether to Sanitize Output for a field in the Additional Field Options of Heading, Paragraph, WYSIWYG, Code, and Text fields. (@sc0ttkclark)
* Added: Pod Reference metabox on the Pods Templates editor screen now has more help text and will now allow clicking to copy any magic tag to clipboard. (@sc0ttkclark)
* Added: Better explain Public vs Publicly Queryable for Post Types and Taxonomies along with showing the current Content Visibility below. (@sc0ttkclark)
* Changed: Updated CodeMirror to 5.65.16 so we can start moving towards CodeMirror 6 for the Pods Template editor. (@sc0ttkclark)
* Fixed: Resolved issues with Access Rights Review screen when making content type public or private causing it not to be fully set (only public was set on, it left out publicly_queryable). (@sc0ttkclark)

= 3.1.1 - February 22nd, 2024 =

This is just a release to retrigger the zip generation on WordPress.org that missed a fix put into the initial 3.1 release tag in SVN.

Pods 3.1 is a security focused release, see below for the changelog information.

= 3.1 - February 21st, 2024 =

*Security Release*

While this release is meant to be as backwards compatible as possible, some aspects of security hardening may require manual intervention by site owners and their developers. There were no known reports and no known attempts to take advantage of the issues resolved by this release except where noted.

Read more about [How access rights work with Pods](https://docs.pods.io/displaying-pods/access-rights-in-pods/) for more details including new filters/snippets that can provide limited access.

* Security hardening: Introduced new access checks and additional fine-grained control over dynamic features across any place in Pods that allows embedding content or forms. This only applies to usage through Pods Blocks or Shortcodes. Using PHP will continue to expect you are handling this on your own unless you pass the appropriate arguments to the corresponding Pods methods. (@sc0ttkclark)
* Security hardening: Prevent using the Pods Views Block / Shortcode to embed any files outside of the current theme. Props to the Nex Team / Wordfence for responsibly reporting this. (@sc0ttkclark)
* Security hardening: Prevent output of `user_pass`, `user_activation_key`, and `post_password` through Pods dynamic features / PHP. These values will be set in Pods references to `****************` if they were not-empty so you can still do conditional checks as normal. While Scott was already aware of this in pre-planned security release work, additional props go to the Nex Team / Wordfence for responsibly reporting this too. (@sc0ttkclark)
* Security hardening: Prevent more unsavory PHP display callbacks from being used with magic tags in addition to those already prevented. Props to the Nex Team / Wordfence for responsibly reporting this. (@sc0ttkclark)
* Feature: Access rights > Access-related Admin notices and Errors can be hidden by admins in a new setting in Pods Admin > Settings > Security. (@sc0ttkclark)
* Feature: Dynamic Features > Dynamic features (Pods Blocks and Shortcodes) can be disabled by admins in a new setting in Pods Admin > Settings > Security. (@sc0ttkclark)
* Changed: Dynamic Features > New installs will now default to not allowing all SQL arguments to be used by dynamic features. Existing installs will default to only allowing simple SQL arguments. All SQL fragments are checked for disallowed usage like subqueries. This can be set in a new setting in Pods Admin > Settings > Security. (@sc0ttkclark)
* Feature: Pods Display > The Display-related Pods Blocks and Shortcodes have additional checks that limit access to content based on the user viewing it. For Post Types that are non-public, they must have access to the `read` capability from that post type as a normal user. For displaying content from Users, they must have access to `list_users` capability to view that. [Read more about how access rights work with Pods](https://docs.pods.io/displaying-pods/access-rights-in-pods/) (@sc0ttkclark)
* Feature: Pods Forms > The Pods Form Block and Form Shortcode have additional checks that limit access to creating/editing content based on the user submitting the form. For Post Types that are non-public, they must have access to the 'create' capability from that post type as a normal user. Forms that submit to the Users pod, now require that the submitter must have access to the `create_users` or `edit_users` capability to create or edit that user. [Read more about how access rights work with Pods](https://docs.pods.io/displaying-pods/access-rights-in-pods/) (@sc0ttkclark)
* Feature: Pods Forms > The Pods Form Block and Form Shortcode now have a new option to identify the form with a custom key you choose that will get passed to various access-related filters so that developers can override access rights more easily. (@sc0ttkclark)
* Feature: Pods Forms > When a user has access to create or edit content through a Pods form for a post type, the `post_content` field is cleaned based on the level of access they have to prevent inserting unintentional shortcodes or blocks. (@sc0ttkclark)
* Feature: Markdown functionality has now been replaced by the [Parsedown library](https://github.com/erusev/parsedown) for better security and performance and it's uniquely prefixed so it prevents future conflicts with plugins using the same library. (@sc0ttkclark)
* Changed: Pods Views > One of the breaking changes in this work is that the Pods Views Block / Shortcode dynamic feature is now disabled by default and must be enabled for new and existing installs. This can be done in a new setting in Pods Admin > Settings > Security. (@sc0ttkclark)
* Changed: Display PHP callbacks > New installs will now default to only allowing specific callbacks to be used. This defaults the specific callbacks allowed to `esc_attr,esc_html` which can be further customized in Pods Admin > Settings > Security. (@sc0ttkclark)

= 3.0.10 - December 11th, 2023 =

* Fixed: The safe rendering handler for Pods Blocks now properly passes along context to all Pods Blocks so that they work within Query Loops again and other places they could take on context. (@sc0ttkclark)
* Fixed: Resolved PHP 8.3 deprecation notice with `get_class()` usage. #7225 (@netlas, @sc0ttkclark)
* Fixed: File fields using the direct plupload option will properly avoid uploading files above the limit and handle uploading multiple files without losing all but the first file in the file list. #7138 (@sc0ttkclark, @PD-CM)

= 3.0.9 - December 7th, 2023 =

* Feature: Added support for disabling Quick Edit for custom post types for sites on WP 6.4+. (@sc0ttkclark)
* Tweak: Revamped the Pods Blocks error handling so it looks nicer. (@sc0ttkclark)
* Tweak: Updated the default values used for "Add New" labels to use "Add New {singularLabel}" instead to follow WP core's direction. (@sc0ttkclark)
* Fixed: Custom capability types now save as empty and remain empty as intended. When empty, they will default to the current post type name and a placeholder shows what that would be. #7218 (@sc0ttkclark)
* Fixed: Added more handling for SQL errors for Pods Blocks. #7207 (@sc0ttkclark)
* Fixed: Resolved WP debug notices when calling `wp_cache_flush_group` by checking if `wp_wp_cache_supports( 'flush_group' )` first. (@sc0ttkclark)

= 3.0.8 - October 20th, 2023 =

* Fixed: Resolved the hooked var handling for pre-save hooks in PodsAPI::save_pod_item() that was broken in Pods 3.0. #5532 #7195 (@sc0ttkclark, @olivierguerriat, @HmCody)
* Fixed: Resolve PHP deprecated notice in the `PodsUpgrade` class. #7190 (@sc0ttkclark)

= 3.0.7 - October 19th, 2023 =

* Fixed: Avoid duplicate fields showing up when registering fields manually through `pods_group_add()` instead of through normal DB or file-based configs. #6317 (@sc0ttkclark)
* Fixed: Resolve cases where Settings pod types would treat every save as a new item. (@sc0ttkclark)
* Fixed: Swept through the codebase to fix all remaining return type issues with PHP 8+ for the most common extended/implemented methods. (@sc0ttkclark)

= 3.0.6 - October 2nd, 2023 =

* Fixed: Resolved a plugin conflict with The Events Calendar / Event Tickets plugins that was introduced in 3.0.5. (@sc0ttkclark)
* Fixed: PHP deprecated notices resolved for return types in PHP 8+ (@sc0ttkclark)

= 3.0.5 - October 2nd, 2023 =

* Tweak: Added the "full" image size to the reference list in the Pods Template editor. #7183 #7184 (@JoryHogeveen)
* Fixed: PHP deprecated notices resolved for WYSIWYG field. #7182 (@sc0ttkclark)
* Fixed: Relationships with user capabilities filtered will now work as expected in more cases when using WP multisite. #7181 #7185 (@JoryHogeveen)
* Fixed: Enforce single value for inputs instead of arrays of values in single format for file/relationship field. This resolves issues with Conditional Logic not seeing the initial value on reload. (@sc0ttkclark)
* Fixed: Normalize numbers when doing conditional logic comparisons. (@sc0ttkclark)
* Fixed: Add new options to trim content of fields by removing empty p tags, trimming whitespace at the end of lines, and removing extra lines. Default those to off (previously they were just always on). (@sc0ttkclark)
* Fixed: Add `tribe()` backward compatibility function for Pods add-ons that still call that function. This only gets included by Pods when Tribe Common is not detected on the site. (@sc0ttkclark)
* Fixed: Resolve file/relationship lookups for settings pages that are DB vs file-based configs. (@sc0ttkclark)

= 3.0.4 - September 25th, 2023 =

* Fixed: Resolve bidirectional removal issue from Pods 2.x where bidirectional relationships would not have the current item removed when you removed that related item. (@sc0ttkclark)
* Fixed: Added repair tool to address the potential for invalid conditional logic saved to the DB in early Pods 3.0 releases or future cases, this is when conditional logic stores a rule that ends up being a long serialized PHP string that contains a serialized PHP array. (@sc0ttkclark)

= 3.0.3 - September 22nd, 2023 =

* Fixed: Settings pods handling for relationships for Pods that are registered by DB / Code / File now normalize as necessary for relationships stored in the `wp_podsrel` index table for which item ID is used to relate from. (@sc0ttkclark)

= 3.0.2 - September 21st, 2023 =

* Feature: You can now disable the Add New forms for a Post Type pod under the Advanced tab. (@sc0ttkclark)
* Fixed: Bi-directional field saving has been restored after breaking in Pods 2.9.x. #7172 (@sc0ttkclark)
* Fixed: More PHP notices/warnings/errors with PHP 8+ addressed. #7170 #7171 (@sc0ttkclark)
* Fixed: Settings saving for simple relationships fixed when using a setting pod registered by code/file. #7169 (@sc0ttkclark)
* Fixed: Settings forms would sometimes say the save failed when it was successful. (@sc0ttkclark)
* Fixed: Fix relationship rendering in tables for Advanced Content Types. #7173 (@sc0ttkclark)
* Fixed: Potential SQL errors when a Pod does not exist but it's still set a relationship object for a field. (@sc0ttkclark)
* Fixed: Pod config data is now correctly passed in all instances of `pods_meta_default_box_title` filter so it's uniform in usage. (@sc0ttkclark)
* Fixed: Bypass "@" prefixed items from being processed in file-based configs. (@sc0ttkclark)
* Fixed: Removed extra line in array for post type definition where `can_export` was set two times. (@sc0ttkclark)
* Fixed: Resolved some cases where boolean return types were treated as filters in `Store::find()`` calls. (@sc0ttkclark)
* Fixed: The `Pods\Blocks\Types\Base::in_editor_mode()` method resolves PHP issue with current screen reference. (@sc0ttkclark)
* Fixed: Ensure code/file based configs do not overwrite DB configs to avoid potential issues where duplicate configs get pulled up in lookups. (@sc0ttkclark)
* Fixed: Some relationship field options were not showing their available options to select from when editing a field on the Edit Pod screen. #7176 (@sc0ttkclark)

= 3.0.1 - September 13th, 2023 =

* Fixed: Custom Settings Pages no longer have the error when saving that was introduced by changes made in Pods 3.0. (@sc0ttkclark)

= 3.0 - September 13th, 2023 =

**Compatibility warning**

New minimum required versions have been updated as follows which includes notices to let you know if you need to update something:

* New minimum WP version required: WordPress 6.0+ (previously: WP 5.7+)
* New minimum PHP version required: PHP 7.2+ (previously: PHP 5.6+) — Hey! You should take the time to update to PHP 8.1+ because that is currently the lowest version actively supported by The PHP Group.

**3.0 Changelog**

* Feature: [Conditional Logic for Fields](https://docs.pods.io/fields/conditional-logic-for-fields/) - You can now choose to show or hide a Pods field based on the value of another Pods field. More will be expanded into this functionality in the future. #609 (@zrothauser, @sc0ttkclark, @Shelob9)
* Feature: Support for the new Command Palettes feature added in WordPress 6.3. This will allow you to contextually go to the Edit Pod screen for the matching Pod configuration of that post type directly from the Edit Post screen. (@sc0ttkclark)
* Added: Set up backward compatible updates to our prior `depends-on` and related logic for internal conditional logic prior to Pods 3.0 so they now properly translate over to the new format required. (@sc0ttkclark)
* Added: When importing and exporting Pods packages, they now include the list of active components. (@sc0ttkclark)
* Fixed: Media saving issue has been resolved when the Media Modal fields are disabled, it now saves fields as expected. #7158 (@sc0ttkclark, @pd-cm)
* Fixed: Improved compatibility with Polylang. #7139 #7140 (@JoryHogeveen)
* Fixed: Redirects after deleting a Pod now send to the current site dashboard instead of hardcoded `/wp-admin/` link. #7137 #7162 (@JoryHogeveen)
* Fixed: When extending a post type or taxonomy it will now use the associated post type or taxonomy label when setting up the pod so it matches. #6350 (@sc0ttkclark)
* Fixed: Resolved problems with saving the featured image from frontend forms when a post type supports featured images. (@sc0ttkclark)
* Fixed: Don't show SQL errors when getting relationship data for forms if the debug display is disabled in WP. (@sc0ttkclark)
* Fixed: Improved tooltip appearances with better color contrast. #7119 #7118 (@heybran)
* Removed: The Tribe Common library has been removed from Pods and it will alleviate conflicts from plugins like The Events Calendar and Event Tickets going forward. (@sc0ttkclark)

= 2.9.19 - June 28th, 2023 =

* Fixed: Ensure that cache modes are validated correctly to prevent transients / static cache / etc from being forced into persistent cache which could fill caches up. (@sc0ttkclark, props to Björn Hasselberg for helping debug and find this)

= 2.9.18 - June 23rd, 2023 =

* Tweak: Abstract all container calls for Tribe Common library to Pods specific functions. (@sc0ttkclark)
* Fixed: Prevent fatal errors with our service provider classes that was caused by a new version of The Events Calendar / Event Tickets plugin from a change to the Tribe Common library that they made. #7105 #7106 (@JoryHogeveen, @sc0ttkclark)

= 2.9.17 - June 22nd, 2023 =

* Performance: Allow disabling showing fields in the Media Library modals for sites that experience heavy performance issues from large media grids in the admin area. This new option is available in Pods Admin > Settings > Performance. (@sc0ttkclark)
* Tweak: Optimize single item lookups in the PodsAPI for post type configurations. (@sc0ttkclark)
* Fixed: Normalize the calls to the list of pod types that were coming from multiple places so they come from `PodsAPI::get_pod_types()`. (@sc0ttkclark)
* Fixed: Resolve issues where pod may not specifically be saved as extended but should be treated as extended for custom pod type objects. (@sc0ttkclark)
* Fixed: Don't save the newer options for `PodsAPI::save_pod()` as actual pod config options. (@sc0ttkclark)
* Fixed: Ignore more internal post types / taxonomies from plugins like Elementor and WooCommerce to prevent conflicts. (@sc0ttkclark)
* Fixed: Resolve potential PHP errors when Wisdom options aren't an array as expected. (@sc0ttkclark)

= 2.9.16 - June 10th, 2023 =

* Tweak: Allow bypassing table schema updates and overwriting table schemas in `PodsAPI::save_pod()` with the new parameters `bypass_table_schema` and `overwrite_table_schema`. (@sc0ttkclark)
* Tweak: Support passing the full WP object (post/term/etc) into `pods( $wp_object )` and use the ID associated with it instead of only the `get_queried_object_id()`. #7094 #7095 (@JoryHogeveen)
* Fixed: The Pods repair tool was overwriting the storage type for table-based pods to `meta`, now it uses the proper logic there and also uses a new abstracted method `Pod::get_default_storage()` for defaults when empty. The tool now also won't overwrite the table schema for each Pod to prevent unintended problems. (@sc0ttkclark)
* Fixed: Resolved PHP error when using WordPress versions prior to 6.1 which did not have the `did_filter()` function that was called. (@sc0ttkclark)
* Fixed: Resolved issues when using Content Types only mode (no custom fields) in the Pods Settings so that Components like Pods Pages and Pods Templates will continue to have their fields shown. (@sc0ttkclark)

= 2.9.15 - May 30th, 2023 =

* Added: Now showing text notices to explain where performance may be improved for Relationship single/multi select fields when relating to dynamic content which direct the admin to use Autocomplete or List View instead in certain circumstances. (@sc0ttkclark)
* Added: Add repair tool that can help recover any Pods that have an invalid pod type / storage. (@sc0ttkclark)
* Tweak: Make the default as Dropdown for single select relationship fields again after seeing some reported issues. (@sc0ttkclark)
* Fixed: Resolved more PHP 8.x compatibility issues for `strlen()` usage. (@sc0ttkclark)
* Fixed: Set default as Dropdown for relationship field configs across Pods. (@sc0ttkclark)

= 2.9.14 - May 29th, 2023 =

* Added: New component: Migrate: Import from the Advanced Custom Fields plugin -- It allows importing the Custom Post Types and Custom Taxonomies from ACF. Note: This does not migrate custom fields or field groups. (@sc0ttkclark)
* Tweak: List View is now the default for Relationship fields that are single select. (@sc0ttkclark)
* Tweak: Updated Site Health info for Pods to include what Pods settings someone has and included memory limit with current memory limit for easier reference. (@sc0ttkclark)
* Tweak: Default the "Watch WP Metadata calls" setting to off by default for Pods 2.9.14+. (@sc0ttkclark)
* Fixed: Always default the Pods setting for `metadata_integration` to off for new Pods installs when WooCommerce is detected to also be installed. (@sc0ttkclark)
* Fixed: Validate cache mode used across Pods to ensure unknown modes do not trigger PHP errors. (@sc0ttkclark)
* Fixed: Resolve PHP errors when registering ACTs via code/JSON. (@sc0ttkclark)
* Fixed: Ensure the parent post ID gets set in more cases when uploading files via a Pod uploader. (@sc0ttkclark)
* Fixed: Set default display filter as empty and avoid strlen PHP errors. #7076 #7075 (@JoryHogeveen)
* Fixed: TinyMCE on frontend would sometimes not show line breaks as paragraphs. #7051 #7049 (@sc0ttkclark)
* Fixed: Allow HTML5 date fields to allow empty values. #7063 #7016 (@Shelob9)
* Fixed: Resolved more PHP 8.x warnings and notices. #7074 (@sc0ttkclark)
* Fixed: Configurations registered via JSON/YML that include field groups are now working as expected to register each group and corresponding fields. #7062 (@sc0ttkclark)
* Fixed: Removed the extra DB call to get registered Pods blocks from the DB that can be re-enabled via a filter `pods_blocks_api_get_blocks_bypass_post_type_find`. (@sc0ttkclark)

= 2.9.13 - March 15th, 2023 =

* Added: API > New `pods_is_truthy()` helper function helps validate truthy strings and handles null/bool/int/float variables too. (@sc0ttkclark)
* Added: API > New `pods_is_falsey()` helper function helps validate falsey strings and handles null/bool/int/float variables too. (@sc0ttkclark)
* Fixed: Cache > Avoid clearing all caches when registering group configs via code. (@sc0ttkclark)
* Fixed: Avatars > Resolve issues with avatars not showing up in certain circumstances and flush appropriate avatar field caches when changing avatar field value. #7025 (@sc0ttkclark)
* Deprecated: Components > The Builder Integration component is now officially deprecated and will be totally removed in Pods 3.1. (@sc0ttkclark)

= 2.9.12.2 - March 12th, 2023 =

* Fixed: PHP > Fix potential PHP fatal in PHP 8+ with certain cached data when cache returns string instead of an expected array. (@sc0ttkclark)

= 2.9.12.1 - March 10th, 2023 =

* Fixed: Components > Fix potential PHP fatal in PHP 8+ with the Translate Pods component. #7023 (@sc0ttkclark)

= 2.9.12 - March 9th, 2023 =

* Added: WP-CLI > Added a new `wp pods tools flush-cache` WP-CLI command to flush the Pods caches. To flushes caches for a specific Pod, use `wp pods tools flush-cache --pod=your_pod` (@sc0ttkclark)
* Added: DFV > Introduce `window.PodsDFV.detectForm()` and `window.PodsDFV.detectField()` helper methods to normalize everything going into the DFV API. (@sc0ttkclark)
* Added: DFV > `window.PodsDFV` methods now accept null for pod, itemId, and formCounter values in various methods which will automatically detect+use the first pod, itemId, and formCounter on the screen. (@sc0ttkclark)
* Added: API > New PHP function `pods_is_demo()` will allow Pods to offer streamlined demos using the one-click WASM demo. (@sc0ttkclark)
* Added: API > New PHP function `pods_clone_objects()` and `pods_clone_object()` assist in cloning objects primarily used through callbacks. (@sc0ttkclark)
* Added: API > New PHP function `pods_debug_log()` allows for logging exception messages that do not need to be shown on the screen. (@sc0ttkclark)
* Added: API > New PHP function `pods_get_item_object()` allows for getting the WP object for an item based on the object type. This is similar to `get_metadata()` in WP core but as a general solution for any object. (@sc0ttkclark)
* Added: API > New `Pods::has_rows()` method can be used instead of `Pods::total()` to just check if there were any rows returned. (@sc0ttkclark)
* Added: Pods Field Output > You can now traverse into the fields `parent` (Taxonomies) and `post_parent` (Post Types) as relationships like `parent.name` or `post_parent.post_title`. This also works for `post_author`. (@sc0ttkclark)
* Added: Pods Field Output > You can now call `post_thumbnail.title`, `post_thumbnail.caption`, `post_thumbnail.description`, `post_thumbnail.mime_type`, `post_thumbnail.alt_text`, `post_thumbnail.width`, `post_thumbnail.height`, `post_thumbnail.filesize`, `post_thumbnail.dimensions`, `post_thumbnail.filename`, and `post_thumbnail.extension`, and image metadata using `post_thumbnail.image_meta.copyright`. This also works for other attachments. (@sc0ttkclark)
* Tweak: Edit Field Modal > Added additional text below the Required option when editing a boolean field to clarify that only the "Yes" option counts as valid. (@sc0ttkclark)
* Tweak: Pods Field Output > Added full `$params` from `Pods::field()` to the filters `pods_data_map_field_values_custom`, `pods_data_map_field_values_map_value`, and `pods_data_map_field_values_map_value_pre_check`. (@sc0ttkclark)
* Tweak: Pods Field Output > Bypass mapping values when in the form context to prevent conflicts with Avatar fields and other fields. (@sc0ttkclark)
* Tweak: Migration > Abstracted the migration process on first edit of a Pod to detect orphaned fields on future edits with a notice on the screen about the repair. (@sc0ttkclark)
* Tweak: API > Split up cache flushing method `PodsAPI::cache_flush_pods()` into a separate method `PodsAPI::cache_flush_groups()` and `PodsAPI::cache_flush_fields()` to more easily flush specific object types. (@sc0ttkclark)
* Tweak: API > Passing more context into pods_podsrel_enabled() usage for future iteration work on certain areas of the code. (@sc0ttkclark)
* Fixed: Edit Field Modal > Attempt to auto-fix `pick_object` for display when it is set to "pod" but the real object is "post_type" or "taxonomy". #7007 (@sc0tkclark)
* Fixed: Components > Fixed PHP warnings with the Translate Pods component (@JoryHogeveen)
* Fixed: Pods Shortcode > Bypass showing the Pods Shortcode button on TinyMCE editors when on an Elementor edit screen. (@sc0ttkclark)
* Fixed: Stats Opt-in > Don't show the opt-in message on Pods content screens, only show it on pages under the Pods Admin menu. (@sc0ttkclark)
* Fixed: Relationship Modal > Updated CSS to prevent the modal from being narrow. #6996 (@pedromfm, @sc0ttkclark)
* Fixed: DFV > Handle `false` values as `null` properly to prevent JS TypeErrors. #6963 (@sc0ttkclark, @spiderneo)
* Fixed: API > Normalize object_type for `PodsAPI::get_table_info()`. #7007 (@sc0tkclark)
* Fixed: API > Return 0 for `{@user.ID}` when logged out instead of `null`. #6979 (@jeiseman, @sc0ttkclark)
* Fixed: API > Return empty string when user context used instead of null for certain fields. (@sc0ttkclark)
* Fixed: API > Use static cache for `PodsMeta::groups_get()` instead of static variable to allow flushing the groups cache. (@sc0ttkclark)
* Fixed: Object Cache > When serializing `Whatsit` object, prevent serialized Closures being cached through Pods Alternative Cache. (@sc0ttkclark)
* Fixed: Pods Field Output > Resolved issue with the fields `parent` (Taxonomies) and `post_parent` (Post Types) so they return the ID as they used to in previous Pods versions. (@sc0ttkclark)
* Fixed: Pods Field Output > Resolve dot notation for attachments and post_thumbnail fields fallbacks when calling object fields like `post_thumbnail.ID`. #7005 (@sc0ttkclark)
* Fixed: Bidirectional Relationships > Now using the correct related limit for bidirectional relationships instead of unlimited. (@sc0ttkclark)
* Fixed: Admin Columns integration > Resolved PHP warning with `substr()` usage. #7014 (@sc0ttkclark)
* Fixed: Pods Find Queries > References to `.meta_value` should always join the meta table when using a table-based Pod that supports meta-based storage. #7009 (@sc0ttkclark)
* Fixed: API > Fixed `filter_by_date` usage of `sprintf()` to prevent PHP warnings. #6980 (@sc0ttkclark)

= 2.9.11.1 - January 23rd, 2023 =

* Fixed: PHP 5.6 compatibility has been restored after some PHP 7.0+ code came through from tribe-common library update in Pods 2.9.11. (@sc0ttkclark)
* Fixed: Identified and resolved additional PHP 5.6 / PHP 7.0+ compatibility warnings in the Pods codebase. (@sc0ttkclark)
* Fixed: Disabled the unnecessary Promoter authentication checks from tribe-common library. (@sc0ttkclark, @fabrisancho)

= 2.9.11 - January 19th, 2023 =

* Security: Fix nonce verification check when deleting a pod. Thanks to Rafshanzani Suhada for responsibly disclosing this through Patchstack (@0xshdax, @sc0ttkclark)
* Compatibility: Improved compatibility with PHP 8.1+ (@sc0ttkclark)
* Tweak: Removed some of the jQuery dependency for Pods DFV, the only part that remains is `jquery-ui-sortable` for File fields (to be further refactored into React at a later point). (@sc0ttkclark)
* Fixed: Updated the tribe-common library which had an older version of JWT included. (@sc0ttkclark)
* Fixed: Remove debug output on the Tools page when no actions needed to run. (@sc0ttkclark)

= 2.9.10.2 - December 14th, 2022 =

* Fixed: The new `pods_get_instance()` function now correctly checks if the `$pod` object is set up before calling methods on it. (@lkraav, @sc0ttkclark)
* Fixed: Properly support REST API namespace customizations for Post Types and Taxonomies. (@sc0ttkclark)

= 2.9.10.1 - December 13th, 2022 =

* Fixed: WP_Error class usage within namespace needed to be identified correctly for `\Pods\Pod_Manager`. (@lkraav, @sc0ttkclark)

= 2.9.10 - December 13th, 2022 =

* Performance: Major performance improvements have been made to decrease queries in more areas of Pods and reduce overall load on any page. (@sc0ttkclark)
* Added: New WP-CLI tool command: `wp pods tools delete-all-content <pod> [--test]` (@sc0ttkclark)
* Added: New WP-CLI tool command: `wp pods tools delete-all-groups-and-fields <pod> [--test]` (@sc0ttkclark)
* Added: New WP-CLI tool command: `wp pods tools delete-all-relationship-data <pod> [--fields] [--test]` (@sc0ttkclark)
* Added: New WP-CLI tool command: `wp pods tools repair-groups-and-fields <pod> [--test]` (@sc0ttkclark)
* Added: Pods Admin > Tools and Pod Resets can now be previewed before you run them. (@sc0ttkclark)
* Tweak: Added debug backtrace to DB query errors as an admin, just add `?pods_debug_backtrace=1` to the URL to enable that to find out more details about where the query came from. (@sc0ttkclark)
* Tweak: Relationships related to a Post Type now have an option to specify "Any Status" as an option for which posts to show. (@sc0ttkclark)
* Fixed: Advanced filters modal shows empty input fields as expected now for Advanced Content Types. #6949 (@sc0ttkclark)
* Fixed: Implemented `num_prefix` in `Pods::ui()` for more customization capabilities. (@sc0ttkclark)
* Fixed: Reduce load on block editor screen for Pods Blocks that have no preview. (@sc0ttkclark)
* Fixed: PHP 8.0+ compatibility changes have been made to bypass PHP deprecation notices. #6579 (@sc0ttkclark)
* Fixed: All currently known PHP 8.0+ deprecation notices have been resolved. (@sc0ttkclark)
* Fixed: Removed `%%%s%%` usage in prepared `LIKE` queries for PodsTermSplitting class. (@sc0ttkclark)
* Fixed: Pods Auto Templates now checks whether a post is password protected (and needs auth) before outputting the template. #6962 (@sc0ttkclark)
* Fixed: Excluded Pods config post types from deletion when post author is deleted. #6938 (@sc0ttkclark)
* Fixed: Settings values now get cached and cleared correctly between saves. #6964 (@sc0ttkclark)
* Fixed: Admin Columns integration no longer throws unaught type errors for field values that contain an array. #6965 #6966 (@therealgilles, @sc0ttkclark)
* Fixed: Block editor inspector controls for Pods Blocks that have dropdowns now show as full width as expected. (@sc0ttkclark)

= 2.9.8 - September 29th, 2022 =

* Enhancement: New `pods_config_for_field` function helps to set up consistent field objects when custom arrays are used. (@sc0ttkclark)
* Enhancement: The `pods_config_for_pod` function now handles basic Pod arrays as well. (@sc0ttkclark)
* Enhancement: New `Whatsit` object now runs the `pods_whatsit_setup` and `pods_whatsit_setup_(pod|field)` actions during setup so the objects can easily be overridden. (@sc0ttkclark)
* Enhancement: New `Field::is_separator_excluded()` method to help determine if current field is excluded from separators using `pods_serial_comma()`. (@sc0ttkclark)
* Tweak: Minor code and performance optimizations. (@sc0ttkclark)
* Fixed: Resolved PHP error registering code-based taxonomies. (@naveen17797)
* Fixed: Resolved cache that wasn't getting cleared when a Template was saved. (@sc0ttkclark)
* Fixed: oEmbed fields are editable again after fixing an issue with the readonly option. (@sc0ttkclark)
* Fixed: Help to prevent magic tag helpers from causing fatal errors when they are used improperly. (@sc0ttkclark)
* Fixed: Resolved issue with getting field values from Pods::field() for code-based relationships that have no ID. (@sc0ttkclark)

= 2.9.7 - September 23rd, 2022 =

* Enhancement: You can now toggle every checkbox at once on the Packages > Export screen instead of just by section. (@sc0ttkclark)
* Enhancement: The `Field` object now has a new `is_file()` method to determine whether the field is a recognized file field type (file or avatar). (@sc0ttkclark)
* Tweak: Post Type Objects and Taxonomy Objects are now available through Relationships and have been moved from the Advanced Relationships component. (@sc0ttkclark)
* Fixed: Resolve issue with some sites having an asset issue with the Pods Template editor. #6924 #6921 (@JoryHogeveen)
* Fixed: Code-based file fields now work correctly with the plupload AJAX handler. (@sc0ttkclark)
* Fixed: Code-based relationship fields now lookup their data correctly in more places like in `Pods::field()`. (@sc0ttkclark)

= 2.9.6 - September 22nd, 2022 =

* Fixed: Resolve issue with autocomplete nonce check and autocomplete method. #6919 (@sc0ttkclark)

= 2.9.5 - September 22nd, 2022 =

* Fixed: Resolved reported issues with Pods Templates saving and loading values incorrectly for Restrict Content fields. #6916 (@sc0ttkclark, @JoryHogeveen)
* Fixed: Color fields are no longer forced as a read only input. #6915 (@sc0ttkclark)
* Fixed: Settings forms are no longer out of sync between the form and fields on which form instance they belong to. #6915 (@sc0ttkclark, @JoryHogeveen)

= 2.9.4 - September 21st, 2022 =

* Feature: New block alert! "Pods Single Item - List Fields" opens the doors towards listing a list of fields in variety of format styles automatically for you. You don't have to write any HTML, just specify the field(s) you'd like to show and let the block do the rest for you. The block will display the Field Labels and the Field Values in a nice readable format. Display formats available include: ul, ol, dl, p, div, and table. Want to show all but a few fields? Just specify which fields to exclude if that's what you're after :) (@sc0ttkclark)
* Feature: New `{@_all_fields}` magic tag (or `$pod->field('_all_fields')` call) will automatically output all field values for the current Pod item in the specified format which includes showing the Field labels. Specify the format using this syntax: `{@_all_fields.ul}` (default is ul, but ol, dl, p, div, and table are also supported). (@sc0ttkclark)
* Feature: New `{@_display_fields....}` magic tag (or `$pod->field('_display_fields....')` call) will automatically output all field values for the current Pod item in the specified format which includes showing the Field labels. Specify the format using this syntax: `{@_display_fields.ul.field_name|another_field|related_post:post_title}` (default is ul, but ol, dl, p, div, and table are also supported) -- Separate your fields with a pipe "|" character and then if you need to traverse into any relationship field then just traverse each level with a colon ":" character between those fields. (@sc0ttkclark)
* Feature: New `pods_data_field()` function allows you to get special data fields directly instead of requiring you to use a full Pods object. (@sc0ttkclark)
* Feature: New Repair tool on the Pods Admin > Settings > Tools page helps to repair Pod, Group, and Field configuration issues that can be annoying to deal with or would normally require Database access to resolve. (@sc0ttkclark)
* Feature: You may not have known about it before but we've expanded our existing Pods DFV JS API, you can access it through the `window.PodsDFV` object. Methods include: `getFields( pod = '', itemId = 0, formCounter = 1 )`, `getField( pod, itemId, fieldName, formCounter = 1 )`, `getFieldValues( pod = '', itemId = 0, formCounter = 1 )`, `getFieldValuesWithConfigs( pod = '', itemId = 0, formCounter = 1 )`, `getFieldValue( pod, itemId, fieldName, formCounter = 1 )`, `setFieldValue( pod, itemId, fieldName, value, formCounter = 1 )`
* Enhancement: You can now choose what field mode you would like to use for REST API fields. The default mode is raw values, but you can choose to return rendered values or both raw+rendered values as an object to work with. #5198 (@sc0ttkclark)
* Enhancement: You can now specify a custom display separator for repeateable fields to use when rendering. #6892 #6890 (@JoryHogeveen)
* Changed: Resetting a Pod has been removed from the Pods Admin > Edit Pods page, instead of clicking "Delete All Items" there, you can now access this directly from Pods Admin > Settings > Cleanup & Reset as the new "Delete all content for a Pod" option. You can specify the Pod you want to delete content for and it explains exactly what you can expect from running it. (@sc0ttkclark)
* Tweak: Updated Pods Admin > Help page now lists more add-ons and where to get them / get support for them. (@sc0ttkclark)
* Fixed: Properly convert accents when creating a new pod and using the label to generate the pod name. #6874 (@sc0ttkclark)
* Fixed: Relationship/file fields that are hidden on the screen will now have all field values referenced instead of only the first value when multiple is enabled for that field. #6913 (@sc0ttkclark)
* Fixed: `pods_query_arg()` now correctly excludes all `$_GET` parameters when passing a manual URL into the function. (@sc0ttkclark)
* Fixed: Legacy WP-CLI commands for Pods are now showing up again, however they will be replaced in a future release with a more comprehensive solution. In the meantime, you can use those commands by calling `wp pods-legacy` and `wp pods-legacy-api`.
* Fixed: Prevent conflicting filter calls when filtering things other than post_title in the Display Field in Selection List option. #6909 #6907 (@therealgilles, @sc0ttkclark)
* Fixed: The autocomplete field now lets you click the "X" delete icon properly instead of starting drag-and-drop event. #6905 #6878 (@JoryHogeveen)
* Fixed: Resolved saving multiple files to a Media pod which would result in only the first file being saved. #6450 (@sc0ttkclark)
* Fixed: Resolved TinyMCE media button handling in some cases so that it checks the correct place in the field configuration. #6569 (@sc0ttkclark)
* Fixed: Resolved overflow issues in small screens for relationship field List View. #6542 (@sc0ttkclark)
* Fixed: Resolved issue with some TinyMCE scripts not being included on certain screens that use the TinyMCE WYSIWYG field. #6525 (@sc0ttkclark)
* Fixed: Pod/Group/Field configurations being saved now get their null-ish values (from empty select fields) sent as empty strings so they are not reverted to the previously saved value on next load. #6558 (@sc0ttkclark)
* Fixed: Pod/Group/Field configurations being saved now get their checkbox boolean options properly enforced as 0/1 and sent so they are not reverted to the default value on next load. #6485 (@sc0ttkclark)
* Fixed: Fields added manually through the older `pods_group_add()` function now get their field types properly recognized. #6381 (@sc0ttkclark)
* Fixed: Field config overrides for requiring a field when outputting via PHP are now properly recognized by DFV JS logic for validation and form submission prevention. #6352 (@sc0ttkclark)
* Fixed: Autocomplete field AJAX calls are now able to correctly reference the field object for code-based registered fields. #6896 (@naveen17797, @sc0ttkclark)
* Fixed: Display of the buttons in the list fields now properly aligns to the right side. #6894 #6893 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Date range validation now validate sbased on the internal format instead of only on the display format. #6882 #6881 (@JoryHogeveen)
* Fixed: Number field type with slider inputs now use the correct number references. #6885 #6884 (@JoryHogeveen)
* Fixed: Currency field type now appears correctly on non-HTML5 fields. #6887 #6886 (@JoryHogeveen)
* Fixed: Resolved read-only fields functionality which was initially missing from the Pods 2.8+ DFV functionality. #6875 #6583 (@zrothauser, @sc0ttkclark)
* Fixed: Resolved issue where fields can disappear while being dragged from one group to another. #6873 #6867 (@zrothauser)

= 2.9.3 - August 18th, 2022 =

* Fixed: Resolve additional issue with WPGraphQL on some PHP configurations. #6868 (@sc0ttkclark)
* Fixed: Code field and others that do not support repeatable inputs are now forced to show non-repeatable inputs even if the setting was saved as on. #6855 (@sc0ttkclark)
* Fixed: TinyMCE WYSIWYG fields are now no longer showing as repeatable since they are not fully supported. Quill Editor remains supported for repeatable input. #6855 (@sc0ttkclark)
* Fixed: A development build has been resolved which broke the Code editor field. #6870 (@JoryHogeveen, @sc0ttkclark)

= 2.9.2 - August 16th, 2022 =

* Tweak: Improve the repeatable field UI elements so they blend in more. #6853 #6854 (@JoryHogeveen, @sc0ttkclark)
* Tweak: Use a popover UI for color fields. #6858 #6859 (@JoryHogeveen)
* Tweak: Use a popover UI for date, date/time, and time fields. #6857 #6389 #6860 (@JoryHogeveen)
* Fixed: Resolve conflicts with Restrict Content Pro to deal with how it uses the shared Common library. (@sc0ttkclark)
* Fixed: Resolve issues with taggable relationships not saving string values. #6862 #6863 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Resolve formatting issues with saved date/time field variations on save. #6389 #6860 (@JoryHogeveen)
* Fixed: Resolve error with WPGraphQL on some PHP configurations. #6865 (@sc0ttkclark)
* Fixed: Resolve error in the field settings for Files with Gallery enabled. #6864 (@sc0ttkclark)

= 2.9.1 - August 10th, 2022 =

* Fixed: CodeMirror compatibility updated after some packages in the build caused Code fields to not show in the Pods forms. #6580 #6584 (@zrothauser, @sc0ttkclark)
* Fixed: Resolve potential fatal errors when interacting with WP_Filesystem by reading files using normal PHP functions and bypassing those edge cases. #6581 #6582 (@sc0ttkclark)

= 2.9 - August 9th, 2022 =

* Feature: Simple Repeatable Fields offers the ability to turn almost any field into a repeatable field. With repeatable fields, you can add multiple values for a field. You can use repeatable fields with the Pods template tag `[each your_repeatable_field]` to easily loop and display information with `{@_value}` Supported field types include: Plain Text, Website, Phone, Email, Password, Date / Time, Date, Time, oEmbed, Plain Paragraph text, WYSIWYG, Plain Number, Currency, and Color Picker. Supported Pod Types include: Post Types (meta-based), Taxonomies (meta-based), Users (meta-based), and Comments (meta-based). #1095 #6304 (@sc0ttkclark, @zrothauser)
* Feature: Register Pods configurations with JSON/YML files in your theme when stored in `pods.json`, `pods/pods.json`, `pods/templates.json`, etc. Custom paths can be registered to support third party plugins as well. Register new paths using `pods_register_config_path( $full_directory_path )` that contain a `/pods/` directory to automatically pull from or use `pods_register_config_file( $full_file_path, 'json' )` to register a specific file. #4856 (@sc0ttkclark)
* Feature: The initial integration for WPGraphQL has been merged from the WPGraphQL Integration Add-On for Pods Pro by SKCDEV. The Add-On itself will continue to be developed with new features that are focused on Advanced Content Types and other enhancements in the future that will still remain outside of Pods core. (@sc0ttkclark)
* Feature: Drag and drop fields from one group to another. #5937 #6114 #6123 #6456 (@sc0ttkclark)
* Feature: Support importing and exporting Pods Settings in Pods Packages. #6455 (@sc0ttkclark)
* Feature: Website fields can now be set to output links with `rel="nofollow"` on them. (@sc0ttkclark)
* Feature: Full support for DB (Post Types), Code (PHP), and File (JSON/YML) configurations on the Pods Admin > Edit Pods screen. If you have configurations for multiple sources, you will see a new Source column (with file path) and you can filter by source. Pods with non-DB sources currently do not have Edit/Duplicate/Reset Content/Delete links. (@sc0ttkclark)
* Feature: The file field can now support any image, video, or audio mime types that are supported by WordPress. #6577 #6578 (@sc0ttkclark, @JoryHogeveen)
* Enhancement: New `\Pods\Pod_Manager` class allows reusing Pods instances when working with the same Pod across many areas of the code. (@sc0ttkclark)
* Enhancement: Added PodsAdmin::check_requirements() helper method. (@sc0ttkclark)
* Enhancement: Migrate Packages component is now enabled by default on new Pods installs. (@sc0ttkclark)
* Tweak: Removed special logic intended for PHP 5.3 and earlier. (@sc0ttkclark)
* Tweak: Improved performance when getting Pods configs from post type storage. #6561 #6562 (@JoryHogeveen)
* Fixed: Set the default sort to Pod Label now that more sources are supported on Pods Admin > Edit Pods. (@sc0ttkclark)
* Fixed: Prevent potential issues with `$wpdb->prepare()` when a related object does not have an index field set. (@sc0ttkclark)
* Fixed: Resolve issue with not reading cache when no ID is passed into Pods objects for Settings pods. #3582 #3583 (@pcfreak30, @sc0ttkclark, @JoryHogeveen)
* Fixed: Don't show the edit link in PodsUI if access is restricted, previously going to edit would show the access message but now the link won't show at all in those restricted cases. (@sc0ttkclark)
* Fixed: Resolve issues with Media modal fields showing duplicate fields. #6564 (@JoryHogeveen)
* Fixed: Handle processing the Pods display tags in a more dynamic way for attributes and passing them down to the tag handlers. (@sc0ttkclark)
* Fixed: Enable media buttons for the post_content field like they should so that forms outside the admin screen continue to function as expected. #6525 (@sc0ttkclark)
* Fixed: Resolve issues with values that are objects and convert them to arrays for relationship value formatting in DFV field renders. #6566 (@sc0ttkclark)
* Fixed: Show the Add Media button in forms that use the post_content field. #6569 (@sc0ttkclark)
* New minimum WP version required: WordPress 5.7+ (previously: WP 5.5+)
* No minimum PHP version changes (currently: PHP 5.6+) but please be aware that PHP 7.2+ will be required for the Pods 3.0+ feature release. You should take the time to update to PHP 8.0+ because there’s major speed improvements to be had 🙂

= 2.8.23 - July 4th, 2022 =

* Tweak: Added support for exporting post types and taxonomies to PHP for debugging purposes. While logged in as an admin, add `?pods_debug_register_export=1` to expose textareas on the page to get the code. (@sc0ttkclark)
* Tweak: Added support for new `{@_current_page}` calculation value. (@sc0ttkclark)
* Tweak: Added support for calculation values in conditional display tags like `[if field="_position" value="2"]`. #6513 (@sc0ttkclark)
* Fixed: Resolved revision issues when `revisions_to_keep_limit` is set to 0 in the post type. It was supposed to see 0 and use the default revision limit. Instead, it was disabling the revisions for that post type. #6499 (@sc0ttkclark)
* Fixed: Resolved potential PHP warnings on certain sites by preparing SQL queries separately from other string processing. #6556 #6555 #6554 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Resolved potential PHP notices when getting table information in `PodsData::table()`. (@JoryHogeveen)
* Fixed: Resolved potential PHP type conversion warnings by passing `SORT_REGULAR` to `array_unique()`` in the File field saving process. (@JoryHogeveen)
* Fixed: Pods Auto Templates defaults for some fields were set to "true" and that is now treated as empty. The default for those fields are now empty as intended. This resolves notices on the Edit Pod screen about templates being used for Archives when Archives are disabled, but there was no template intentionally set for Archive. (@sc0ttkclark)

= 2.8.22.1 - July 3rd, 2022 =

* Fixed: Resolve potential PHP errors from Relationship/File field saves by ensuring consistent array structures.

= 2.8.22 - July 3rd, 2022 =

* Added: Support `IN` and `NOT IN` comparisons for the Pods Templating `[if]` conditional shortcode that checks if the current value is/isn't within a comma-separated list of values. (@sc0ttkclark)
* Added: Support `=` and `!=` comparisons when the current value is an array of values, it now confirms the value is/isn't within that array. (@sc0ttkclark)
* Added: When saving pod items, support field-type specific save method for non-tableless field types for future flexibility. (@sc0ttkclark)
* Added: New `pods_query_prepare()` function maps to `pods_query()` but allows for distinct prepare usage instead of confusing array syntax. (@sc0ttkclark)
* Added: Added new `Field::get_single_multi()` helper method to determine whether a field is using a single/multi format type. (@sc0ttkclark)
* Tweak: When saving pod items, pre-process tableless field type data consistently to better support table-based storage. (@sc0ttkclark)
* Tweak: When saving pod items, allow filtering the list of processed data values that will be used to do the final save with `pods_api_save_pod_item_processed_data_to_save`. (@sc0ttkclark)
* Tweak: Adjusted the prepared SQL statements to use the new `pods_query_prepare()` when doing `wp_podsrel` table relationship lookups. (@sc0ttkclark)
* Tweak: Filter `wp_podsrel` table relationship lookup related IDs the same way as meta-based related IDs get with the `pods_api_lookup_related_items_related_ids_for_id` filter. (@sc0ttkclark)
* Tweak: Support custom heading tags for the Heading field in the DFV-powered areas like the Edit Pod screen. (@sc0ttkclark)
* Tweak: Further lock down custom heading tags in PHP-powered forms so that they can only contain basic tag names. (@sc0ttkclark)
* Fixed: Avoid setting post terms that are empty when saving pod item. (@sc0ttkclark)
* Fixed: Dot-traversal in Pods Templating `[if]` conditional shortcodes references the correct pod and expected field path. (@sc0ttkclark)

= 2.8.21 - June 27th, 2022 =

* Tweak: Allow language relationships with Polylang language taxonomy. #6541 #6540 (@JoryHogeveen)
* Fixed: When determining the first version installed of Pods, use the last known version instead of the current version. (@sc0ttkclark)
* Fixed: Increase the version used when determining defaults for Meta Integration and Meta Overrides. (@sc0ttkclark)
* Fixed: Remove empty values from list of file types to prevent PHP warnings. #6544 #6543 (@JoryHogeveen)
* Fixed: Prevent errors on List Select fields if there are empty results. #6536 #6536 (@zrothauser)

= 2.8.20 - June 17th, 2022 =

* Fixed: Use the correct defaults for the new Pods Settings of Meta Integration and Meta Overrides. (@sc0ttkclark)
* Fixed: Use the correct defaults for Pods Settings when they return as a blank string. (@sc0ttkclark)

= 2.8.19 - June 13th, 2022 =

* Fixed: Theme views now load as expected, fixing an issue introduced in 2.8.18. (@sc0ttkclark)

= 2.8.18 - June 10th, 2022 =

* Added: New helper functions `pods_clean_memory()` and `pods_maybe_clean_memory()` introduced to provide WP-CLI commands in Pods core and add-ons the ability to help reduce memory usage in long running processes. (@sc0ttkclark)
* Added: New function `Pods::is_defined()` determines whether a Pod was defined or if it was generated adhoc when calling a non-defined Pod. (@sc0ttkclark, @JoryHogeveen)
* Added: New function `Pods::is_valid()` replaces the logic in `Pods::valid()` to better follow the naming pattern used elsewhere in Pods. `Pods::valid()` is not deprecated yet. (@sc0ttkclark)
* Added: New functions `pods_static_cache_get()`, `pods_static_cache_set()`, and `pods_static_cache_clear()` abstract the static cache handling that would sometimes fail if the class was not available. (@sc0ttkclark)
* Added: New filter `pods_init_register_assets_load_pods_dfv_on_front` which allows you to force loading Pods DFV scripts on the front of the site when needed. Normally they will be included but some plugins/themes may need them enqueued sooner. (@sc0ttkclark)
* Tweak: Improved performance when using TranslatePress by optimizing how settings and blocks are handled to avoid extra `__()` translation calls. (@sc0ttkclark)
* Tweak: Improved performance with Block configurations. (@sc0ttkclark)
* Tweak: Improved performance with existing content type checks. (@sc0ttkclark)
* Tweak: Improved performance by offering a new setting to enable/disable tracking changed fields. (@sc0ttkclark)
* Tweak: Improved performance by offering a new setting to enable/disable metadata integration. (@sc0ttkclark)
* Tweak: Improved performance and third party plugin compatibility by offering a new setting to enable/disable metadata display overrides for Relationship/File fields. (@sc0ttkclark)
* Tweak: Improved file types help text on the File field to describe how limiting file types works more clearly. (@sc0ttkclark)
* Tweak: Default input type for Relationships multiple-select is now List View. (@sc0ttkclark)
* Fixed: File path checks are now more strict and consistent across all Pods Views loading. (@sybrew from The SEO Framework team, @sc0ttkclark)
* Fixed: SVG and other file types would not properly match up when certain plugins add additional mime types to be supported. (@sc0ttkclark)
* Fixed: Improved fallback handling for DB table schema errors when trying to add a column that may already exist in the table. (@sc0ttkclark)
* Fixed: Support labels for HTML field types in more form areas. (@sc0ttkclark)
* Fixed: `PodsUI` now filters all field values instead of circumventing that when it's pulled from the table row already. (@sc0ttkclark)

= 2.8.17 - May 11th, 2022 =

* Fixed: Attempting to catch potential issues where an issue is detected with loading the Tribe Common library by introducing a wrapper function `pods_container()` to be used before calling `tribe()`. (@sc0ttkclark)

= 2.8.16 - May 6th, 2022 =

* Added: More compatibility with Advanced Relationship Storage Add-On from Pods Pro by SKCDEV which allows for saving table-based relationship fields during the normal save process. (@sc0ttkclark)
* Fixed: Booleans when saving to the database now prepare as `%d` instead of the generic `%s`. (@sc0ttkclark)
* Fixed: Additional SV file escaping on exports to prevent formulas from evaluating in certain spreadsheet apps unexpectedly. (@sc0ttkclark)
* Fixed: The old Pods / Pods API CLI commands were unintentionally removed in Pods 2.8 and they have now been brought back as `wp pods-legacy` and `wp pods-legacy-api`. (@sc0ttkclark)
* Fixed: Improved the text / link for registering connections on Post Types and Taxonomies so they reference the correct object type. (@sc0ttkclark)
* Fixed: Multi-select fields were not saving properly in certain forms. #6498 #6216 (@zrothauser)
* Confirmed compatibility with WordPress 6.0.

= 2.8.15 - April 16th, 2022 =

* Added: New `pods_callback` support in `Pods::find()` so that you can pass a callback function to use for `pods()` usage with relationships using the `output` as "pods". This allows for using shared instances across large data sets to reduce time. (@sc0ttkclark)
* Added: New property `$data->fetch_full` added to `PodsData` which can be used to turn off additional fetch requests when all table data was already returned by the query with `t.*`. (@sc0ttkclark)
* Fixed: When using table-based fields and a non-simple relationship has a field in the table, it will still be expanded like a normal relationship field when requesting it by name with no traversal. (@sc0ttkclark)
* Fixed: Call `PodsField_Pick::simple_objects()` using the object instead of statically to prevent PHP notices. (@sc0ttkclark)
* Fixed: Adjust the `Pods\REST\V1\Endpoints\Base::check_permission()` method so that it references the correct `\Pods` object. (@sc0ttkclark)

= 2.8.14 - April 15th, 2022 =

* Added: New `$params` support in `Pods::total_found( $params )` to support `Pods::find( $params )` shorthand lookups for getting total number of records found more easily. (@sc0ttkclark)
* Added: New `pods_api_save_field_table_definition_mode` filter allows overriding the definition mode when saving a field (bypass/add/drop/change) for schema management. (@sc0ttkclark)
* Added: New `pods_podsrel_enabled()` arguments to allow filtering based on the field and context. (@sc0ttkclark)
* Added: New `pods_data_build_pre_traverse_args` filter allows for overriding the find/replace/traverse/params arguments for a `PodsData::build()` request before relationship traversal runs. (@sc0ttkclark)
* Added: New `pods_data_traverse_recurse_handle_join` filter allows for overriding the JOIN SQL used for relationship traversal. (@sc0ttkclark)
* Fixed: Resolved potential PHP issues with path checks in `PodsView` on certain environments. (@sc0ttkclark)
* Fixed: When a slug is set on a Pods Page, if the slug value comes through as empty due to a path issue, it will now enforce a 404 as expected. (@sc0ttkclark)
* Fixed: Resolved a few issues with the old field data coming through to the `pods_api_save_field_old_definition` filter. (@sc0ttkclark)
* Fixed: No longer showing WPDB errors from WPDB when query errors are forced off. (@sc0ttkclark)

= 2.8.13 - April 10th, 2022 =

* Fixed: Resolved PHP issues with PHP 7.x with the WPML integration. (@sc0ttkclark)

= 2.8.12 - April 8th, 2022 =

* Fixed: Resolved PHP issues with PHP 7.x with the REST API endpoints. (@sc0ttkclark)
* Fixed: Fix Auto Template logic for detecting taxonomy archives to get the correct pod name from the associated term. #6368 #6490 (@JoryHogeveen)

= 2.8.11 - April 8th, 2022 =

* Added: You can now enable types-only mode for Pods under Pods Admin > Settings. This new mode will disallow adding and managing custom groups/fields. You can force it on by defining `PODS_META_TYPES_ONLY` as true in your wp-config.php too. #6437 (@sc0ttkclark)
* Added: Now you can limit relationship fields that relate to post types to only include posts that match the current post's author. #4291 (@sc0ttkclark)
* Added: JS API - Now you can hook into right after the Pods form fields have loaded by using `window.PodsDFV.hooks.addAction( 'pods_init_complete', 'pods/dfv', () => {} );` #6482 (@zrothauser, @sc0ttkclark)
* Added: JS API - New JS helper functions to interact with fields on the screen including `window.PodsDFV.getField( pod, itemId, fieldName, formCounter )`, `window.PodsDFV.getFields( pod, itemId, formCounter )`, `window.PodsDFV.getFieldValue( pod, itemId, fieldName, formCounter )`, `window.PodsDFV.setFieldValue( pod, itemId, fieldName, value, formCounter )`. #6471 #6475 (@zrothauser, @sc0ttkclark)
* Added: CLI - New CLI command `wp pods playbook run` which can run playbook .json files which allow you to perform multiple tasks with the Pods API. Useful for coordinating renames of Pods, Groups, and Fields, along with other CLI tasks between different environments. #6460 (@sc0ttkclark)
* Fixed: Limit by post status option has been resolved but you may need to re-save your post status choices again. #6470 (@sc0ttkclark)
* Fixed: Duplicated Pods now properly set the groups for the duplicated fields. If you have a Pod that is missing fields, try adding `&pods_debug_find_orphan_fields=1` to your edit pod URL and it should automatically fix them for you. #6463 (@sc0ttkclark)
* Fixed: Advanced Content Type modals now close as expected when saving them within Flexible Relationships (Add New / Edit links for a relationship). #6457 #6481 (@zrothauser)
* Fixed: Thumbnails in file lists now properly scale down as expected. #6473 #6474 (@JoryHogeveen)
* Fixed: Simple Relationships now properly save once again for Settings pods. #6476 (@sc0ttkclark)
* Fixed: The relationship field option for Autocomplete Select fields have improved drag and drop functionality to resolve issues with larger datasets. #6428 #6466 (@zrothauser)
* Fixed: Now refreshing the language cache when WPML switches languages. #6448 #6449 (@JoryHogeveen)
* Fixed: Disabled Tribe Common shortcode handling (when loading TC for Pods in independent-mode). #6438 (@sc0ttkclark)
* Fixed: Resolved issue with the editor instance appearing over the dropdown select field options. #6452 #6453 (@JoryHogeveen)

= 2.8.10 - February 1st, 2022 =

* Fixed: Meta compatibility fix for when it was not saving to meta through direct update meta calls. #6429 #6431 (@sc0ttkclark)
* Fixed: Don't render the wrapper HTML for blocks if the contents are empty. (@sc0ttkclark)

= 2.8.9 - January 31st, 2022 =

* Added: There's a new tool at Pods Admin > Settings > Tools that will let you "Recreate missing tables". This will run the logic used to create those tables needed by Pods. This is currently just for `wp_podsrel` but will eventually include all other table-based Pods too. #5795 (@sc0ttkclark)
* Added: Are you interested in seeing how much data your Pods are storing? You can now add `&pods_include_row_counts=1` to the Pods Admin > Edit Pods URL and see how many Data Rows, Meta Rows, and Relationship Rows are associated to each pod. This is a hidden feature and will be added in the future as a link directly within the Edit Pods screen. (@sc0ttkclark)
* Added: Support for alignment and custom classes on Pods Blocks. Disabled support for Anchors until they are officially resolved for dynamic blocks in core. (@sc0ttkclark)
* Added: Hooks implemented for new compatibility with the Pods Pro by SKCDEV Add On for Advanced Relationship Storage. (@sc0ttkclark)
* Fixed: Abstracted the meta saving into `PodsMeta::save_meta()` so that it can be used to remove duplicate logic in other methods and implemented it for meta fallback for simple relationship compatibility saving in integrations like Paid Membership Pro. (@sc0ttkclark)
* Fixed: Resolved single/double quotes that were getting converted to HTML entities for Custom Post Type singular/plural labels. #6399 #6394 (@JoryHogeveen)
* Fixed: Additional work on preventing unnecessary queries from other plugins with our Meta API integration. #6379 (@sc0ttkclark)
* Fixed: Groups now properly check their access rights before showing. #6377 (@sc0ttkclark)
* Fixed: Resolved deprecation notices where we still called `pods_ui_message()`, replaced with `pods_message()`. #6340 (@sc0ttkclark)
* Fixed: Resolved issues with 00:00 times when HTML5 inputs are enabled for Date/Time fields. #6256 #6382 (@zrothauser, @sc0ttkclark)
* Fixed: Some times after updating to 2.8, a Pod may have orphaned fields that exist outside of groups. This normally gets handled during the first time you edit a pod but now we have an additional count check to see if the field counts match as expected when editing a pod so it can trigger that process even after the first edit in 2.8. #6384 #6302 (@sc0ttkclark)
* Fixed: Cleaned up and abstracted the logic to build the field name used in DB queries for a field. #6270 #6411 (@sc0ttkclark, @jamesgol)
* Fixed: Resolved Date/Time field issues on certain browsers/OS combinations. #6318 #6300 (@sc0ttkclark, @zrothauser)
* Fixed: No longer showing the pagination links if there's just one page. #5184 (@sc0ttkclark)
* Fixed: Resolved PHP warnings with the Pods Blocks that may occur due to variations on how the data is provided to the block. #6367 #6386 #6388 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Relationships now properly respect the depth provided in the field settings for REST API responses. #6373 (@sc0ttkclark)
* Fixed: Better prevent recursive loops when saving meta from third parties. #6391 (@sc0ttkclark, @mircobabini)
* Fixed: Resolve pods_data usage in `PodsAPI::import()`. #6404 (@sc0ttkclark, @LN-MDeRuscio)
* Fixed: Multiple block collections registered through Pods now works as expected. #6403 (@sc0ttkclark)
* Fixed: Groups now remove from the screen after deleting them. The group was deleted before but it wasn't removed from the screen which caused confusion. #6395 #6396 (@zrothauser, @sc0ttkclark)
* Fixed: Resolved PHP warning in PHP 8+ on 404 pages for taxonomy terms. #6383 #6387 (@JoryHogeveen)
* Fixed: Reordering relationships for all inputs that support that has been resolved. #6206 #6094 #6390 (@zrothauser)
* Fixed: Resolved issues with newly added items being added to the multi-select input. #6216 #6385 (@zrothauser)
* Fixed: Improved appearance for Add New modal sizes. #6364 #6365 (@JoryHogeveen)

= 2.8.8.1 - December 8th, 2021 =

* Fixed: Resolve issues with going to Add New Pod screen and not seeing expected post types / taxonomies to be extended. #6358 #6359 (@JoryHogeveen)
* Fixed: Slider formatting for input now supports more varied separators and decimal characters. #6357 #6361 (@JoryHogeveen)

= 2.8.8 - December 7th, 2021 =

* Tweak: Support passing the object into specific field functions/helpers using the filter `pods_helper_include_obj` and returning `true`. (@sc0ttkclark)
* Tweak: Exclude post types and taxonomies more uniformly and allow filtering the ignored types with the filter `pods_meta_ignored_types`. You can check whether a content type is covered by calling `PodsMeta::is_type_covered( $content_type, $object_name )`. (@sc0ttkclark)
* Fixed: Resolved conflicts with Ultimate Member plugin by disabling Object Field access in meta data functions. You can enable access to these fields by returning true on the `pods_meta_cover_object_fields_in_meta` filter going forward. (@sc0ttkclark)
* Fixed: Ensure Number formatting is normalized for all number/currency inputs to prevent issues with decimal/thousands formats. #6269 #6356 #6333 (@JoryHogeveen)
* Fixed: Pods Pages now loads the expected value for page_template when editing a Pod Page. #6355 (@sc0ttkclark)
* Fixed: Pods Pages now loads the labels for Associated Pod when editing a Pod Page. #6355 (@sc0ttkclark)
* Fixed: Prevent potential timeouts by reducing areas of conflict in `PodsMeta`. #6349 (@sc0ttkclark)
* Fixed: Resolved potential performance issues / timeouts with large datasets and many Pods Blocks when loading Block Editor by adding the filter `pods_blocks_types_preload_block` and returning `false` to disable preloading blocks on load of the edit post screen. #6349 (@sc0ttkclark)
* Fixed: Enforce slug characters on registration of post type / taxonomy instead of the admin config field for Custom Rewrite Slug and Archive Page Slug Override. #6354 (@sc0ttkclark)
* Fixed: Resolve issues with `PodsAPI::save_field()` when trying to save a field just using the name, now you can pass the `override` parameter as true to bypass duplicate field checks to force saving as matching field. #6345 (@sc0ttkclark)
* Fixed: More robust checking for conflicts with extended post types and taxonomies before registering them. #6348 #6342 (@sc0ttkclark)
* Fixed: Resolved bug with Form, Item List, and Item Single blocks so they get the correct context from the Query blocks when rendering. #6351 (@sc0ttkclark)
* Fixed: Use `copy()` instead of `file_get_contents()` in `pods_attachment_import()`. (@sc0ttkclark)

= 2.8.7 - December 1st, 2021 =

* Fixed: Solved issue where some shortcodes were not processed properly in templates. #6337 (@sc0ttkclark)
* Fixed: Prevent conflicts with get_metadata integrations causing recursive loops. (@sc0ttkclark)

= 2.8.6 - November 30th, 2021 =

* Security: Escape/KSES labels and descriptions in more places. (@sc0ttkclark)
* Tweak: Added bbPress profile form support so that Pods fields appear like the other form fields. (@sc0ttkclark)
* Tweak: Added ability enable more consistent responses with REST API relationship depths. Filter `pods_api_export_pod_item_level_export_ids_at_final_depth` and return true to only export IDs at the final depth (note: depth set as 1 always returns IDs). #6260 (@sc0ttkclark)
* Tweak: Added ability to force checking if a Pod has orphan fields that aren't assigned to groups and setting them to the first group. Add `pods_debug_find_orphan_fields=1` to the URL when editing a pod. (@sc0ttkclark)
* Tweak: Implement Block schema for Pods blocks and set the icons to use dashicons for WordPress.org. (@sc0ttkclark)
* Tweak: Improve performance by only checking a Pod once for a field when filtering meta related functions. (@sc0ttkclark)
* Tweak: When calling pick_object and pick_val for a field object, automatically map to the corresponding method to deal with additional logic. (@sc0ttkclark)
* Fixed: Flush cache after importing packages. (@sc0ttkclark)
* Fixed: Adjust CSS for fields in meta boxes that are in side context. (@sc0ttkclark)
* Fixed: Resolve issues with enqueueing assets that may not be registered yet (for bbPress compatibility) by doing a late enqueue. (@sc0ttkclark)
* Fixed: Resolve PHP notices and added a fallback when related IDs are not set in the cache as expected. #6322 (@sc0ttkclark)
* Fixed: Advanced Content Types now create the default fields as expected (name, created, modified, author, permalink) . #6314 (@sc0ttkclark)
* Fixed: Added backwards compatibility for some more old Pods 1.x code, but be sure to update compatibility as this may not be maintained in the future. #6312 (@sc0ttkclark)
* Fixed: Added backwards compatibility for `[if]` template tags to support running normal shortcodes in them. To enable this, set `PODS_TEMPLATES_ALLOW_OTHER_SHORTCODES` to true in your wp-config.php file. #6290 (@sc0ttkclark)
* Fixed: Set up the currency configurations needed for frontend forms with currency fields (using non-USD currencies) in case they haven't been set up yet. #6315 (@sc0ttkclark)
* Fixed: Added backwards compatibility for `pods_group_add()` so that when a field is marked as hidden in the UI but it is added directly with `pods_group_add()`, then it will treat it as not hidden anymore. #6309 (@sc0ttkclark)
* Fixed: Automatically assume configuration needs to be refreshed when transient of Pods registered post types/taxonomies does not match current post types/taxonomies count in Pods configs. #6313 (@sc0ttkclark)
* Fixed: Relationships now require a Related Type option to be set. #6327 (@sc0ttkclark)
* Fixed: Resolve issues with duplicating a Pod so that it properly creates the duplicated groups/fields for the new pod. #6330 (@sc0ttkclark)

= 2.8.5 - November 17th, 2021 =

* Fixed: Resolved problems with old Pods 1.x upgrades not fully going away. (@sc0ttkclark)
* Fixed: Resolved problems with extended post types being overridden. (@sc0ttkclark)

= 2.8.4.1 - November 17th, 2021 =

* Fixed: Resolved issues where usage of `pods_group_add()` could produce errors which would stop the Edit Post screen from loading. (@sc0ttkclark)

= 2.8.4 - November 16th, 2021 =

* Added: Pods Field Value widget now supports using current post/term just like the Pods Single Item widget does. (@sc0ttkclark)
* Fixed: Checkbox dependencies for Pod options now show as expected when loading the Edit Pod screen for a newly created Pod. #6255 #6291 (@zrothauser)
* Fixed: "/" is now specifically disallowed from being used for the custom rewrite slug on a post type or taxonomy to prevent rewrite conflicts. #5744 (@sc0ttkclark, @dingman)
* Fixed: Advanced Filters pop-up now shows without showing the unused scrollbars in most cases. #6264 (@sc0ttkclark)
* Fixed: Comment forms now show the expected custom fields created by Pods when logged out. #6262 (@sc0ttkclark)
* Fixed: Relationship fields that do not call AJAX for autocomplete will now correctly allow searching items in the list. #6238 (@sc0ttkclark, @TrevorSqE)
* Fixed: Resolved caching bug that showed an extra post type in the menu when renaming a post type. #6258 (@sc0ttkclark)
* Fixed: Files now save correctly and the saving logic no longer conflicts with relationship fields. #6263 #6280 #6281 #6294 #6282 (@sc0ttkclark)
* Fixed: Prevent potential fatal errors with Pods 1.x compatibility with PodsUI handling. #6297 (@sc0ttkclark)
* Fixed: Check if a Pod is extending an existing post type dynamically so that it can continue to function when the original post type is removed or when there are configuration issues. #6266 (@sc0ttkclark)
* Fixed: Date formats starting with day first now work as expected with the date form field. #6259 (@sc0ttkclark)
* Fixed: Time values with "00:00" no longer counts as empty. #6256 (@sc0ttkclark)
* Fixed: ISO time format "c" now works as expected for date/time form fields. #6272 #6271 (@sc0ttkclark, @JoryHogeveen)
* Fixed: Custom date and time formats with escaped characters now work correctly with the date/time form fields. #6261 (@sc0ttkclark)
* Fixed: Resolved translation issues by adding more translatable text field options for Color and Relationship fields. #6265 (@JoryHogeveen)
* Fixed: Polylang / WPML integration now properly avoids problems when no language data is set. #6286 (@JoryHogeveen)
* Fixed: Placeholder values are properly inherited based on field type specific options. #6289 (@JoryHogeveen, @sc0ttkclark)
* Fixed: REST API fields now correctly check the right field option for whether fields should be individually shown. #6288 (@JoryHogeveen)
* Fixed: Relationship traversal now properly handle selection limit if more than the original field. #6243 (@sc0ttkclark)
* Fixed: Prevent potential conflicts when a plugin uses `$post->content` instead of `$post->post_content` to get the content of a post. Pods no longer checks object field aliases with `get_post_meta()` and directly integrated metadata function calls. (@sc0ttkclark)
* Fixed: Fix `orderby` PHP notices for `in_array()` checks on field id and field index. (@sc0ttkclark)
* Fixed: Better checks for Pod objects existing in PodsMeta. (@sc0ttkclark)
* Fixed: Removed the "Extra Fields" option (old WP compatibility option) for Custom Taxonomies on the Pods Admin > Add New screen. (@sc0ttkclark)
* Fixed: Resolved issues where post type associated taxonomies would sometimes not return the correct field values due to cached taxonomy info available, it now has access to all current taxonomies. (@sc0ttkclark)
* Fixed: Resolved `$traverse` variable conflicts in PodsData by renaming to `$traverse_field`. (@sc0ttkclark)
* Fixed: Added method `PodsForm::block_field_types()` to allow previous calls to continue to work as expected in order to prevent fatal errors. If you use this method you should use `PodsForm::layout_field_types()` instead, but it is now available again and properly set as deprecated. (@sc0ttkclark)

= 2.8.3 - October 28th, 2021 =

* Fixed: Resolved problem when using `taxonomy_name.name` in `Pods::field()` where some circumstances could cause it to return empty unexpectedly. #6214 (@sc0ttkclark)
* Fixed: Custom date formats for both Display and Input now validated against instead of Display only. #6213 (@sc0ttkclark, @jamesgol, @zrothauser)
* Fixed: Improved RTL support for Edit Pod screen modals. #6208 (@JoryHogeveen, @jaavid)
* Fixed: Filesystem checks adjusted to reduce errors when only reading files. #6242 (@sc0ttkclark)
* Fixed: Resolved PHP errors with PodsUI and sorting fields. #6247, #6249, #6250 (@sc0ttkclark)
* Fixed: Improved compatibility with MySQL 5.7+ for `DISTINCT` query issues with `SELECT` and `ORDER BY`. #6251 (@sc0ttkclark)
* Fixed: Tile mode for Image gallery on File field no longer overlaps when showing many tiles. #6252 (@bwdgroup, @sc0ttkclark)
* Fixed: Multiple forms now work correctly on the same page and no longer conflict with each other. #6203 (@zrothauser, @sc0ttkclark)
* Fixed: Resolve potential PHP errors when getting information about a relationship to an object that no longer exists. (@sc0ttkclark)
* Fixed: Resolved issue from Pods 2.8.2 where certain values come back as unexpected as fixed in #6231, the values now get set back to the proper expected type after processing. (@sc0ttkclark)
* Fixed: Removed unused JS files from Pods 2.x and clean up admin asset enqueueing logic. (@sc0ttkclark)

= 2.8.2 - October 26th, 2021 =

* Added: Include the link button on the Quill Editor toolbar. #6221 (@pdclark)
* Added: You can now use `$pod->template_singular()` just like `$pod->template()` except it runs while within a `$pod->fetch()` loop without conflicting. #6215 (@sc0ttkclark)
* Fixed: Pod Templates now work expected when you set `$pod->id` manually. #6215 (@sc0ttkclark)
* Fixed: Table relationship data queries now work as expected for custom column names. #6244, #6241, #6223 (@sc0ttkclark)
* Fixed: Advanced Content Type UI options now show option fields correctly for UI columns and other fields which may have formatting different than expected by React. #6210 (@sc0ttkclark)
* Fixed: Pod Page and Pod Templates now have correct conditional logic handling to show/hide fields based on settings. #6240 (@sc0ttkclark)
* Fixed: Order By `date` and other aliases for object fields like `post_date` now work again as expected. #6230 (@sc0ttkclark)
* Fixed: When a value comes back from get_post_meta that is not as expected, better handle the value based on `$single` in `Pods::field()`. #6231 (@sc0ttkclark)
* Fixed: When `depends-on` and other dependency options are not formatted as expected, prevent conditional check from failing. #6212 (@sc0ttkclark)
* Fixed: Ensure filters in `PodsUI` set overrides needed for display. #6239 (@gafiulov)
* Fixed: Number and currency fields no longer force 0 as default value. #6226, #6209 (@sc0ttkclark)
* Fixed: Improved compatibility with WPML for Pods Auto Templating. #6219, #6218 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Resolve PHP errors on page when using `[each category]` template tag with posts. #5971 (@sc0ttkclark)
* Fixed: Prevent erroneous meta JOINs added for object fields when they target `t` already. #6192 (@sc0ttkclark)
* Fixed: Resolve issues with default values for certain Pod configuration options. #6178 (@zrothauser, @sc0ttkclark)
* Fixed: Ensure certain Pod configuration checkboxes can be unchecked properly and saved. #6200 (@zrothauser, @JoryHogeveen, @sc0ttkclark)

= 2.8.1 - October 20th, 2021 =

* Fixed: Simple Custom Defined Relationships now output correctly again when displaying them like `{@my_relationship.my_custom_defined_relationship}`. #6189 #6191 (@sc0ttkclark)
* Fixed: Color Picker now has the "Clear" button back. #6194 #6196 (@JoryHogeveen)
* Fixed: Display Field in Selection option now properly works again. #6195 (@sc0ttkclark)
* Fixed: REST API fields are registered properly for post types and taxonomies again. #6175 (@jamesgol, @sc0ttkclark)
* Fixed: The Pods Admin menu icon shows up again and has been switched to SVG format. #6177 #6180 (@JoryHogeveen, @sc0ttkclark)
* Fixed: The correct Currency now shows up for the currency input field as intended again. #6184 (@sc0ttkclark)
* Fixed: Taggable autocomplete works as expected again. #6182 (@sc0ttkclark)
* Fixed: ORDER BY basic field detection has been improved to prevent certain fields from using the incorrect alias. (@sc0ttkclark)
* Fixed: The `<ul>` used with checkbox inputs has been styled with `list-style:none` as it should be. (@sc0ttkclark)
* Fixed: Default the form output type to `div` if it's provided but empty. (@sc0ttkclark)
* Compatibility: Added compatibility for Enfold theme and public forms so that `wp-mediaelement` is not removed by the theme. #6188 (@sc0ttkclark)
* Tweak: Internal API - Storage and Storage Types used in the internal Pods code has been clarified to prevent ambiguity. Storage Types have been changed to Object Storage Types in all areas regarding Whatsit Storage). (@sc0ttkclark)
* Tweak: Public forms now have unique IDs added to them to help in custom CSS work. (@sc0ttkclark)

Found a bug? Have a great feature idea? Get on GitHub and tell us about it and we'll get right on it: https://pods.io/submit/

= 2.8 - October 18th, 2021 =

Release post: https://pods.io/2021/10/18/pods-2-8-feature-release/

Read the full [Pods 2.8 Field Guide](https://pods.io/2021/02/11/pods-2-8-beta-1-released-and-the-field-guide-to-pods-2-8/) which includes information about all the features, enhancements, and changes in this major Pods release.

**Breaking compatibility warning:**
* New minimum required versions have been updated as follows which includes notices to let you know if you need to update something.
* New minimum WP version required: WordPress 5.5+ (previously: WP 4.5+)
* New minimum PHP version required: PHP 5.6+ (previously: PHP 5.3+) — Hey! You should take the time to update to PHP 7.4+ because there’s major speed improvements to be had 🙂
* New minimum MySQL version required: MySQL 5.5+ (previously: MySQL 5.1+)
* Refactored object handling for Pod and Field configurations — we now lazy load and pull things as-needed from the database instead of always pulling all Pods and Fields at once. It remains backward compatible in most array usage

**Features and changes in this release**
* Feature: Now you can add multiple groups of fields. (@sc0ttkclark, @zrothauser)
* Feature: Our Edit Pod screen is powered by our all new React form interfaces, tooltips, and they use our new Pods Admin REST API endpoints. (@sc0ttkclark, @zrothauser)
* Feature: All of our form fields are powered by React now in preparation for Pods 2.9 repeatable fields that we're working on next. (@sc0ttkclark, @zrothauser)
* Feature: New field types for Heading and HTML. (@sc0ttkclark, @zrothauser)
* Feature: New Pods Blocks available and the underlying Pods Block PHP API is compatible with ACF Blocks if you've ever used those before. (@sc0ttkclark, @zrothauser)
* Feature: REST API endpoints are now available to create/edit various objects: Pods, Pod Groups, and Pod Fields. (@sc0ttkclark)
* Feature: WP-CLI commands that mirror the REST API endpoints we have. (@sc0ttkclark)
* Feature: The new WYSIWYG editor option to use [Quill Editor](https://github.com/zenoamaro/react-quill) is now available and the CLEditor has been removed. (@sc0ttkclark, @zrothauser)
* Compatibility: Completely updated compatibility with WPML and Polylang plugins.

= 2.7.31 - September 23rd, 2021 =

* Pods 2.8 is coming on October 12th! Check out the [Pods 2.8 Field Guide](https://pods.io/2021/02/11/pods-2-8-beta-1-released-and-the-field-guide-to-pods-2-8/) for more information.
* Fixed: Resolve issues where searching a Pod would cause queries like `post_title.t` or `display_name.t` unexpectedly. #6050 (@sc0ttkclark, @unknownnf)

= 2.7.30 - August 12th, 2021 =

* Fixed: Prevented a few PHP notices from showing on the new WordPress 5.8+ widgets screen.

= 2.7.29 - August 4th, 2021 =

* Security: Clean up post type and taxonomy labels so they avoid potential output escaping problems in WordPress core (@sc0ttkclark, reported by Muhammad Daffa via WPScan)
* Friends of Pods: Updated CTA text about our 2021 donor goals. (@sc0ttkclark)
* Added: Support for Timezones in datetime / time fields. #6042 (@JoryHogeveen)
* Added: Support for Pantheon WP Native Sessions plugin. (@sc0ttkclark)
* Enhancement: Optimized the PNG image assets using PNG8+Alpha with ImageAlpha and ImageOptim. #6028 (@lowwebtech)
* Fixed: Hidden fields now properly submit correctly. (@sc0ttkclark)
* Fixed: Post type `has_archive` no gets set to a false properly when disabled. #6069 (@JoryHogeveen)
* Fixed: Resolve PHP `strlen()` warnings when validating text values being saved. #6062 (@pd-cm, @sc0ttkclark, @JoryHogeveen)
* Fixed: Sorting URLs in `PodsUI` include `post_type` and `taxonomy` when Advanced Content Types are set to be underneath a Post Type's top level menu. #6040 (@JoryHogeveen)
* Fixed: Fallback to the manage fields in `PodsUI` for reordering when reorder fields are not overridden. #6058 (@JoryHogeveen)
* Fixed: Depend on plupload when showing custom upload directory option for file fields. (@JoryHogeveen)

= 2.7.28 - May 20th, 2021 =

* Added: New upload directory option for File fields using Plupload that lets you choose to customize which directory the files end up in. #6021 (@JoryHogeveen)
* Added: Relationship fields now support custom selectors in the REST API. You can specify `my_field.some_field` to output a specific field in your REST API options for each relationship field. (@sc0ttkclark)
* Added: New `pods_image_for_post()` and `pods_image_url_for_post()` functions have been added for certain page builders like Oxygen. (@sc0ttkclark)
* Added: New query variable prefix option (`num_prefix`) for PodsUI instances. (@sc0ttkclark)
* Added: `pagination_type` and `pagination_location` options for PodsUI instances to support more flexible pagination options. (@sc0ttkclark)
* Enhancement: Implement `search` and `sort` field sets for PodsUI instances to more easily specify which fields are searchable or sortable. (@sc0ttkclark)
* Fixed: PHP fatal errors no longer occur for avatar fields in certain situations. #6007 (@JoryHogeveen)
* Fixed: PHP fatal errors no longer occur for PHP 8 in certain situations. #6012 (@JoryHogeveen)
* Fixed: Resolved an issue with relationship fields not outputting their full data to the REST API when the related object is not a valid pod. (@sc0ttkclark)
* Fixed: Resolved an issue with not saving the fields for the extended Media pod when making update requests through the REST API. (@sc0ttkclark)
* Fixed: Implemented a temporary PHP 7.4+ fix for Freemius. (@sc0ttkclark)
* Fixed: Searching WP-based objects in PodsUI interfaces now resolves to the proper fields. (@sc0ttkclark)

= 2.7.27 - March 4th, 2021 =

* Fixed: Resolved PHP notice in the PodsAPI. #5952 (@sc0ttkclark)
* Fixed: Resolved PHP notice when using `?pods_debug_sql=1` on Pods Admin UI screens. (@sc0ttkclark)

= 2.7.26 - January 8th, 2021 =

* Fixed: Prevent PHP warnings in the `components/Templates/includes/element-pod_reference.php` file. #5914 (@JoryHogeveen)
* Added: New filter `pods_shortcode_detect_from_current_post` allows you to override whether a shortcode should detect the post object outside of the loop (default is only when `in_the_loop()`). This helps to fix problems that are part of the integration which the free Pods Beaver Themer Add-On uses. (@sc0ttkclark)

= 2.7.25 - December 28th 2020 =

**New Features & Enhancements**

* Added: Custom no access message for templates. #5875 (@JoryHogeveen)
* Added: New filter `pods_field_validate_{$type}`. #1106 (@JoryHogeveen)

**Bug Fixes**

* Fixed: Ensure compatibility with the WordPress 5.6 jQuery update. #5892, #5896 & #5897 (@JoryHogeveen)
* Fixed: Prevent `wp_unslash()` from unnecessarily over sanitizing input. #5040 & #4424 (@JoryHogeveen)
* Fixed: Prevent issues with HTML entities in custom relationship values when it gets to JavaScript. #5894 (@JoryHogeveen)
* Fixed: Better support multiple languages in the Relationship AJAX search. #5888 (@JoryHogeveen)
* Fixed: Include the `post_type` value in attachment saves so that the more WordPress core actions trigger. #5748 (@JoryHogeveen)
* Fixed: Allow `the_excerpt` to be used as custom filter on singular pages. #5899 (@JoryHogeveen)
* Fixed: Better support caching of the avatar images/data and integrate with the `get_avatar_data` filter. #5771 (@JoryHogeveen)


= 2.7.24 - November 5th 2020 =

**Bug Fixes**

* Fixed: Fix media `[each]` loop if no `media` Pod exists. #5882 (@JoryHogeveen)
* Fixed: Fallback to default display field if custom option is invalid for relationship fields. #5839 & #5859 (@JoryHogeveen)
* Fixed: Use `pathinfo` to properly validate file extension. #5876 (@JoryHogeveen)

= 2.7.23 - October 30th 2020 =

**New Features & Enhancements**

* Added: Support auto-templates for taxonomies, users and comments. #3962 & #5832 (@JoryHogeveen, @sc0ttkclark, @gwhitney)
* Added: Support template parameter and nested shortcode content for field shortcodes. #5801 (@JoryHogeveen)
* Added: Allow function calls in all tags, not just template tags. #4887 (@JoryHogeveen)
* Added: Support custom image sizes for all image field types in magic tags. #5870 (@JoryHogeveen)
* Added/Fixed: Support special magic tags in Pods Templates. #5697 (@JoryHogeveen)
* Added/Fixed: Support Pod related magic tags in shortcode query parameters. #5734 (@JoryHogeveen)
* Enhancement: Allow traversing in avatar attachment. #5870 (@JoryHogeveen)
* Enhancement: If the media Pod exists, use it's context to run media loops to support other fields and traversal. #5855 (@JoryHogeveen)
* Enhancement: Implement PHP 5.4 `session_status()` function. #5840 (@JoryHogeveen)
* Enhancement: Allow WP objects to be passed in `pods()`. #5845 (@JoryHogeveen)
* Compatibility: Enqueue DFV scripts when editing the page with Beaver Builder to fully support the media window. #5799 (@JoryHogeveen)
* Updated: Primary Branch header for GitHub Updater. #5847 (@afragen)

**Bug Fixes**

* Fixed: `.src` tags for PDF's now render the PDF file link instead of the thumbnail in templates `[each]` loops. #4040 (@JoryHogeveen)
* Fixed. HTML entities for relationship fields UI. #5843, #5835 & #5796 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Select2/SelectWoo now also enqueue the locale files when available. #5860 (@JoryHogeveen)
* Fixed: Support lowercase ID's for magic tags in media loops #5852 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Avatar should always return a square image. #2738 (@JoryHogeveen)
* Fixed: Selected items query for autocomplete relationships. #5542 & #5831 (@JoryHogeveen)
* Fixed: Prevent SQL errors on magic tags in some cases. #5797 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Error if there is no DB prefix available. #5803 (@JoryHogeveen, @sc0ttkclark)
* Fixed: Fix edge case "No Access" error when all Pods were deleted. Redirect to next Pod admin page if needed. #4842 (@JoryHogeveen)
* Fixed: Removed empty filter in `ui/admin/setup-edit-field.php`. #5686 (@sc0ttkclark, @JoryHogeveen)
* Fixed: Prevent possible notice if image doesn't exist. #5866 (@JoryHogeveen)
* Fixed: Remove source maps from production builds. #5822 (@sc0ttkclark)
* Fixed: PHP warning in file field gallery view. #5809 (@JoryHogeveen)

= 2.7.22 - August 13th 2020 =

**Bug Fixes**

* Fixed: WP 5.5+ compatibility layer for postbox headers so they appear and work correctly while still working for previous versions of WordPress. #5806 (@sc0ttkclark)
* Fixed: Patched a Freemius JS file that needed updating for WP 5.5+ compatibility. #5806 (@sc0ttkclark)
* Fixed: Prevent fatal errors about memory when using preview links for Advanced Content Types. #5783 (@JoryHogeveen)
* Fixed: Prevent fatal errors about memory when using certain magic tag / thumbnail combinations. #5805 (@JoryHogeveen)
* Fixed: Resolve our DFV JS `<div>` issues with `PodsUI` filters and add `.toggle-row` class handling for frontend. #5806 (@sc0ttkclark)
* Fixed: Ensure REST API responses for Media returns correct value when extended by Pods. #5763 (@JoryHogeveen)
* Fixed: Ensure pods_permission() unserializes when role/capability data is serialized. #5768 (@JoryHogeveen)

= 2.7.21 - June 30th 2020 =

**New Features & Enhancements**

* Added: New filter: `pods_field_pick_object_data_params`. #5756 (@JoryHogeveen)
* Added: Pods fields & magic tags: Traverse through serialized metadata. #5603 (@JoryHogeveen)
* Added: Support `get_query_var()` in pods_v (and thus special magic tags: `{@query.##}`). #5719 (@JoryHogeveen)
* Added: WYSIWYG field option for custom editor height. #5673 (@JoryHogeveen)
* Enhancement: REST field options: Only display depth for array response type. #5714 (@JoryHogeveen)
* Updated: Refactor Pods::field() method. #5682 (@JoryHogeveen)

**Bug Fixes**

* Fixed: Relationship dropdown error & encoding. #5740 (@JoryHogeveen)
* Fixed: Getting single vs multiple metadata values edge case errors. #5661 (@JoryHogeveen)
* Fixed: Nested relationship fields should render as array of objects in REST. #5745 (@lkraav)
* Fixed: Add `noopener` and `noreferrer` for all target `_blank` links. #5742 (@JoryHogeveen)
* Fixed: Only check `delete_users` for single installations in `pods_is_admin()`. #5712 (@JoryHogeveen)
* Fixed: Deprecated taxonomy form actions. #5700 (@JoryHogeveen)
* Fixed: DateTime field: Allow input values compatible with the display format. #5687 (@JoryHogeveen)
* Fixed: Whitespace trimming for templates. #5672 (@sc0ttkclark)
* Fixed: Taxonomy option rewrite with front label tooltip. #5681 (@JoryHogeveen)
* Fixed: Pods test factory compatibility with WP core text factory. #5716 (@JoryHogeveen)

= 2.7.20.1 - June 4th 2020 =

* Security: Remove deprecated usage of escapeMarkup in selectWoo and tighten JS rendering (@sc0ttkclark, @miha.jirov)

= 2.7.20 - April 5th 2020 =

**Bug Fixes**

* Fixed: Resolved issues with Freemius notices not being able to be properly dismissed. (@sc0ttkclark)

= 2.7.19 - April 5th 2020 =

This version was bugged due to a deployment that sent out a copy of 2.7.18 as 2.7.19.

= 2.7.18 - April 3rd 2020 =

**New Features & Enhancements**

* Added: Add is_required() helper method for fields objects to abstract some logic. #5657 (@JoryHogeveen)
* Updated: Removed duplicate code from pods_list_filter() that is now in wp_list_filter(). #5644 (@JoryHogeveen)
* Updated: Now prefixing the Templates and Pages component menu items with "Pod" so they aren't as easily confused with normal WordPress menu items. #5647 (@JoryHogeveen)

**Bug Fixes**

* Fixed: Compatibility layer for ACF so it won't conflict anymore. #5667 (@sc0ttkclark)
* Fixed: Remove PHP 5.6+ only code that was causing issues for those running older PHP versions. #5659 (@JoryHogeveen)
* Fixed: Prevent PHP errors when enforcing numeric values during validation of number fields. #5666 (@JoryHogeveen)
* Fixed: Prevent deprecated warnings with special magic tags usage like `{@user.id}` instead of `{@user.ID}`. #5642 (@JoryHogeveen)
* Fixed: Fix the decimal/thousands separator logic used for number and currency field validation and saving. #5653 (@JoryHogeveen)
* Fixed: Resolve issues with `[if]` and `[else]` logic for boolean fields that was causing it to always evaluate to true. #5656 (@JoryHogeveen)
* Fixed: Only load Freemius on Pods Admin, Plugins, or the Updates screens. (@sc0ttkclark)

= 2.7.17.1 - March 27th 2020 =

**Bug Fixes**

* Fixed: Double comma in custom pick display formats. #5637 (@JoryHogeveen)
* Fixed: Auto `use_current` not working correctly outside the loop. #5636 (@JoryHogeveen)
* Fixed: pods_trim() does not trim whitespaces by default. #5640 (@JoryHogeveen)

= 2.7.17 - March 26th 2020 =

**New Features & Enhancements**

* Added: New callout for our Friends of Pods program will show up on the Pods Admin > Pods list so we can let people know how to donate. #5571 (@nicdford, @sc0ttkclark, @JoryHogeveen)
* Added: Freemius integration to support our new Friends of Pods add-ons and enable us to let people opt-in to usage stats for planning future compatibility decisions.  #5624 (@sc0ttkclark)
* Added: New `not_found` tag to the Pods shortcode to return default string if no output is empty. #5580 (@JoryHogeveen)
* Added: New hooks when saving field table definitions (table-based Pods). #5623 (@sc0ttkclark)
* Added: New custom multi-relationship display format. #5612 (@JoryHogeveen)
* Added: Support traversing into post thumbnails objects. #5610 (@JoryHogeveen)
* Compatibility: Add ACF backwards compatibility functions/shortcode. #4855 (@sc0ttkclark)
* Compatibility: WordPress 5.4 - Add user Pod fields to privacy export data. #5606 (@JoryHogeveen)
* Compatibility: Match WordPress 5.4 CSS changes. #5608 (@JoryHogeveen)
* Enhancement: Shortcodes now automatically revert to the current queried object. #5598 (@JoryHogeveen)
* Enhancement: Add "full" to available image sizes. #5185 (@JoryHogeveen)
* Enhancement: Set Pods current queried object detection based on class instances instead of class parameters. #5617 (@JoryHogeveen)
* Docs: Update inline docs for pick field selected logic. #5014 & #5017 (@sc0ttkclark)

**Bug Fixes**

* Fixed: Date/Time - Correct empty value validation. #5534 & #5544 (@JoryHogeveen)
* Fixed: Date/Time - Allow midnight (00:00:00) as time value. #5616 (@JoryHogeveen)
* Fixed: Number/Currency - Parsing error for number format 9'999.99. #5559 & #5597 (@JoryHogeveen)
* Fixed: Number/Currency - Do not set default value of `0` if field is empty. #5539 (@JoryHogeveen)
* Fixed: CLI export/export-item commands. #5041 (@0xLBF)
* Fixed: Allow No (0) as an answer for radio and select boolean fields. #5549 (@JoryHogeveen)
* Fixed: Prevent get_meta() cache loop. #5577 (@JoryHogeveen)
* Fixed: Pods component descriptions. #5543 (@JoryHogeveen)
* Fixed: PHP 7.4 - Array and string offset access syntax with curly braces is deprecated. #5582 (@JoryHogeveen)
* Fixed: PHP 7.4 - Trying to access array offset on value of type bool. #5556 & #5615 (@JoryHogeveen)
* Fixed: PHP 7.4 - Array access notices. #5631 (@JoryHogeveen)
* Fixed: Replaced hook used for meta boxes in admin for custom component integrations to avoid deprecated notices from WordPress. #5622 (@sc0ttkclark)
* Fixed: Prevented potential fatal errors on Pod Template editor screen when pod configuration is broken. #5622 (@sc0ttkclark)
* Docs: Link to Gallery Documentation in Image field inline help doc. #5541 (@wpacademy)

= 2.7.16.2 - November 14th 2019 =

* Fixed: The last SVN tag was temporarily missing files, this release just ensures people get the update that has all files.

= 2.7.16.1 - November 13th 2019 =

* Fixed: Reverted changes in #5289 to auto templates that introduced breaking changes. We will revisit this in a future maintenance release. #5531

= 2.7.16 - November 13th 2019 =

**Enhancements**

* Enhancement: CSS fixes for WP 5.3. #5501 (@JoryHogeveen)
* Enhancement: Format traversed fields properly. #4932 (@jamesgol)
* Enhancement: ACT list view pagination. #5510 (@JoryHogeveen)
* Enhancement: Add PODS_SHORTCODE_ALLOW_EVALUATE_TAGS to debug info. #5310 (@JoryHogeveen)

**Bug Fixes**

* Fixed: Avoid SQL errors when using special magic tags. #5310 (@sc0ttkclark)
* Fixed: Validate shortcode query tags before default to current object. #5520 (@JoryHogeveen)
* Fixed: Unslash simple relationship values to support saving quoted values. #5517 (@JoryHogeveen)
* Fixed: Add sanitize_title optional to sluggables instead of applying default. #5516 (@JoryHogeveen)
* Fixed: DateTime: Always parse any manual input data. Also fixes clearing values. #5488 (@JoryHogeveen)
* Fixed: DateTime: jQuery date & time picker overlapping formats. #5467 (@JoryHogeveen)
* Fixed: DateTime: Fix datetime-local HTML5 input format. #5460 (@JoryHogeveen)
* Fixed: Could not submit a form if required checkbox not ticked. #5481 (@Turkal)
* Fixed: Allow migrate packages to import pages. #5476 (@jamesgol)
* Fixed: Allow pods_str_replace() function to handle non-strings. #5254 (@jamesgol)
* Fixed: Refactor and fix issues with Advanced Content Types capabilities. #5504 (@JoryHogeveen)
* Fixed: Add `object` key to prevent undefined index notice. #5493 (@JoryHogeveen)
* Fixed: Make sure number of arguments passed to PodsMeta->save_post() is correct. #5512 (@jamesgol)
* Fixed: ACT pagination URL for child type. #5510 (@JoryHogeveen)
* Fixed: Custom table relationships SQL error. #5505 (@JoryHogeveen)
* Fixed: Allow Pods to ALTER table if the SQL field definition has changed. #5507 (@jamesgol)
* Fixed: Admin menu: set hook priority to 9 instead of 99 to fix CPT submenu placement. #5497 (@JoryHogeveen)
* Fixed: Make auto templates for a Taxonomy Pod behave sensibly. #5289 (@gwhitney, @sc0ttkclark, @JoryHogeveen)

= 2.7.15 - September 5th 2019 =

**Enhancements**

* Enhancement: Add year range option to date & datetime fields. #5442 (@JoryHogeveen)
* Enhancement: Support single select relationships in templates when using `[each]`. #4507 (@sc0ttkclark, @JoryHogeveen)
* Enhancement: Prevent creation of Pods using reserved keywords from WordPress Codex and Pods. #5428 (@JoryHogeveen)
* Enhancement: Allow all callables to be passed in magic tags. #5436 (@JoryHogeveen)

**Bug Fixes**

* Fixed: Always convert database value for date/time fields without timezone to maintain the actual value. #5423 & #5424 (@JoryHogeveen)
* Fixed: Solve issues with saving date/time fields in other locales. #5444, #5421, #5415 & #5451 (@JoryHogeveen)
* Fixed: Import from file with absolute path. #5430 (@mistraloz)
* Fixed: Fix numeric soft format issue removing decimals & numeric slider input formatting. #5281 & #5215 (@JoryHogeveen)
* Fixed: Fix & improve error handling & debug logs. #5452, #5450, #5440, #5419, #5435 & #5453 (@JoryHogeveen)
* Fixed: Corrected Malaysian Ringgit currency sign. #5446 (@JoryHogeveen)
* Fixed: Flush Pod cache before returning errors, #5420 (@JoryHogeveen)

= 2.7.14 - July 9th 2019 =

**Bug Fixes**

* Fixed: Always convert database value for date/time fields with UTC timezone to maintain the actual value, #5382, #5402, #5403 (@JoryHogeveen)
* Fixed: Stop add new button from being disabled when no selection has been made yet for single select, #5401 (@pglewis)
* Fixed: Resolved PHP notices in `PodsAPI::save_pod_item()`, #5411 (@pglewis)

= 2.7.13 - June 28th 2019 =

**Enhancements**

* Enhancement: Support meta fields as display field for relationships, #5299 (@sc0ttkclark)
* Enhancement: DateTime/Time field code and performance #5302 (@JoryHogeveen)
* Enhancement: Added Nigerian Naira currency, #5377 (@webcreativeng)
* Enhancement: Added filter `pods_enqueue_dfv_on_front` for enqueueing DFV scripts on frontend, #5313 & #5303 (@nicdford)
* Added: Add debug information for Pods to Site Health Info area, #5399 (@sc0ttclark, @JoryHogeveen)

**Bug Fixes**

* Fixed: Cursor is jumping to the start of the block when Gutenberg autosaves, #5274 (@pglewis)
* Fixed: Select drop-downs set to required, #5031 (@pglewis)
* Fixed: HTML escaping issue in the Manage Fields list, #5246 (@pglewis)
* Fixed: Translate Pods stuck with Portuguese translation in the Admin menus, #5259 (@JoryHogeveen)
* Fixed: option cache handling when using external object cache, #5294 (@sc0ttkclark)
* Fixed: Fix force WWW option on website/URL fields, #4881 (@pglewis)
* Fixed: Phone field should not put anything in the field input on 'blank' values, #4881 (@pglewis)
* Fixed: Versioned tag names are not compatible with Composer, #5278 (@pglewis)
* Fixed: `get_post_meta()` always retriggers `pods_transient_set()`, #4690 (@pglewis)
* Fixed: Date output in magic tags for date fields uses DateTime class by default instead of date_il8n, #5296 (@JoryHogeveen)
* Fixed: PHP 7.3 `compact()` notices due to undefined var names, #5266 (@sc0ttkclark)
* Fixed: Use `Marionette.noConflict()` to keep a private copy of Marionette, #5237 & #5354 (@pglewis)
* Fixed: Remove floats from fields within pods manage fields (UI), #5362 (@nicdford)
* Fixed: Set table charset for Pods Advanced Content Types to WP default charset, #5276 (@JoryHogeveen)
* Fixed: Avoid PHP warnings by removing unused $check_value logic in PodsField_Pick, #5205 (@ziqbal, @JoryHogeveen)
* Fixed: Fix PodsData fetch for when using object cache and settings pages, #4960 (@pcfreak30, @sc0ttclark, @JoryHogeveen)
* Fixed: Moved session_id() check outside the big conditional so it's always executed, #5182 (@mastef)
* Fixed: Change deprecated (since WP 5.1) hook `wpmu_new_blog` to `wp_insert_site` with backwards compatibility, #5369 (@JoryHogeveen)
* Fixed: Error when PodsInit isn't available on network pages, #3353 (@JoryHogeveen)
* Fixed: Shortcodes no longer stop the page from loading when they encounter SQL errors, #5279 (@sc0ttclark, @JoryHogeveen)

= 2.7.12 - December 20th 2018 =

**Enhancements**

* Enhancement: Sort currency list alphabetically by name, add Indonesian Rupiah (Rp) and US Cent currency support, #5247 (@sc0ttkclark)

**Bug Fixes**

Fixed: Serial comma display works again for Users, Comments, and Media relationships when used in Pods::display() and magic tag templating without specifying the object field you want to display, #5251 (@sc0ttkclark)

= 2.7.11 - December 7th 2018 =

**Enhancements**

* Enhancement: Added: New pods_data_auto_calculate_total_found filter can be set to true to auto-calculate total_found() number right away after a Pods::find() query runs, defaults to false, #5232, (@sc0ttkclark)

**Bug Fixes**

* Fixed: Javascript errors on pages without the Gutenberg editor active under certain circumstances, #5225 (@pglewis)
* Fixed: Avoid extra user queries when not necessary, #5230 (@sc0ttkclark)

= 2.7.10 - December 5th 2018 =

**Gutenberg / WordPress 5.0 Compatibility**

* Fixed: TinyMCE Compatibility Bug for Gutenberg, #5217 (@pglewis)
* Fixed: Read-only Checkboxes now properly save values as 0 or 1, #4961 (@atanas-angelov-dev)
* Fixed: Scrollbar Compatibility bug for List View in Gutenberg Editor, #5220 (@pglewis)
* Fixed: Modal Support for Gutenberg, Add/edit Modal now triggers save and close to the modal, #5191 (@pglewis)
* Fixed: Component header parsing for developer/tableless mode, #5222 (@sc0ttkclark)
* Fixed: Currency symbol no longer overlays input field in WP 5.0, #5219 (@pglewis, @sc0ttkclark)

**Enhancements**

* Enhancement: Added support for new  WP 5.0 custom post type labels used by Gutenberg, #5223 (@wpstudio, @sc0ttkclark)
* Enhancement: Add pods conditional logic handling on frontend forms, #5136 (@JoryHogeveen)
* Enhancement: Add current memory usage to stats, #5178 (@sc0ttkclark)
* Enhancement: Add support for Taxonomy descriptions, #4766 (@sc0ttkclark)
* Enhancement: Component Pages does not allow adding page templates in plugins, #4734 (@creabrain)
* Enhancement: Add Pods functions to Query Monitor conditional, #5208 (@JoryHogeveen)
* Enhancement: Add bi-directional status label to relationship fields, #5200 (@JoryHogeveen)
* Enhancement: Removed old forum feed, inserted the wordpress.org feed, and squelched warnings from SimplePie/PHP 7+, #5172, #4363 (@pglewis)

**Bug Fixes**

* Fixed: pods->save() does not clear fields with shorthand syntax, #5166 (@mastef)
* Fixed: Comma character breaks custom post type dropdown, #2042 (@sc0ttkclark)
* Fixed: Compatibility with Admin Columns 3.2+, #5129 (@JoryHogeveen, @DGStefan)
* Fixed: Missing Styles of DFV form field using $pods->form, #5056 (@pglewis)
* Fixed: "Single Select" Relationship Return differently depending on Format, #5138 (@pglewis)
* Fixed: Media modal doesn't work on frontend using pods form, #4715 (@pglewis)
* Fixed: Use minified versions of Backbone.Marionette and Backbone.Radio, #5115
* Fixed: Always enqueue the DFV script by default if in the admin, #5111 (@pglewis, @sc0ttkclark)
* Fixed: Add static groups cache for PodsMeta::groups_get() to improve memory usage on bulk wp_insert_post and other similar calls, #5088 (@sc0ttkclark)
* Fixed: Only disable components when using PODS_TABLELESS if the component is relying on custom tables, #5206 (@JoryHogeveen)
* Fixed: PHP Warning for array key pods_rel not found, #5210 (@JoryHogeveen)

= 2.7.9 - August 9th 2018  =

**Features/Enhancements**

* Added: Support for Pods::fields() argument keyed which when set to true will return the array for relationship fields with the IDs used as keys, #5092 (@sc0ttkclark)
* Added: pods_shortcode_output filter to allow customization of shortcode output based on shortcode attributes, #5083 (@sc0ttkclark)

**Bug Fixes**

* Fixed: Fix compatibility issue with Polylang & WPML when getting the current language from the edit post and edit tax pages. #5060 (JoryHogeveen)

= 2.7.8 - July 26th 2018  =

* Hotfix: Time field generates a fatal error on PHP prior to 5.5, #5079 (@davegaeddert)

= 2.7.7 - July 26th 2018  =

**Features/Enhancements/Improvements**

* Code Quality: Disallow multiple assignments and assignment inside conditions, #5021 (@GaryJones)
* Code Quality: WordPress.WhiteSpace.PrecisionAlignment compliance, #5026 (@GaryJones)
* Code Quality: Use interpolation to construct all dynamic hook names, #4992 (@GaryJones)

**Bug Fixes**

* Fixed: 'others' capability checks for current_user_can pods_{$action}{$pod} vs pods{$action}others{$pod} capabilities, #5043 (@Ulminia, @sc0ttkclark)
* Fixed: "Export all" button for ACTs does not work, #5005 (@pglewis)
* Fixed: Pods Template Editor is adding two 'tabs' to the front of the template during Save. #5022 (@pglewis)
* Fixed: Midnight (00:00) results as 'empty' in an [if][/if] Template Tag. #4999 (@pglewis)
* Fixed: Non-internationalized string "Add Another Custom Capability". #5028 (@GaryJones, @pglewis)

= 2.7.6 - June 8th 2018  =

* Fixed: Records added modally via DFV's 'Add New' are not selected and don't refresh list view in 2.7.5, #5014 (@sc0ttkclark, @pglewis)

= 2.7.5 - June 7th 2018  =

**Bug Fixes**

* Fixed: Only flush rewrite rules in an admin context, #5006 (@sc0ttkclark)
* Fixed: SelectWoo fields would sometimes call `focus()` inappropriately #4725 (@GaryJones)

= 2.7.4 - June 6th 2018  =

**Features/Enhancements**

* Code Quality: Address some i18n code standard violations, #4982 (@GaryJones)
* Code Quality: All @since and @deprecated tags updated to use three digits everywhere, #4995 (@GaryJones)
* Added: Tooltip for the Hierarchical option for taxonomies, #4949 (@pglewis)

**Bug Fixes**

* Fixed: jQuery.fn.size() is deprecated #3898 (@GaryJones)
* Fixed: CLI: Fix missing negation on valid & exists checks #4989 (@GaryJones)
* Fixed: Check for localized 'help' before adding tooltip #4614 (@davidatwhieltrue, @GaryJones)
* Fixed: Autocomplete/List View broken with "Other WP Objects", #4504 (@pglewis, @sc0ttkclark)
* Fixed: HTML entities in a field's description are converted when the Pod is loaded again, #4495 (@pglewis)
* Fixed: Relationship fields related to the _pods_pod or _pods_field post type would not return the correct value, #4979 (@sc0ttkclark)
* Fixed: Code Editor for Pods Template double-escapes HTML when Visual Editor is OFF in WordPress, #3462 (@pglewis)
* Fixed: Pods breaks Theme Editor for PHP files, hangs loopback test #4595, #4931 (@jamesgol, @pglewis)
* Fixed: Time field cannot save midnight #3488, #4937 (@pglewis)
* Fixed: Resolve file uploads directory check logic for file exports #4970 (@elia-senatore-cippest, @sc0ttkclark)
* Fixed: Media modal issues in post edits, #4945, #4967 (@pglewis)
* Fixed: Fatal error if not logged in and accessing wp-admin, #4828 (@therealgilles)
* Fixed: Pick fields with predefined/custom lists using numeric keys not loading values #4892, #4753 (@pglewis)
* Fixed: Non-required color-picker field did not allow saving empty value #4919 (@JoryHogeveen)
* Fixed: CodeMirror fields in Taxonomy and User edit forms #4913 (@pglewis)

= 2.7.3 - May 6th 2018  =

**Bug Fixes**

* Fixed: 'search' param for Pods shortcodes #4909 (@pglewis)
* Fixed: 'before_content' and 'after_content' were ignored in widgets #4891 (@pglewis)

= 2.7.2.1 - May 5th 2018 =

**Developer and deployment enhancements**

* Added: .editorconfig file [http://editorconfig.org/](http://editorconfig.org/) #4571 (@JoryHogeveen)
* Updated: export-ignore list #4898 (@pglewis)

**Bug Fixes**

* Fixed: Pods Widget output #4891 (@pglewis)
* Fixed: Slider controls not showing #4895 (@pglewis)
* Fixed: Fatal exception attempting to parse Persian DateTime strings #4896 (@sc0ttkclark)
* Fixed: Array to string conversion notice in Pods form #4886 (@sc0ttkclark)

= 2.7.2 - May 3rd 2018 =

**New Features Added**

* Added WP-CLI commands for Pods, more details at [https://docs.pods.io/advanced-topics/pods-wp-cli/](https://docs.pods.io/advanced-topics/pods-wp-cli/) (@sc0ttkclark)
* Added: Filter HTML class for li.pods-field form element to allow for more styling options. #4813 (@paddelboot)
* Added: Currency field enhancement: Add a currency sign before the field input. #4714 (@JoryHogeveen)
* Added: Currency formats with spacing between currency sign and value #4838 (@JoryHogeveen)

**Bug Fixes & Corrections**

* Fixed: Missing thickbox styles for `PodsUI::filters()` #4797 Fixes #4693 which was preventing Advanced Content Type Filters Popup from Loading (@pglewis)
* Fixed: Text field readonly no longer defaults to `true` #4794 Fixes #4791 (@pglewis)
* Fixed: Simplify how we inject the PHP string into the JS #4787 Fixes #4786 which was creating syntax error in JS for number fields (@pglewis)
* Fixed: Tooltips were not working in the Pods Templates or Roles and Capabilities components #4851 (Fixes #4850) (@pglewis)
* Fixed: Isolates qtip styles and functionality to pods only which should hopefully resolve any issues with conflicting with other plugins/themes that may use the tooltip functionality [#4834] Fixes #4832 where tooltips were not displaying (@nicdford)
* Fixed: Tooltip corrections: Update Pods Add New screen for extended taxonomies as Table Storage is not required since Term Meta was added by WordPress. #4609 (@pglewis)
* Fixed: Issue where fields with particularly long post titles would extend past the width of the container #4831( Fixes #4700) (@nicdford)
* Added: appropriate CSS namespace prefixes to avoid style conflicts #4632 (#4612) (@nicdford)
* Fixed: Prefix all form styles with `form.pods-manage`. Namespace prefix all pods-manage styles to avoid CSS conflicts with Gravity forms (#4615,#4612) (@JoryHogeveen)
* Fixed: Pods DFV fields no longer depend upon the specific instance of jQuery shipped with WordPress (#4680). (@pglewis)
* Fixed: Update all storage type tooltips. Many were still referencing old Custom Taxonomy Table Storage requirements that were no longer required after Term Meta support. Fixes #4835 (@pglewis)
* Fixed: Bug with decimal handler when converting to dash (-) #4829 (@JoryHogeveen)
* Fixed: Checkbox misalignment on custom settings pages (#4711) (@JoryHogeveen)
* Fixed: Quality of life visual updates and optimizations for the CLEditor (#4633) (@nicdford)
* Fixed: `%F` with PHP's `sprintf` function defaults to a precision of 6 decimal places, we now include the precision specifier whenever more than 6 decimal places of precision is needed. (#4741) (@0xLBF)
* Fixed: Extend the condition for WPML validation exception to cover the Translation Editor so required fields don't break the Translation Editor in WPML. (#4802) (@dgwatkins)
* Fixed: Corrects most relationship fields on media items when editing in grid mode. Select2 based fields still need a workaround (Autocomplete, List View). (#4795) (@pglewis)
* Fixed: Avoid printing null message in PodsUI #4796 (@davidatwhiletrue)
* Fixed: Single-select Post Thumbnail does not display in Pods Template traversal. Allow traversing into post_thumbnail. (#4719) (@jamesgol)
* Fixed: Disable the "Add New" button for relationships when we're inside a media modal window (#4864). This is just a workaround until we can iron out the CSS and display for a modal from a modal. (@pglewis)
* Fixed: Autotemplate hook validation to verify filter before applying Auto Templates (#4695) (@JoryHogeveen)
* Fixed: Allow user-meta (and other extended Pods) to work in templates (#4847) (@jamesgol)
* Fixed: Corrected conflicts with container CSS/JS around Date/Time Fields (#4878) (@pglewis,@nicdford)

**Fixes for Unit Testing and Workflow**

* Fixed: Skip npm install and js tests on the PHP 5.3/Precise box to fix #4788 (#4789) (@pglewis)
* Fixed: mockery 1.0 requires php >=5.6.0; downgrade to 0.9 for now #4818 @pglewis
* Fixed: PHP Codesniffer Fixes #4569 (@sc0ttkclark)
* Fixed: eslint rules and formatting for Javascript (DFV only) #4590 (@sc0ttkclark)

= 2.7.1 - December 8th 2017 =

* Fix table join logic for taxonomies when renaming meta fields #4613 @sc0ttkclark
* Fix Pods Form submit errors and 404s #4618 @pglewis
* Fix dashicons style conflicts with Pods Form #4626 @nicdford
* Roll-back minimum version requirement for MySQL from 5.5 to 5.1 #4634 @sc0ttkclark

= 2.7 - December 4th 2017 =

**New PHP & WP Minimum Version Requirements:**

* PHP Version Change Requirement 5.3+
* WP Version Change Required 4.5+

**Major Changes in 2.7 Release: Flexible Relationships:**

* New Relationship Field Format "List View": The power of the new flexible relationships is our new modal window that opens within the existing record for relationship fields. This is modeled after the Media Modal from WordPress and provides full functionality to Add New related records or edit existing records all from within the parent record of the relationship. This is provided through our new List View field format for relationship fields. To see a demo of this field in action [head on over to our YouTube](https://youtu.be/V8c067GAEcA)
* Add New with Flexible Relationships: The new flexible relationships will automatically enable Add New on all your existing relationships, but you can disable this from the Additional Options tab for each relationship field. You can switch field formats to the new List View from additional options tab as well.
* Dynamic Field Views: The relationship fields and file upload fields have been rewritten to take advantage of "Dynamic Field Views", driven by JavaScript. More technical details about the directions we went towards these field changes can be read about in our ["Pods 2.7: What We Did and Why We Did It"](https://pods.io/2017/12/05/pods-2-7-developer-notes/)

**Significant Improvements and Fixes:**

* Enhancements for Date, Time & Date/Time Fields to improve class inheritance, use WP Defaults and allow for custom options for saving and display @JoryHOgeveen
* Gallery & Tile View for Upload/Media Fields #3589 @JoryHogeveen
* IsEmpty for all Date/Time Fields, Number, Currency, etc. improvements for `[if field][/if]` for Templates @JoryHogeveen
* Major fixes for Pods Templates: Proper handling of shortcodes within Pods Templates and in if/each blocks. Proper handling of all image tags and user traversal @jamesgol
* Comment Traversal #4118 @sc0ttkclark
* Update Compatibility with Admin Columns 3.0+ #4570 @JoryHogeveen
* Filter Added for Select2 Overrides #4571 @sc0ttkclark
* Fix for Advanced Content Types and Relationships in `[each][/each]` tags correcting for lowercase id. #4585 @0xLBF

**Behind the Scenes Fixes and Improvements:**

* js unit tests #3640, #4049 @pglewis
* pods_ui_get_params hook #3785 @telwing
* table storage list fields #4420 @jamesgol
* Refactor CSS @nicdford
* Built with Node @pglewis
* Pods Templates added for Polylang Translation Compatibility @JoryHogeveen
* SelectWoo migration from Select2 to address version incompatibilities #4546 @pglewis

**Known Issues with this Release:**

* Relationships to Taxonomy have Flexible Relationships disabled as the input screen for Taxonomy was not able to be accessed in an iFrame. We’re working on this for a future release.

= 2.6.11.2 - August 4th, 2021 =

* Security: Clean up post type and taxonomy labels so they avoid potential output escaping problems in WordPress core (@sc0ttkclark, reported by Muhammad Daffa via WPScan)

= 2.6.11.1 - June 4th, 2020 =

* Security: Remove deprecated usage of escapeMarkup in Select2 (@sc0ttkclark, @miha.jirov)

= 2.6.11 - September 20th 2017 =

* Fixed: WordPress 4.8.2 introduced a breaking change that no longer correctly prepared number/currency queries. It did not introduce a vulnerability but only produced Database errors.
* Stay tuned for Pods 2.7 which will be out soon -- [Download Pods 2.7 RC1](https://github.com/pods-framework/pods/archive/release/2.7.zip) and join our [Pods Slack channel #pods-beta](https://pods.io/chat/) to help us finish the final testing

= 2.6.10 - July 14th 2017 =

* Fixed: Pods Templates were creating erroneous output with nested `[if _fieldname_][else][/if]` and `[each _fieldname_][/each]` template tags inside HTML entities after 2.6.9 upgrade. This fix bypasses `do_shortcode` and also bypasses `do_shortcodes_in_html_tags` which was the problem with this particular fix. Fixes (#4324,#4307,#4307). (#4335). [@pglewis]
* Fixed: Multi-file fields save was causing array to string conversion warning. New function & helper added called `array_filter_walker` for backwards compatibility. Also fixes the 'editable' titles in Multiple File Upload. Fixes (#4112,#4313). (#4314). [@mgratch,@JoryHogeveen,@sc0ttkclark]
* Added: Pods Templates & Page Capabilities have been added to the Members Cap Filter and Pods Role Manager from Components, Roles & Capabilities. This corrects an issue where Pods Templates and Pods Pages were not available to Admins, only Network Admins. Admins will still need to have the pods_templates_ and pods_pages_ capabilities added to their role, but now they'll be able to do this without additional code. Fixes (#4311). (#4342). [@JoryHogeveen]
* Fixed: Corrected 2.x branch for GitHub Feed. Fixes (#4305). (#4306). [@sc0ttkclark]
* Fixed: Minor Spelling fixes related to i18n. (#4276) [@garrett-eclipse]
* Updated: Removed CodeClimate Integration (#4275) and updated glob 7.1 (#4242). [@Ramoonus]

= 2.6.9 - May 30th 2017 =

* Added: Pods Template Component is now automatically active on initial installation or reinstallation of Pods. Fixes (#3446). (#4060,#4180). [@pglewis,@sc0ttkclark]
* Added: Auto Template Fix: Add configurations setting to override and allow Auto Templates to run against the_content outside of the WordPress_Loop. By default now, it will only run inside the WP Loop. (#4088). [@jamesgol]
* Added: Allow raw value in PodsUI rows. New type "raw" that can output HTML form elements; used in i18n component. Fixes (#3959). (#3960). [@JoryHogeveen]
* Fixed: Template Reference in Template Editor now properly displays without running out of memory. Fixes (#3370,#3992). (#4088,#4000). [@jamesgol]
* Fixed: post_author querying now works through traversal of related post type. Fixes (#3931). (#3953,#4065). [@sc0ttkclark,@pglewis]
* Fixed: Search the proper SQL column with "search" and meta based CPT. Fixes (#3858). (#4007). [@jamesgol]
* Fixed: Ensure call to pods_view returns shortcode generated content, instead of echo'ing. Fixes (#3433). (#4010) [@dom111]
* Fixed: Additional CSS Classes were not saved (#4003) so new Duplicating Pod now gives preference to existing field options values on duplication (#4028). [@pglewis]
* Fixed: duplicate_pod_item now works for WP objects. Fixes (#3238,#4025). (#4070). [@pglewis]
* Fixed: Hidden field did not save Default Values on fields with both Visibility hidden and a Default Value set. Fixes (#3996). (#4061). [@pglewis]
* Fixed: Use register_taxonomy_for_object_type for post types that support post formats. Was not originally being registered for Pods CPT. Fixes (#2165). (#4076,#4084). [@sc0ttkclark]
* Fixed: Help Text for HTML fields wpautop reference. Fixes (#4090,#4091). (#4089). [@JoryHogeveen]
* Fixed: Corrected Pods overriding preview link for post updated messages. Fixes (#4092). (#4093). [@tuanmh]
* Fixed: When using shortcodes/magic tags with PDF attachments, ._src returns an image since WP 4.7. This will now output the URL of the file. You can still get PDF generated images using ._src.image_size or ._img. Fixes (#4040). (#4111). [@JoryHogeveen]
* Fixed: Audio attachments will now work properly with pods_attachment_import. (#4155) [@sc0ttkclark]
* Fixed: Handling of Single & Double Quotes in post_thumbnail interpolation. Fixes (#4166). (#4167). [@quasel]
* Fixed: Adding back_link to wp_die() usage which allows Modal Add/Edit to give you a way to go back in the edit screen. Fixes (#4168). (#4169). [@sc0ttkclark]
* Fixed: Conflict with The Event Calendar issue with Handlebars (as we're using an older implementation). Temporary hack until 2.7 with the correct fix. (#4173). [@sc0ttkclark]
* Fixed: Missing images in unit test (#4177). [@sc0ttkclark]
* Fixed: Invalid AJAX error with frontend forms and Settings Pods; $id will always return for AJAX requests. Fixes (#4181). (#4184). [@JoryHogeveen]
* Fixed: Allow float values for menu positions and the option to remove trailing decimals from number field. Fixes issue where Pods Converted menu positions with decimals to INT on save. Fixes (#2839). (#4192). [@JoryHogeveen]
* Fixed: Composer: composer installers v1.2 to v1.3. (#4239) [@Ramoonus]
* Fixed: Editable Titles in Multiple File Upload fields are 'editable' again (broke in 2.6.8) without breaking bidirectional relationship saving. Fixes (#4112) and resolves (#3477,#3720). (#4264). [@sc0ttkclark]
* Fixed: Spelling error in UI. Fixes (#4266). (#4267). [@danmaby]
* Updated: Brand assets for Pods (icons and banners) for WordPress Plugin Directory. Fixes (#3948). (#4268) [@jimtrue]

= 2.6.8 - January 17th 2017 =

* Added: WP Gallery display options for image fields. Fixes (#3905). (#3910). [@JoryHogeveen]
* Added: Add action after successful AJAX in admin_ajax. This allows other scripts to hook in the ajax handlers from Pods. Fixes (#3839). (#3840). [@JoryHogeveen]
* Added: Keep Plupload instances in `windows.pods_uploader[id]`. This makes it possible to bind event listeners to the file uploader. Fixes (#3763). (#3768). [@thirdender]
* Added: New singular capabilities for Taxonomies for Compatibility with WP 4.7. Fixes (#3896). (#3946). [@JoryHogeveen]
* Added: Enhance Currency Field storage. Fixes Adds new format as arrays for multiple values (label, name, sign) and decimal handling options. Fixes(#1915,#3453). (#3949). [@JoryHogeveen]
* Fixed: Number/Currency format validation error with French formatting. Fixes (#3842). (#3950). [@JoryHogeveen]
* Fixed: Additional save_user/save_post handling problems corrected and addition of Unit Tests. Fixes (#3918,#3801). (#3945). [sc0ttkclark]
* Fixed: Double qtip/tooltip when using single checkboxes (boolean type). Fixes (#3940). (#3943) [@JoryHogeveen]
* Fixed: Undefined Index Notice in (#3936). (#3941). [@sc0ttkclark]
* Fixed: Properly clear cache before running post-save actions in PodsAPI::save_pod_item. Prevents double saves being necessary to use the `pods_api_post_save_pod_item` filters to update WordPress Object fields. Fixes (#3917). (#3938). [@sc0ttkclark]
* Fixed: Revamp pods_error to handle multiple modes, PodsMeta now returns false instead of die/exception. Fixes (#3930). (#3937). [@sc0ttkclark]
* Fixed: Update save_post / save_user handling with better fallbacks when nonce not active. Fixes an issue where the $is_new_item was not set as expected on post saves and user saves. Fixes (#3801,#3918). (#3936). [@sc0ttkclark]
* Fixed: Add `pods_ui_get_find_params` filter for PodsUI to extend default `find()`. Fixes (#3925). (#3926). [@sc0ttkclark]
* Fixed: Compatibility additions for WP 4.7, Taxonomy Class (#3895,#3894)
* Fixed: Proper reset of the local var cache in Pods::$row when using add_to/remove_from/save. Fixes (#3784). (#3923). [@sc0ttkclark]
* Fixed: get_meta() $single usage to ensure it's always a boolean. Fixes (#3742). (#3921). [@sc0ttkclark,@JoryHogeveen]
* Fixed: Multiple Travis and Unit Test fixes and build functions. (#3942,#3913,#3911,#3907,#3903,#3888,#3887,#3886,#3885,#3883,#3882,#3881,#3880,#3869,#3868,#3819,#3770,#3750,#3745,#3743) [@Ramoonus,@sc0ttkclark]
* Fixed: Removing a Bad Init Call generated by a fix to correct plupload file field listings. Fixes (#3900,#3731). (#3901). [@pcfreak30]
* Fixed: Pass audio_args to the Audio Shortcode, src wasn't being passed when multiple audio files were on the same page using the same shortcode. Fixes (#3891). [@jamesgol]
* Fixed: Corrected non-printable character added after $api->cache_flush_pods() to settings-tools.php. Fixes (#3876). [@szepeviktor]
* Fixed: opcache names and add OPcache. Fixes (#3864). (#3875). [@szepeviktor]
* Fixed: Make sure self::$field_data is set in all cases. Corrects issue where relationship to predefined list was not working in AutoComplete/Select2 fields.  Fixes (#3862). (#3863). [@jamesgol]
* Fixed: Unchecking Show in Menu in the Admin UI selection for Custom Taxonomies will now properly not show the Taxonomy. `show_in_menu` option for for Taxonomies. Fixes (#3848). (#3852). [@JoryHogeveen]
* Fixed: Make field type labels translatable. Fixes (#3849). (#3850). [@JoryHogeveen]
* Fixed: Store the old field name in meta. Pods already stored the old 'pod' name, but didn't do the same for fields after updating. Added for (#3841). (#3842). [@JoryHogeveen]
* Fixed: Fix error with PODS_LIGHT and components. Fixes (#2301,#3811,#2293). (#3837). [@JoryHogeveen]
* Fixed: Update the attachment parent if updating a post type. Only updates if the parent isn't set but allows file fields/upload fields to now properly show parent post. Fixes (#3808). (#3834). [@JoryHogeveen]
* Fixed: CSS fixes (remove old images + linter), fixing issues with gradient button not in WP Core. Fixes (#3812). (#3833). [@JoryHogeveen]
* Fixed: Improve CSS for Code Field (CodeMirror). Fixes (#3818). (#3832). [@JoryHogeveen]
* Fixed: Set Start of Week Day from General Settings; fixes issue where Calendar of datetime field in admin UI didn't follow the first day of week settings from Setting, General. Fixes (#3826). (#3831). [@JoryHogeveen]
* Fixed: PHP7 Compatibility issues, a few deprecated constructors and deprecated mysql_ with the use of $wpdb. Fixes (#3828). (#3830). [@JoryHogeveen]
* Fixed: Update postmeta cache before get_post_meta calls when bypassing cache, ensuring the meta is "fresh". (#3807). [@sc0ttkclark]
* Fixed: When preloading config after flushing cache, bypass cache. solves the issue when running multisite and you’ve got an object cache drop-in that won’t flush cache for multisite when wp_cache_flush is called. (#3806). [@sc0ttkclark]
* Fixed: Fix error exporting taxonomy relationship over REST API. Fixes (#3606). (#3794). [@pcfreak30]
* Fixed: Use taxonomy capabilities in custom locations for taxonomy edit pages. Fixes an issue where Taxonomies assigned as Top Level Menu Items are not usable by Editors (only by Administrators). Fixes (#3569). (#3780). [@JoryHogeveen]
* Fixed: Correcting a bug in adding Taxonomy REST support. Fixes (#3777). (#3778). [@pcfreak30]
* Fixed: Clear `$related_item_cache` when saving a relationship. Fixes an issue where the $PodsAPI::save_relationships was not clearing the cache. Fixes (#3775). (#3776). [@pcfreak30]
* Fixed: jQuery fix to change from deprecated .live() to .on(). Fixes (#3771). (#3772). [@mikeschinkel]
* Fixed: Basic included post types from WP-API are no longer having their REST base overridden by Pods. Fixes (#3759). (#3760). [@sc0ttkclark]
* Fixed: Fix SQL for multilingual taxonomies for compatibility with PolyLang. Fixes (#3728). (#3754). [@JoryHogeveen]
* Fixed: Fix plupload file field listings, specifically fixing some issues in the CSS and jQuery. Fixes (#3731). (#3732). [@pcfreak30]
* Fixed: Removed max-length for default field value for Text & WYSIWYG fields. Fixes (#3729). (#3730). [@JoryHogeveen]
* Fixed: Updated URL for translation contributions. Fixes (#3725). (#3726). [@JoryHogeveen]
* Fixed: Validate field option dependencies based on location within tabs. Corrects and issue with compatibility between Pods SEO. Fixes (#3707). (#3723). [@JoryHogeveen]
* Fixed: Properly update bidirectional taggable relations. Corrects the issue where bidirectional relationships were creating new entries from the taggable choice in AutoComplete fields, but not saving the relationship. Fixes (#3477). (#3720). [@caleb]
* Fixed: Allow the entry of negative numbers in Currency fields. Fixes (#3708). (#3709). [@pcfreak30]

= 2.6.7 - August 15th 2016 =

* Fixed: Magic Tag {@permalink} fixes for taxonomy / user / comment detail URL Mapping. Fixes (#3339). [@sc0ttkclark]
* Fixed: Pods Wizard for Forms now properly uses the `[podsform]` shortcode. Fixes (#3251). [@sc0ttkclark]
* Fixed: Issue with pll_get_post returning false instead of null. Fixes (#3596). (#3599) [@JoryHogeveen]
* Fixed: WYSIWYG editor type option is used as dependency by the editor options. Fixes (#3549). (#3610) [@JoryHogeveen]
* Fixed: Do not display metagroup if all fields are set to hidden. Fixes (#1614). (#3615) [@JoryHogeveen]
* Fixed: Allow post_status filter to be set for related post_type objects in the edit field UI (#3626). Fixes (#3594). [@JoryHogeveen]
* Fixed: Refactor object type checking in PodsRESTHandlers::get_handler (#3630). Fixes (#3629). [@pcfreak30]
* Fixed: Added PODS_DIR to directories that are checked by field_loader() (#3644). Fixes (#3643). [@jamesgol]
* Fixed: Improved field alignment on setting pages (#3649). Fixes (#3648). [@JoryHogeveen]
* Fixed: Check for PodsInit in general.php (#3665). Fixes (#3473,#2803,#3353). [@JoryHogeveen]
* Fixed: Taxonomy capabilities + No more hardcoded tax settings (#3678). Fixes (#3676,#3677). [@JoryHogeveen]
* Fixed: Allow field options to be filtered (UI). Also allows for il8n module to improve translation handling. (#3683). Fixes (#3682). [@JoryHogeveen]
* Fixed: WPML Compatibility (#3691). Related to (#142). [@srdjan-jcc]
* Fixed: Pods field() now properly handles user and media when the output type is pod/pods. Original issue resulted in `$object` being empty as `user` and `media` do not have a `pick_val` (#3694). Fixes (#3693). [@pcfreak30]
* Fixed: travis-ci: test with PHP 7.1 (#3702). [@Ramoonus]

= 2.6.6 - June 23rd 2016 =

* Added: Polylang compatibility with latest versions along with fixes to longstanding issues with editing and displaying content, relationships, and taxonomy (#3574). Fixes (#3572, #3506) [@JoryHogeveen]
* Added: REST API v2 Compatibility (#3584). Switches `register_api_field` to `register_rest_field`. Fixes (#3581) [@sc0ttkclark]
* Added: Allow changing the Auto Templates Filter. This adds a new section in the Auto Templates tab that allows overriding the default `the_content` filter (#3542). Fixes (#3540) [@Shelob9]
* Added: Polylang support to pods_v post_id (#3562). Allows Pods templates that are translated to be properly selected. Fixes (#3561,#3537) [@jamesgol]
* Added: Create new 'post_id' method for pods_v (#3537). Provides a method to allow i18n plugins to return a different post id. Related to (#3542,#3526) [@jamesgol]
* Added: Add filter to PodsMeta->groups_get() allowing adjusting the groups via filter (#3548). Related to (#3547) [@jamesgol]
* Added: Use form_counter in field name to be unique and prevent conflicts. (#3535) Fixes (#3533) [@pcfreak30]
* Added: Add user, media and comment support to REST API (#3516). Related to (#3418,#3419) [@pcfreak30]
* Added: Filter the Pods Metas to Display (#3544). Fixes (#3520). [@coding-panda]
* Fixed: REST API cleanup for pick field handling. (#3560) Fixes (#3559) [@sc0ttkclark]
* Fixed: Exclude Unique Post fields from duplication during `$pods->save`. (#3564). Includes `ID`, `post_name`, `post_date`, `post_date_gmt`, `post_modified`, `post_modified_gmt` and `guid`. Fixes (#3563) [@pcfreak30]
* Fixed: Allow midnight (00:00) as valid time (#3555). If "Allow empty value" is unchecked and a value is not passed it will default to the current time, but it will still accept 00:00:00 as a valid value. Related to (#3488) [@jamesgol]
* Fixed: Pass $strict = false to load_pod (#3554). This will keep the "Pod not found" message from being displayed during register of other post types. Related to (#3416) [@jamesgol]
* Fixed: Don't add space to currency names that use HTML encoding (#3553). Fixes British pound currency symbols and others. Resolves (#3498) [@jamesgol]
* Fixed: Removed extra setting showing up in Auto Templates settings for Taxonomies (#3543). Fixes (#3541) [@Shelob9]
* Fixed: Use html_entity_decode to convert separator as it is an html entity. (#3536) Fixes (#3527) [@pcfreak30]
* Fixed: PodsRESTHandlers::write_handler needs to be static (#3511). Fixes (#3510) [@pcfreak30]

= 2.6.5.2 - May 4th 2016 =

* Fixed: Typo in PLL Compatibility check corrected. (#3504) Fixes (#3503). Thank you @JoryHogeveen and @fmommeja for tracking down, fixing and validating this fix. [@JoryHogeveen]

= 2.6.5.1 - May 4th, 2016 =

* Fixed: Additional Field Options tab disappears from field admin view. Fixes (#3501). [@sc0ttkclark]

= 2.6.5 - May 3rd, 2016 =

* Fixed: Renaming of Pods with underscores to hyphenated names that was introduced in 2.6.3. Hyphenated Pods names will remain hyphenated and Underscored Pods names will remain underscored. Fixes (#3499). [@sc0ttkclark]
* Fixed: Support for new Polylang Versions with much kudos to @JoryHogeveen for tackling this (#3491). Fixes (#3490,#3223) [@JoryHogeveen]

= 2.6.4 - April 25th, 2016 =

* Fixed: Modified Run activation/install priority to fire before plugins loaded. Fix for the Clearing Pods Cache automatically after Pods Upgrade (#3487). Fixes (#2558,#3348) [@sc0ttkclark]

= 2.6.3.1 - April 21st, 2016 =

* Fixed: An Git / SVN deploy bug caused some files to not be properly pushed to WordPress.org SVN, this release is just to ensure everyone who may have updated to 2.6.3 during the period which we were fixing it will be able to still get the proper file updates

= 2.6.3 - April 21st, 2016 =

* Fixed: Fix forcing underscores when loading Edit Pod Form (#3483). Fixes (#3095) [@sc0ttkclark] Kudos to @lkraav for helping us pin this particular issue down and bring it to resolution.
* Fixed: Clearing Pods Cache automatically after Pods Upgrade "Salt n'Pepa"'ing the cache keys (#3401). Fixes (#2558,#3348) [@sc0ttkclark]

= 2.6.2 - March 24th, 2016 =

* Added: Support for object fields when using Pods::field() with a specific $field and $option. This was also used to correct a problem with "fetching" Custom Taxonomy's Term List when using Pods Feeds in Pods Gravity Forms Plugin. (#3437) [@sc0ttkclark]
* Fixed: Correcting CSS used for Dashicon to remove conflict with icon usage in Divi. (#3404,#3406) [@jimtrue]
* Fixed: Currency/Number Validation used to correct issue with Currency Usage in the Pods Gravity Forms plugin (#3436) [@sc0ttkclark]

= 2.6.1 - February 15th, 2016 =

* Added: Additional Label support for Post Type / Taxonomy register functions (#3275) [@pcfreak30]
* Added: Add use_current option for Widget Single (#3393,#3394) [@sc0ttkclark]
* Added: Add option to website fields to open links in new window (#3388,#3387) [@sc0ttkclark]
* Fixed: 'type' not 'object_type' (#3378,#3351) [@pglewis]
* Fixed: Update Select2 to v3.2.0, should resolve #3344 (#3377,#344) [@pglewis]
* Fixed: Change Markup to Support CSS in WP 4.4 (Thanks to @nicdford we missed mentioning in 2.6 Change log) (#3277,#3270,#3279)
* Fixed: Non-Zero Array Keys here in PHP7 cause odd behaviour so just strip the keys (#3294,#3299) [@pglewis]
* Fixed: Corrected Dashicons Link in the Menu Options panel of Edit Pods (#3287,#3271) [@benbrandt]
* Fixed: Update Version number on 2.x (#3282,#3281) [@pglewis]
* Fixed: Typo's Rest into REST (#3303) [@Ramoonus]
* Fixed: Disable xdebug on Travis (#3284,#3283) [@pglewis]
* Fixed: Remove dockunit leftovers (#3307) [@Ramoonus]
* Fixed: Do not use Hashtag as name (#3316) [@Ramoonus]
* Fixed: Over-escaping strikes again (file upload, restrict file types with more than one mime type) (#3083,#3328) [@pglewis]
* Fixed: Refresh #3388 with 2.x (#3388,#3389) [@sc0ttkclark]
* Fixed: Replace usage of get_currentuserinfo with wp_get_current_user (preparation for WP 4.5) (#3399,#3398) [@sc0ttkclark]
* Fixed: Taxonomy custom meta fields returning false from REST API (#3365,#3369) [@anandamd]

= 2.6 - December 9th, 2015 =

* Added: Support for Term Meta in WP 4.4 - Now create meta-based taxonomies and Pods just magically works! (#3169,#3163) [@sc0ttkclark]
* Added: Add REST API Support to Post Types, Taxonomies, Users. Read the update in https://github.com/pods-framework/pods/pull/3184 for step by step details. (#3184,#3182) [@Shelob9]
* Added: Added compatibility with the latest Polylang version, using $polylang-model to get the current language and version. (#3223) [@JoryHogeveen]
* Added: Inline hook docs in PodsAdmin class (#3180,#3179) [@Shelob9]
* Added: Fixes to REST API Admin Tab (thanks @nicdford) to display always but also explain why it won't work if not able to work. (#3246,#3259) [@Shelob9,@nicdford]
* Added: PHPunit support for clover-coverage FN (#3176) [@Ramoonus]
* Added: Travis do not allow PHP7 to fail (#3235) [@Ramoonus]
* Added: Tests for Mariadb and mysql 5.6+7 with PHP 5.6 Travis (#3212,#3208) [@Ramoonus]
* Added: Nonce and text translation to delete link in pod edit sidebar. Fixes issue where attempted to delete pod from edit page results in fatal error. (#3203,#3194) [@cpruitt]
* Added: Use phpcs standard wordpress in scrutinizer (#3166) [@Ramoonus]
* Added: phpunit support for clover-coverage (#3161) [@Ramoonus]
* Added: Travis allow PHP7 to fail (#3153) [@Ramoonus]
* Added: Travis include WordPress 4.3 in test matrix (#3152) [@Ramoonus]
* Added: Travis cache composer (#3151) [@Ramoonus]
* Added: Grunt ignore dockunit.json (#3150) [@Ramoonus]
* Updated: Dockunit - replace PHP 7 rc1 with rc4 (#3201) [@Ramoonus]
* Updated: Improve Contributing guidelines correcting wrong pull location and fixing correct release branch. (#3149,#3147) [@quasel]
* Fixed: Scheduled post preview message/URL. When a post was scheduled, the status message displayed at the top of the edit post page was malformed where the string placeholders were numbered. (#3234) [@sparkdevelopment]
* Fixed: Merged #3205 to fix install-wp-tests.sh (#3211,#3205) [@Ramoonus]
* Fixed: Add pods_auto_template_name filter, by context to change auto template (#3199,#3200,#3198) [@Shelob9]
* Fixed: Revert scrutinizer less is more (#3172,#3170) [@sc0ttkclark,@Ramoonus]
* Fixed: Remove limit of 5 in get_template_titles Auto Template (#3157,#3160) [@jimtrue]
* Fixed: Related_act.permalink calls to fix permalink/slug traversal in ACTs and related taxonomies (#3156,#3155,#2779) [@sc0ttkclark]
* Fixed: Added option to deselect Auto Template for Archive views. There needed an 'empty' selection to correct issue where Template error wouldn't go away. (#3148,#3146,#3142,#3247) [@Sgillessen]
* Fixed: Added Dockunit Badge (#3145) [@tlovett1]
* Removed: Double exclude path in scrutinizer (#3228) [@Ramoonus]
* Removed: Readme removed code coverage badge (#3220) [@Ramoonus]
* Removed: Dump composer in Scrutinizer (#3204,#3167) [@Ramoonus]
* Removed: Composer remove coveralls. Was not being used and needs phpunit support. Could also be replaced by php codesniffer or scrutinizer. (#3174) [@Ramoonus]

= 2.5.5 - September 16th, 2015 =

* Added: Unit testing for PHPUnit 4.8 support. (#3090, #3069) Kudos to @Ramoonus
* Fixed: Drop External code coverage - timeout in Scrutinizer.  (#3091) Kudos to @Ramoonus
* Fixed: Changed Content property to fix spacing issues with AutoComplete Field where the formatted selection fields have awkward spacing between the selection box and the selection list. (#3098, #3097, #3099) Kudos to @nicdford
* Fixed: Issue where [each] tag traversal did not work with Taxonomy in Pods Templates. Related notes regarding pod->object_fields for taxonomy added for 3.0 notes. (#3106, #3018, #3107, #3111) Major thanks to @pglewis
* Fixed: `permalink` field traversal has only been working for post types, not for related taxonomies. (#2779, #3114, #3115) Kudos to @pglewis
* Added: Support for CPT UI 1.0.x in CPT UI migration component by adding support for multiple possible option names for post types and taxonomies. (#3112, #3109, #3113, #3116, #3117) Kudos to @pglewis
* Added: Merged Auto Template into Pods Template Component.  (#3125, #3105) Major thanks to @Shelob9 both for the original plugin and for incorporating this into Pods Templates.
* Added: License.txt changes to sync with GPL v2 (#3130, #3133) Kudos to @Ramoonus

= 2.5.4 - August 10th, 2015 =

* Added: Support for Compare ALL with meta_query syntax. Kudos to @pcfreak30. (#3037, #3038)
* Added: Query_field tests (meta_query syntax for where) (#3033, #3032, #1662, #2689)
* Added: Support for autoCAST()ing meta_value orderby for dates and numbers (#3043, #3041, #3058)
* Added: Feature/pods page export support. Added 'pods_page_exists' filter to allow Pods Page content to be supplied from another source (eg exported files) (#3049, #3054)
* Added: Copy of EDDs scrutinizer (#2917, #3072)
* Removed: PHP4-style constructor removed in Pods Widgets (#3055, #3056, #3057)
* Fixed: PHP Doc Improvement (#3039, #3040)
* Fixed: Style escaping which created a quote encoding bug in PodsMeta.php. (#3053, #3032)

= 2.5.3 - June 11th, 2015 =

* Added: Support for Term Splitting in WP 4.2 (#2856, #2660)
* Added: Support for Pod and Field names with dashes and prefixes with underscores (#3012, #3021, #3022)
* Added: Add git workflow and a link to it from contributing.md (#2490, #2496)
* Added: Unit tests for PodsField_Boolean (#2473, #2474)
* Added: Unit test to create pod factory object and moves fixture set up from traversal tests to test case. (#2445)
* Added: Additional Pods_Field_Text tests added to incorrect text dependencies. (#2388)
* Fixed: Fixes for Drag and Drop Reorder Action not working in ACT's (#3015, #3016)
* Fixed: Fix for pagination handling in shortcodes. Shortcodes currently use 'pagination' for two contexts (display and data) but if page or offset is supplied, it's only meant for one context (display). (#2807, #3004)
* Fixed: Update post field in pod instance before saving, related to MetaData (post field) not flushing after saving (#3000, #3002, #3003)
* Fixed: Corrects Delete not working for Edit Items (#2752, #2991)
* Fixed: Corrects ACT - Admin Order DESC not working && SQL error if order by an relationship field (#2843, #2989)
* Fixed: Composer: updated for phpunit 4.7 (#2987, #2988, #2783)
* Fixed: ui/js/jquery.pods.js fixes (#2971, #2972)
* Fixed: Remove `@internal` phpDoc for pods_query() (#2970, #2969, #2975)
* Fixed: Fix for ACT editor not staying on current item after saving (#2968, #2942, #2974)
* Fixed: Fix for over escaping icon URL in file fields previewer (#2957, #2956, #2955, #2978)
* Fixed: Fix for symlinked pods in local deve environment (#2946, #2945, #2949)
* Fixed: Removed Vestiges of Old Updater (#2940, #2983)
* Fixed: Clarify help text as to what does and doesn't get deleted on reset (#2792, #2778)
* Fixed: Missing $ in PodsInit line 494 (#2475, #2476)
* Fixed: Trim off whitespace when saving custom fields; code in classes/fields/pick.php already does this. (#2386, #2343)
* Fixed: Updated Taxonomy to get called after cache is flushed (#2264, #2375, #2382)
* Fixed: Cleared old unit tests from EDD (#2380)
* Fixed: Allow fields to be sorted by orderby; Two separate but connected issues. First if orderby is passed then the $data array is never populated. Then looping through $ids will always give it results sorted by priority in the relationships field (data returned by lookup_related_items) (#2350, #2277)

= 2.5.2 - May 14th, 2015 =

* Fixed: Issues with default values for number and other types of fields.
* Fixed: Issue where Pods update was causing WP-API endpoints to 404. Rewrite rules now flush on wp_loaded.
* Fixed: Issue preventing proper display of fields in a related CPT via Pods::field()
* Fixed: Issue preventing codemirror from being enqueued in Pods templates and therefore breaking Pods templates editor in certain configurations.
* Added: Added caching info to debug info.
* Fixed: Bug that was causing Pods to overwrite admin menus.
* Fixed: Issue preventing ongoing compatibility with Admin Columns.
* Improved: Style of components filter bar.
* Improved: Proper sanitization/ escaping of URLs.
* Fixed: Shortcode button was outputted in post editor when shortcodes were disabled. This will no longer happen.
* Improved: Translation strings in ui/admin/help
* Improved: Gradients in Pods wizard.
* Fixed: Issue preventing associated taxonomies to be fetched via Pods::field() and therefore magic tags.
* Improved: Icon font used for Pods admin icon.
* Improved: Elaborated on what data is and isn't deleted when Pods data is reset.
* Added: Compatibility with GitHub updater plugin.
* Updated: New youtube video in readme.
* Added: Support for term splitting in WordPress 4.2.
* Removed: Extra meta data with _pods_ prefix
* Fixed: Issue where multiple post type Pods objects called in same session were treated as the same in cache.
* Fixed: Double slashing in PodsView class.
* Improved: URL escaping in PodsUI

= 2.5.1.2 - March 16th, 2015 =

* Security Update: We recommend all Pods 2.x installations be updated to the latest version of Pods
* or replace your plugin files with the download of your version from http://wordpress.org/plugins/pods/developers/
* Fixed: Pods UI orderby now strictly enforces Database column format

= 2.5.1.1 - January 22nd, 2015 =

* Fixed missing files for font icon.

= 2.5.1 - January 22nd, 2015 =

* Fixed: Issue preventing fields from being sorted by weight or by orderby, that was affecting image multi-select image field ordering.
* Fixed: Missing gradients in UI.
* Fixed: Use of anonymous function in PodsMeta.php causing issues with old versions of PHP.
* Fixed: Issue where hidden fields were being shown for admin users, when they should have been hidden.
* Fixed: Issue where PodsAPI::delete_field() was unable to delete fields in certain situations.
* Fixed: Issue with pods_version_check() usage that was causing a deprecated core function to run, when it was supposed to prevent it from running.
* Fixed: Issue with pods_error() that was causing it to display AJAX errors improperly.
* Fixed: Issue preventing public, publicly queryable & rewrite with front from saving choices in advanced options.
* Fixed: Magic tag for custom taxonomy, which was showing no content in Pods Templates in 2.5.
* Fixed: If block in Frontier.
* Fixed: Issue with custom taxonomy joins preventing "custom_tax.d.custom_field" type where clauses from working.

= 2.5 - December 30th, 2014 =

* Major performance enhancements can now make things run up to 400% faster (props to @jamesgol!)
* More unit tests -- now 1,858 tests with a total of 13,420 assertions covering all content type, storage type, and field variations (props to @sc0ttkclark, @clubduece, and @mordauk! it was a group effort)
* Added Travis-CI / Scrutinizer-CI for all pushes and pull requests to unit test and check for other issues
* Upgraded Code Mirror library
* Upgraded qTip library
* Updated translations -- Add your translations at http://wp-translate.org/projects/pods
* Fixed: Added nonces for multiple actions in the admin area to avoid accidental / unwanted results
* Fixed: Issue causing issues in admin with CodePress admin columns.
* Fixed: Issue preventing Pods Template editor from working with certain xcache configurations.
* Added: 'join' to the accepted tags for Pods Shortcode.
* Added: 'pods_data_pre_select_params' filter.
* Improve: PodsAPI::export_pod_item_lvl(), adding item ID to all steps.
* Simplify logic when creating new PodsAPI singleton internally.
* Switch from Pods::do_hook() to apply_filters() or do_action() for 'pods_pods_fields', 'pods_pods_field_related_output_type', 'pods_pods_field_', 'pods_pods_field', 'pods_pods_fetch', 'pods_pods_reset', 'pods_pods_total_found', 'pods_pods_filters'
* Fixed: YARRP support.
* Ensure that pods_v_sanitized() passes the $strict argument to pods_v().
* Prevent use of date_i18n() in PodsData when not needed.
* Fixed: Issue where updating relationship to users in pods editor  threw an erroneous error.
* Fixed: Hiding of text in title-prompt-text
* Updated design of new Pod wizard to match MP6 (props to @nikv!)
* Fixed: Inline docs for pods_api_get_table_info_default_post_status filter
* Fixed: Issue where Pods::field() showed cached data after saving via Pods::save(), without re-building the Pods Object.
* Allowed PodsField_Pick to save names
* Switched pods_v() to use switch/case instead of if/else where possible.
* Prevented Pods::id() from calling the field method unless it has to.
* In PodsData::select(), allow proper use of cache expiration time.
* Fixed: Issue in currency fields to ensure proper handling of decimals.
* Added a "pre_select" hook in PodsData.
* Improved traversal regex in Pods::find() to have better handling for variation of backticks.
* Removed usages of the deprecated WordPress function like_escape().
* Remove redundant file/class checks for Pods Templates.
* Implement glotpress-grunt for manging translations.
* Fixed: Issue where get_current_screen(), in some contexts was used as an object, when it was null.
* Improved: Styling of shortcode insert button.
* Prevented string replace and trim from running on a form field default when default value is not a string
* Fixed: Issue preventing color pickers from working in front-end form.
* Switched from using $wpdb->prefix to $wpdb->base_prefix in pick field class.
* Fixed: Default avatars on the Discussion settings page replaced by user's custom avatar.
* When saving custom fields, whitespace is now trimmed.
* Better validation of custom fields when saving custom post types.
* Improved: Handling of required fields.
* Changed the default of $display_errors in Pods class to true.
* Allowed save_post_meta to delete single meta elements instead of update.
* Fixed: An issue preventing fields from being sorted by orderby.
* Fixed: Issue where fields, storing one value, returned arrays, instead of strings.
* Allowed extending the link category taxonomy, if in use.
* Added join as an acceptable tag for Pods shortcodes.
* Fixed pods_error(): reversed logic that was emitting an error instead of throwing an exception when $display_errors is false
* Fixed issue where user_url was created as a required field when extending users.
* Add ability to use pods_group_add() in the ACT editor.
* Security Update Reminder: As of Pods 2.4.2, we recommend all Pods 2.x installations be updated to the latest version, or replace your plugin files with the download of your version from http://wordpress.org/plugins/pods/developers/
* If you need assistance in upgrading your Pods 2.x site to the latest version of Pods, please don't hesitate to contact us at https://pods.io/help/

= 2.4.3 - June 23rd, 2014 =

* Fixed: Pods Templates component now has better handling of the new shortcodes
* Fixed: PodsUI data issue with Custom DB Table support
* Fixed: Readonly fields and noncing now works properly, Pods 2.4.2 caused all forms with readonly fields to fail submission
* Hardened: Further security hardening of the `[pods]` shortcode, added PODS_DISABLE_SHORTCODE constant to allow sites to disable the Pods shortcode altogether

= 2.4.2 - June 22nd, 2014 =

* Security Update: We recommend all Pods 2.x installations be updated to the latest version of Pods to fix a noncing issue with form saving, or replace your plugin files with the download of your version from http://wordpress.org/plugins/pods/developers/

= 2.4.1 - June 19th, 2014 =

* Fixed: Display of of hidden fields in Pods Forms
* Fixed: Reordering fields in PodsUI
* Fixed: PodsUI Admin Icon Display
* Add new filter: ‘pods_pod_form_success_message’ for changing the message when Pods Forms are successfully submitted.
* Fixed: Issues in Packages component when importing existing fields.
* Added new filter: ‘pods_view_alt_view’ for overriding normal Pods Views to be loaded in via AJAX inline from Pods AJAX Views plugin.
* Fixed: PHP error in Pods Template reference.
* New Constant: PODS_PRELOAD_CONFIG_AFTER_FLUSH check to allow for preloading $api->load_pods() after a Pods Cache flush.
* Fixed: Issue with tabled-based SQL delete actions.
* Fixed: PodsUI SQL table-based lookups
* Added: New Hooks In ui/admin/form, which generates ACT editor, for adding additional forms or other content to editor.
* Added: Inline docs for 'pods_meta_default_box_title' filter and normalized args across each usage.
* Added: Item ID to pods_api::export() item array.
* Fixed: Update from GitHub functionality.
* Fixed: Issue where extended custom post types had different names then original post type due to use of dashes in names.
* Improved UX for select2 field adding new items.
* Fixed: $params with unslashed data in Pods_Admin::admin_ajax()
* Fixed: Unwarranted base_dir warnings.
* Fixed: Pagination/search boolean checks.
* Fixed: Issue when mbstring module is not active.
* Fixed: Issue with markdown module header causing activation errors.
* New Filter: 'pods_admin_components_menu' to add/edit components submenu items.
* Added: Ability to use pods() without any parameters. Will pull the pod object based off of the current WP_Query queried object / object id

= 2.4 - April 16th, 2014 =

* After a long road, we've got a new minor release out that fixes a large number of outstanding bugs and adds a few improvements that were within reach right away.
* In Pods 3.0 we're focusing on finishing some overarching performance improvements that are necessary to support large installs with the new Loop and Repeatable fields features.
* Added: Tagging feature for Relationship fields with Autocomplete (Select2) which lets you add new items on-demand when saving
* Added: PodsAPI::get_changed_fields() that can be used when in a pre-save hook to return array of changed values or used in PodsAPI::save_pods_item() to track changes to fields
* Added: _pods_location to $params for PodsAPI::save_pod_item which will contain the URL of the form it was submitted from
* Added: New Pods Template editor revamp to include auto-complete for magic tags and field reference, which can be further extended by installing Pods Frontier
* Added: An optional download link to File Upload field type
* Added: Additional Currency formats to Currency field type
* Added: created/modified functionality (see Advanced Content Types) to other Pod types, as long as they are date/datetime fields
* Added: Support for JetPack Publicize and Markdown modules
* Added: Max character length option for paragraph fields
* Added: Actions before and after Pods Form all and individual form fields are outputted
* Added: New constant PODS_ALLOW_FULL_META for for enabling/disabling get_post_meta( $id ) interaction with Pods (on by default)
* Added: New constant PODS_DISABLE_SHORTCODE_SQL to disable SQL-related parameters in shortcode
* Added: 'pods_admin_media_button' filter to disable the Pods shortcode button in post editor
* Added: 'pods_api_save_pod_item_track_changed_fields_{POD_NAME}' filter for tracking changes to fields
* Added: 'pods_pick_ignore_internal' filter to enable/disable Relationships with core Pods types (_pods_pod, etc)
* Added: 'pods_image_default' filter to allow for placekitten.com or other image placeholder scripts for testing
* Added: Improved Pods Template code sanitization
* Added: Better names for many fields in Pods Editor
* Added: New and improved help bubbles in Pods Editor
* Added: Instructions about using Pods Templates in Pods Widgets
* Added: New descriptions for Pods Pages and Pods Advanced Content Types component descriptions
* Added: Support links in Pods Admin -> Help
* Added: Currently active theme to Pods Debug info list
* Added: Inline docs for 'pods_api_get_table_info_default_post_status' filter
* Added: Inline docs for 'pods_admin_menu' filter
* Added: Inline docs for 'pods_admin_setup_edit_options' (and related) filters
* Added: Inline docs for 'pods_admin_setup_edit_tabs' (and related) filters
* Fixed: Issues with user tables in multisite
* Fixed: Issue with PodsForm::default_value
* Fixed: With Pods UI. Keep view when generating pagination links
* Fixed: Bug with custom extensions for allowed file types in upload fields
* Fixed: Compatibility problem with changes to plupload in WordPress 3.9 that prevented upload pop-up from loading
* Fixed: Array to string conversion error for CSS fields in Pods UI
* Fixed: Magic tags for taxonomies in Pods Templates
* Fixed: Fixed jQuery scope in Pods Form inline JavaScript
* Fixed: Added 'output' to reserved content types names and reserved query vars
* Fixed: Issue where required currency and number fields could be saved at default value
* Fixed: Undefined method error in WP 3.4 due to use of WP_User::to_array() which was added in WP 3.5
* Fixed: Issue with ability to use filters on reorder page with Pods UI
* Fixed: Pre-save enforcing of max length for meta-based values
* Fixed: Extra spaces in custom defined list labels
* Fixed: Pagination default value for Pods shortcode
* Fixed: PodsForm::submit_button() method that had been lost from previous versions
* Fixed: Usage of pods_v in currency.php for optimization purposes
* Fixed: Correct parent_file to highlight the correct top level menu
* Fixed: Improper wording for text at top of settings page field

= 2.3.18 - November 4th, 2013 =

* Be on the look out for Pods 2.4, officially in development and in Beta soon! It will include our new Loop and Repeatable fields
* Fixed: PodsData row handling during fetch loop, thanks to a number of users who helped find this one

= 2.3.17 - November 4th, 2013 =

* Fixed: PodsData item caching now disabled for WP objects, relying on core WP caching entirely
* Fixed: PodsAPI::save_pod_item default value handling for new items no goes through all fields, even if not included in form

= 2.3.16 - November 4th, 2013 =

* Fixed: PodsMeta pod caching is now different between meta calls and the form methods, avoiding potential issues with functions used that call their own meta (TinyMCE)
* Fixed: Properly add/drop column for table-based Pods when switching between a custom simple relationship and a normal relationship
* Fixed: Session starting for memcache-based sessions and other tcp:// configs improved
* Fixed: Media saving bug, where the custom fields were not saving when going to Media Library > Edit

= 2.3.15 - October 31st, 2013 =

* Added: New 'calc_rows' option in Pods::find, this allows for SQL_CALC_FOUND_ROWS to be run selectively (default is off, since we run a separate count query on demand by default)
* Added: You can now override the 'manage' action link in PodsUI 'action_links'
* Added: `shortcodes="1"` attribute for the Pods shortcode will allow for running of shortcodes output through templates or fields included
* Fixed: PHP warnings with role restriction when limited to one role
* Fixed: 2.3.14 introduced a regression bug that would not save fields in the user profile, so values never changed
* Fixed: Quick Edit on terms could potentially save empty values for the custom fields
* Fixed: Traversal handling of Pods::field for related_item.ID would cache into object as related_item, so a subsequent lookup of related_item would come back as the ID and return the wrong value

= 2.3.14 - October 29th, 2013 =

* Fixed: Some users experienced and issue with user registration when there were required fields

= 2.3.13 - N/A =

= 2.3.12 - October 15th, 2013 =

* Improved: Meta object caching improved
* Fixed: Some users experienced an issue with a reference error

= 2.3.11 - October 12th, 2013 =

* Fixed: User / Post field value saving with better nonce handling
* Fixed: pods_v_set saving for user meta

= 2.3.10 - October 11th, 2013 =

* Added: Ability to set 'output' type in Pods::field() to 'pods' for Relationship fields related to a Pod, which will return an array of fully functional 'pods' objects for further advanced code
* Added: Pod Pages now have an option to redirect to the login page or a custom URL if the user does not have permission to view it (based on restrict settings on the Pod Page itself)
* Added: Ability to set Taxonomy terms for a Post Type item through the normal Pods 'add' / 'save' / etc methods
* Added: Ability to set User 'role' for a User through the normal Pods 'add' / 'save' methods
* Added: Taxonomy-specific capabilities added to the Pods Roles component
* Added: New Days of Week and Months in Year pre-defined relationships added for simplistic date-oriented fields
* Added: Support for $offset handling in Pods::pagination()
* Added: YARPP integration for Post Types
* Added: Default Select Text customization for Relationship fields that are set to a Dropdown input
* Added: Default Post Status to use for Custom Post Types created by Pods, when utilizing the Pods 'add' method
* Added: mu-plugins support for Pods as a Must-Use plugin on WordPress Multisite installations (props @studioanino)
* Improved: Smarter handling of post_status for Post Types, easier to override to show other post statuses, and if you don't provide it in the 'where', it will fall back to the default(s)
* Improved: Pods::remove_from() now removes all values if you provide no 'value' for a specific field
* Fixed: Comment queries using comment_type should allow for a blank string (props @sirbeagle)
* Fixed: Date / Time saving for 24 hour formats
* Fixed: Timezone notices on certain configurations

= 2.3.9 - August 5th, 2013 =

* A big welcome to the newest contributor to our team, David Cramer (@desertsnowman)!
* Added: Theme-based Pod Templates now available, when using $pod->template( 'your-template' ) or other places a template can be used (shortcode, widget, etc), with $obj variable available for use like in a normal template -- this will automatically include your template file from the following locations, child-theme aware: pods/your-template.php, pods-your-template.php, or your-template.php -- Get the code out of the database and get rid of the need for the Templates component!
* Added: When saving items via the API, relationship fields now accept slugs (previously only IDs)
* Added: When saving items via the API, file fields now accept URLs or GUIDs (previously only IDs), if you provide a URL and it isn't already in WordPress, it will automatically import as a new WP attachment
* Added: Read Only option for fields, works like Hidden option, under Advanced tab of field editor
* Added: New '_src_relative' and '_src_schemeless' field options for returning an attachment field's URL that's schemeless (// instead of http://)
* Added: New 'list' option for pagination, a clone of the 'paginate' option that's Bootstrap compatible
* Added: Added Chinese translations
* Fixed: Updated compatibility for WordPress 3.6 slashing changes while maintaining compatibility for WP 3.4+
* Fixed: Custom Taxonomies now have their menu icon option available, previously hidden due to a bug
* Fixed: Various PHP notices/warnings
* Fixed: Translation tweaks and fixes

= 2.3.8 - June 8th, 2013 =

* Fixed: Hide field from UI option now works properly for admins
* Fixed: User data handling for `pods( 'user' )`
* Fixed: jpeg extension now included in built-in 'images' option for File field type
* Fixed: iThemes Builder / Markdown components weren't loading properly (no errors, just didn't load)

= 2.3.7 - June 7th, 2013 =

* Added: New filter to allow searching across different fields in autocomplete relationship fields: https://github.com/pods-framework/pods/issues/1464
* Improved: JS performance used for the field manager drastically improved (props @pglewis)
* Improved: PHP optimization tweaks for how we handle $_POST sanitization
* Fixed: Parent Menu ID handling for the Pods that support it
* Fixed: E_STRICT PHP notices
* Fixed: Shortcode popup JS building logic
* Fixed: Issue with find() queries using number decimals matching the relationship traversal regex rules

= 2.3.6 - May 24th, 2013 =

* Fixed: Issue with the Pod list when you delete or empty a Pod, it would repeat the same row in the list until you went back to the Edit Pods screen without the id=X in the URL
* Fixed: Issue with renaming a field to another name would rename the field name and then delete it due to a missing ID validation check

= 2.3.5.1 - May 20th, 2013 =

* Fixed: Issue with the Upgrade wizard from 1.x to 2.x showing up properly

= 2.3.5 - May 19th, 2013 =

* Added: Ability to add new global field options (separate from field types) and new field editor tabs
* Various fixes that can be found on GitHub

= 2.3.4 - April 29th, 2013 =

* Added: Ability to iterate through the Pods object with `foreach ( $pod as $item ) { echo $item->display( 'name' ); }`
* Added: Ability to override serial array parameters in Pods::display() `$pod->display( array( 'name' => 'field_name', 'serial_params' => array( 'and' => '' ) ) )`
* Added: Ability to override related field parameters in Pods::field() to further filter related field arrays beyond the defaults `$pod->field( array( 'name' => 'related_field', 'params' => array( 'where' => 't.active = 1' ) ) )`
* Added: Ability to use RegEx in Pod Page URI's, just filter 'pods_page_regex_matching' and return true (default is false, normal wildcard * handling)
* Improved: Pod Page detection on URLs is cleaner and more performant, the tricky MySQL query from the days of Pods 1.x has been completely replaced with a process similar to WP Rewrites
* And 15 other bug fixes that can be found on GitHub

= 2.3.3.1 - April 21st, 2013 =

* Fixed: Advanced Content Types were missing their 'Advanced' tab
* Fixed: IE 8-10 issue with plupload implementation for the 'Add File' button

= 2.3.3 - April 21st, 2013 =

* Added: Ability to change the output type of relationship fields with pods_field_related_output_type filter - Options are arrays (default), objects, ids, or names
* Added: Traversal for detail_url (related_post.detail_url maps to get_permalink, same for Taxonomies, Users, or Comments)
* Added: Pods::is( $field, $value ) to check if a field is a specific value
* Added: Pods::has( $field, $value ) to check if a field has a specific value in it - Check for value(s) in related/file fields, get stripos for text-based fields, uses Pods::is for all other fields
* Added: Pods::remove_from( $field, $value ) to remove a value for relationship (remove ID), file (remove ID), and number (subtract) and saves (see Pods::add_to for the reverse of this)
* Added: Ability to change the default file upload type (default images) with the pods_form_ui_field_file_type_default filter
* Improved: Pods class caching now better and utilized object caching for primary object init
* Translated: Full pt_BR translation provided by [Luciana](https://github.com/yammye)
* And 40+ other enhancements and bug fixes that can be found on GitHub

= 2.3.2 - April 11th, 2013 =

* Added: You can now select 'ID' from the list of available columns to show in Admin UI for Advanced Content Types
* Various fixes that can be found on GitHub

= 2.3.1 - April 9th, 2013 =

* Added: New ability to set the menu location of Custom Taxonomies (expose a Custom Taxonomy that isn't associated to a Post Type)
* Various fixes that can be found on GitHub

= 2.3 - April 7th, 2013 =

* Added: Custom Settings Pages - now you can add new settings pages with their own custom fields!
* Added: Pods find() 'where' / 'having' parameters now accepts the standard WP_Query meta_query format! With the added ability to nest AND/OR 'relation' too!
* Added: When using pods() function and `[pods]` shortcode, Pod and ID will be auto-detected from current post type and ID if on singular post page or in the loop
* Added: Pods fields() method now takes two new arguments, $field and $option to get an option from a specific field
* Added: `{@detail_url}` handling for taxonomies, users, and comments
* Added: New find() traversal capabilities https://github.com/pods-framework/pods/issues/972
* Added: New field() value and traversal capabilities https://github.com/pods-framework/pods/issues/971
* Added: When saving a relationship field that's bidirectional, and the related field is required - if the save would cause that field to be empty a warning will now be shown on save
* Added: New Pods first_id/last_id methods for getting the first/last ID of find()
* Added: New Pods nth( $pos ) method for when in a fetch() loop, works like CSS nth-child and accepts the same format `5`, `3n+3`, etc: http://css-tricks.com/how-nth-child-works/
* Added: New Pods position() method for when in a fetch() loop, returns current row number (1+)
* Added: New Pods add_to() method to add a value to relationship (add ID), file (add ID), number (add/subtract), and text (append) fields to their existing values and saves
* Added: New Pods import() method maps to PodsAPI import() method
* Added: New Pods export() method maps to PodsAPI export() and accepts find $params and the ability to choose depth level
* Added: Advanced Content Types now have Admin UI settings available which expose the most popular PodsUI options
* Added: Advanced Content Types now have the ability to be Hierarchical, by selecting a relationship field to itself
* Added: Now you can Duplicate Pods themselves!
* Added: Pods now automatically adds Post Type capabilities (based on the Post Type options) for each Custom Post Type you create in Pods, works with Members capabilities filter
* Added: Additional support in the Pods API for (eventually) extending WP Multisite Sites / Networks, and Custom Tables
* Added: New shortcode / widget / Builder module for including a file from the theme (using PodsView)
* Added: New shortcode option for including a field value from the current post/page
* Added: New WordPress 3.5 Media Library integration, more on the way soon!
* Added: New shortcode option for including Pod Page content
* Added: New Pod Page option to associate a Pod and choose the slug {@url.2} to use for populating the pod
* Added: New translations! Join us in further translating the Pods interface at: http://translate.rocksta.rs/projects/pods-framework
* Revamped: Admin interface for editing Pods has been updated with tabs and better organization, includes the new ability to add your own tabs and options using the pods_admin_setup_edit_tabs and pods_admin_setup_edit_options filters
* Revamped: Relationships saving has been revamped to provide better abstraction (less code, more reusable)
* Updated: Additional Polylang and WPML support throughout the Pods API
* Updated: Pods Edit list now separated by Pod Type for easier management on large sites
* Updated: Pods Components list now separated by Category, getting us ready for many new components that will be separately available soon
* Updated: Pods export() method now exports to JSON and you can choose the depth of the export (whether to include relationships and their related items, etc)
* Updated: Better handling for Pods prev/next methods, detecting if there's a find() already on that page
* Updated: More phpDoc updates
* Updated: More refined caching and optimization of specific calls to get only what they need
* Updated: Now enforcing maximum post type (20 chars) / taxonomy (32 chars) naming
* Changed: Advanced Content Types have been split off into their own component which you can enable to be able to add new Advanced Content Types
* Changed: Table-based storage for WordPress objects (Post Types, Taxonomies, Media, Users, and Comments) has been split off into it's own component which you can enable to add the table-based storage option to the Pods Add New interface
* Various fixes that can be found on GitHub

= 2.2 - January 5th, 2013 =

* Added: New 'Duplicate Field' option, that lets you copy a field's settings into a new field in the Pod editor
* Added: New iThemes Builder component - Adds four new modules available for use in Builder Layouts -- Field Value, Form, List Items, and Single Item
* Updated: Split up the old Pods Admin > Setup menu into two separate items -- Edit Pods and Add New
* Fixed: Upgrade from Pods 1.x to Pods 2.x now fixed, in Pods 2.1 the upgrade wizard was not shown
* Various fixes that can be found on GitHub

= 2.1 - December 7th, 2012 =

* Pods is now WordPress 3.5 compatible as we've added a number of fixes for all the 3.5 media goodness! We're also working on some tighter integration with the new 3.5 media popups (thanks to the awesome work of @jchristopher) - watch for that in Pods 2.2 soon
* Added: New Tableless mode (for WordPress VIP compatibility!) lets Pods run on any site w/ table-based storage turned off and wp_podsrel won't be utilized (or even created if tableless mode is on during activation) - define( 'PODS_TABLELESS', true )
* Added: New Light mode disables all Components - define( 'PODS_LIGHT', true )
* Added: New Avatar field type available for when you extend the Users object with Pods - Automatically takes over get_avatar calls!
* Added: New Relate to options available for relationships fields for Post Formats and WP Nav Menus
* Added: API to register pods and fields from a theme or another plugin (doesn't save into the DB): pods_register_type and pods_register_field - See https://github.com/pods-framework/pods/issues/700
* Added: Now you can look up meta field values within find() calls, just use the field_name.meta_value syntax (instead of t.field_name) and Pods will auto-join the table needed
* Updated: Relationship 'where' option in Field editor now more robust and has all fields (including relationships, or meta like above) can be referenced
* Updated: Relationship 'where' option in Field editor now supports {@user.ID} lookups which maps to pods_var( 'ID', 'user' ) to sanitize (ex. user.ID != '{@user.ID}' in the Pick WHERE will return all users not the current user); You can use any pods_var enabled option, documentation coming this month
* Updated: Relationship saving has been optimized for both bi-directional relationships and regular relationships
* Various fixes that can be found on GitHub

= 2.0.5.1 - November 25th, 2012 =

* Fixed: 'Edit' link wasn't appearing for Pod Pages / Templates / Helpers (you could click the title though)

= 2.0.5 - November 24th, 2012 =

* Another big set of stability fixes to improve performance and functionality
* Added: Migrate Packages component - Our Package manager makes a return! You may remember it from Pods 1.x, but we've cleaned it up and improved the interface to make it easier to migrate your settings between sites or share them with others

= 2.0.4.1 - October 17th, 2012 =

* Updated: Pods UI duplicate method labels were confusing
* Fixed: Simple Relationships were returning raw data for table-based Pods
* Fixed: Specify specific content types to import in Migrate Custom Post Types UI component
* Fixed: Add Custom Capabilities bug with first text box wouldn't save in Roles component
* Fixed: Various Widget fixes to Widget UI
* Fixed: XHTML balance tags option in Writing settings was adding a space in <?php tags for Pod Pages / Helpers / Templates
* Fixed: Date / Time field now allows an empty value to be saved rather than setting the current date / time, this is an option that can be turned off
* Fixed: WP Rewrites are properly flushed upon adding / editing / deleting Pods

= 2.0.4 - October 15th, 2012 =

* Big bug fix release, we've fixed tons of bugs and improved backwards compatibility even further - stability, stability, stability!

= 2.0.3.1 - October 5th, 2012 =

* Fixed an upgrade issue a few users were reporting where the upgrade wouldn't start
* Fixed reserved post_name issues with our internal post types for Pods and Fields (rss, date, and any other feeds)

= 2.0.3 - October 4th, 2012 =

* We've fixed many more bugs, that means even more stability and backwards compatibility for those who have been holding off on upgrading
* Added: 'expires' parameter to find() / findRecords() calls, defaults to null, but set it to 0 or above (in seconds) and it will cache the results for as long as you'd like.
* Added: 'cache_mode' parameter to find() / findRecords() calls, defaults to 'cache', additional options are 'transient' and 'site-transient' and it kicks in when 'expires' is 0 or above
* Added: 'search_across' parameter to find() / findRecords() calls, defaults to false, set it to true to have your searches search across all of the fields on your pod (excluding relationship / files)
* Added: 'search_across_pick' parameter to find() / findRecords() calls, defaults to false, set it to true to have your searches search across all of the relationship fields on your pod
* Added: 'search_across_file' parameter to find() / findRecords() calls, defaults to false, set it to true to have your searches search across all of the file fields on your pod
* Added: Bidirectional fields are now available again in Pods 2.0, our new fully revamped functionality takes care of the headaches and will keep your relationships in sync with each other. As a result of the revamp, any previous bidirectional fields will need to be set again. Those now upgrading from Pods 1.x will have their existing bidirectional fields upgraded automatically and won't have to worry about setting them up again.
* Added: Widgets are now available to use to List Pod items, Show a specific Pod item, or to Show a specific field from a Pod item much like our TinyMCE shortcode popup -- enjoy!
* Improved: Search handling has been improved along with the above tweaks
* Check out the new screenshots we added to our plugin page if you're new to the plugin
* While we have been working on our new Pods 2.0 documentation for our site, we went ahead and synced all of that good stuff over into the code comments along with links back to the documentation.

= 2.0.2 - September 27th, 2012 =

* Even more bugs have now been fixed including additional backwards compatibility fixes
* Caching improvements and fixes, things should be even more responsive, try enabling object caching to see super speed!

= 2.0.1 - September 25th, 2012 =

* With the help of our awesome users, we've been able to quickly fix 14 bugs
* Improved backwards compatibility
* Fixed Pods UI reordering saving bug

= 2.0 - September 21st, 2012 =

* An all new, fully revamped Pods has arrived! Check our plugin page for all the details
* Please backup your site database before upgrading, even though we've tested migration it's never a bad idea to be safe
* Create and extend WP objects like Post Types, Taxonomies, Media, Users, and Comments, plus everything you love about Pods from before

= 1.14.4 - September 16th, 2012 =

* Security Update Reminder: As of Pods 1.12+, AJAX API calls all utilize _wpnonce hashes, update your customized publicForm / input helper code AJAX (api.php and misc.php expect `wp_create_nonce('pods-' . $action)` usage)
* Note: Oh hey, Pods 2.0 is coming out September 21st! Please help us continue to test the beta this week: http://dev.pods.io/tag/pods2/
* Changed: get_current_url was an older function added by Pods a while back, pods_get_current_url is the new function name which is future-proof (get_current_url will point at the new one)
* Added: A new check will deactivate the plugin if you happen to have another version of the plugin activated for testing purposes
* Added: A quick enhancement for all to enjoy as a final farewell to Pods 1.x, File Browser now has a mouse-over image enlarge function (props @WallabyKid), see: http://pods.io/forums/topic/add-thumbnail-preview-to-jqmwindow-file-browser-for-image-files/
* Fixed: Some plugins/themes use the wp_title filter incorrectly and do not pass the $sep and $seplocation variables, we now set defaults in those cases
* Fixed: Some sites experienced PHP notices from the way we've been using parse_url, we now have a fallback for that handling which clears those up
* Q & A: What's going to happen to Pods 1.x when Pods 2.0 comes out? We're going to release maintenance updates to Pods 1.14.x for a period of time, but there will be no further features added

= 1.14.3 - September 6th, 2012 =

* Added: Reordering a Pod (using pods_ui_manage) now has a new capability check for pods_reorder_pod_podname (Custom WP capability you can add to the user's role if they don't have pod_podname access already)
* Added: New pods_page_precode_X action, where X is the Pod Page URI
* Fixed: get_field from returning values if an id is not set (no data found)
* Fixed: Moved wp_editor support into an if/else statement to avoid potential overlaps
* Fixed: Pods UI pagination and search parameter naming for 'num' usage

= 1.14.2 - June 8th, 2012 =

* Changed: More strictness to the above security update, also setting tighter defaults for security access w/ uploader

= 1.14.1 - May 31st, 2012 =

* Changed: Uploaded files now uses data-post-id attribute in file row div to avoid issues with IDs, backwards compatibility maintained for old input helpers using IDs
* Fixed: Uploaded files not showing in form in the order of upload on subsequent edits
* Fixed: Fixed an issue with adding / editing fields where "Related to" dropdown would not show

= 1.14 - May 21, 2012 =

* Important Change / Addition: For installations using WordPress 3.3+, we have switched the default uploader to Plupload from SWFUpload due to incompatibilities introduced in WP 3.3.2 that effect all plugins and themes using the styled button. Be sure to update your file upload helpers using our examples at http://pods.io/packages/file-uploader-input-helpers/
* Added: edit_where_any option in Pods UI now lets you set (true/false) whether for edit_where to be an ANY or ALL match (default false = ALL)
* Fixed: Date Input field was throwing a JS error if you used YYYY-mm-dd format without the time included
* Fixed: parse_url fixes for when path isn't set (localhost or custom ports usually causes this)
* Fixed: When there was extra output above or below JSON strings like errors from other plugins, whitespace, or anything else - we now explicitly match the JSON {...} string before using it in JS to avoid confusing errors for the user
* Fixed: .pods_form style tweaks to help cover themes which display the form incorrectly
* Fixed: Forcing (int) on getRecordById when is_numeric( $id )
* Fixed: Resolved incompatibility issues with certain MySQL configurations which were throwing errors when saving a Pod

= 1.12.4 - April 5, 2012 =

* Added: 'offset' parameter to Pod::findRecords, allows you to offset what results to start with, which is added to the offset calculated based on current page number and limit
* Added: 'page_var' parameter to Pod::findRecords, allows you to set a custom page_var (default is 'pg'), setting it will reset the current page number, set during Pod::construct()
* Added: New 'pods_rel_lookup_data' filter to filter the data array itself (not just the MySQL resource given in 'pods_rel_lookup' filter above), great for customizing drop-downs for PICK fields
* Fixed: 'page' parameter in Pod::findRecords wasn't being validated as a number greater than 0, now forces a minimum of 1; Anything less will also reset the current page number, set during Pod::construct()
* Fixed: Pods UI 'label_add' wasn't being used on button at top of manage table list
* Fixed: Pagination bug with custom page_var set in Pod object, would add the custom page_var to the URL over and over
* Fixed: Upgrade script updated to include all upgrades prior to 1.6, which had been left out in a previous release
* Fixed: More strict matching in Pod::findRecords for field names, instead of just removing '(' and ')', it now removes 'function_name(' first, so that fields with the same name as function names won't be pulled

= 1.12.3 - February 19, 2012 =

* Added: Pods UI findRecords parameters array now goes through a new filter called "pods_ui_findrecords"
* Fixed: Forcing boolean check if true in bypass_helpers in PodAPI
* Fixed: Pod Page automatic title generation now removed WP home path (for WP sites in sub-directories) (props @chrisbliss18)
* Fixed: nicEdit JS "A.createRange()||document.createRange()" fix for JS errors on certain browsers / uses
* Fixed: Pagination page_var usage (was forcing 'pg' var name no matter what), and fixed query array handling; Props to @thangaswamyarun for finding this one so we could fix it!
* Fixed: Pods UI search settings set correctly now (had to flip a true/false check and not have search_across take the bool value of search)
* Fixed: Pods UI filtering sets emptied values now, wasn't setting right if you had emptied a filter value when submitting (unselected drop-down)

= 1.12.2 - December 14, 2011 =

* Fixed: WP 3.3 TinyMCE Editor bug with HTML tab (wouldn't save if HTML tab was active during initial form load) and other minor fixes

= 1.12.1 - December 12, 2011 =

* Fixed: findRecords Order bug

= 1.12 - December 12, 2011 =

* Important: As with all upgrades, we take them seriously. If you experience any major issues when upgrading to this version from a previous version, immediately contact uhoh@pods.io and we'll help get your upgrade issue figured out (critical bugs only please)
* Security Update: AJAX API calls all utilize _wpnonce hashes, update your customized publicForm / input helper code AJAX (api.php and misc.php expect `wp_create_nonce('pods-' . $action)` usage)
* Added: Multi-level references in field names when referenced in Pod :: findRecords $params (`select, where, groupby, having, orderby`) - ex. `'where' =&gt; 'pick_field.another_pick_field.another_pick.field = "Example"'` **(donation-funded by @chriscarvache)**
* Added: Multi-level references in search filters when referenced in Pod :: findRecords $params (`select, where, groupby, having, orderby`) or Pod :: traverse variable (when not mentioned in params but you want it filterable) **(donation-funded by @chriscarvache)**
* Added: Lightweight Relationship (PICK) field support in Pod :: findRecords (2.0 full support in UI) **(donation-funded by @chriscarvache)**
* Added: Fully revamped JOINs based on field names when referenced in Pod :: findRecords $params (`select, where, groupby, having, orderby`) **(donation-funded by @chriscarvache)**
* Added: RegEx auto-sanitizing of field names when referenced in Pod :: findRecords $params (`select, where, groupby, having, orderby`) **(donation-funded by @chriscarvache)**
* Added: PodAPI :: duplicate_pod_item with $params as `'datatype' =&gt; 'podname', 'tbl_row_id' =&gt; $item_id_to_duplicate` (returns new id) **(donation-funded by @gr0b1)**
* Added: PodAPI :: export_pod_item with $params as `'datatype' =&gt; 'podname', 'tbl_row_id' =&gt; $item_id_to_export` (returns array of data - pick/file columns are arrays of their data) **(donation-funded by @gr0b1)**
* Added: PODS_STRICT_MODE constant to enable many features at once which are common settings for advanced developers including - Pagination defaults to off; Search defaults to off; PodAPI $params are auto-sanitized (stripslashes_deep if you already sanitized or are dealing with sanitized values in your $params)
* Added: Pod('pod_name', $params) ability to run findRecords straight away with one single line that also sets up the Pod object, $params must be an array
* Added: Option to use SQL_CALC_FOUND_ROWS or COUNT(*) for getting the total rows available (for use with pagination / Pod :: getTotalRows) setting 'calc_found_rows' or 'count_found_rows' to true in Pod :: findRecords $params (useful for complex queries on data)
* Added: Option to disable pagination altogether (separate from setting page to 1, but also forces page to be 1) in findRecords $params `'pagination' =&gt; false`
* Added: PODS_GLOBAL_POD_PAGINATION constant to globally disable pagination by setting the constant to false (can be renabled as needed in findRecords $params `'pagination' =&gt; true`)
* Added: PODS_GLOBAL_POD_SEARCH constant to globally disable search by setting the constant to false (can be renabled as needed in findRecords $params `'search' =&gt; true`)
* Added: PODS_GLOBAL_POD_SEARCH_MODE constant to globally set the search_mode to 'text', 'int', or 'text_like' (default 'int' which references field IDs) - can be overridden as needed in findRecords $params `'search_mode' =&gt; 'text'`)
* Added: PODS_DISABLE_EVAL constant to globally disable PHP eval() on PHP-enabled areas of Pods (Templates, Helpers, Pod Pages)
* Added: PODS_WP_VERSION_MINIMUM constant to disable WP minimum version requirement
* Added: PODS_PHP_VERSION_MINIMUM constant to disable PHP minimum version requirement
* Added: PODS_MYSQL_VERSION_MINIMUM constant to disable MySQL minimum version requirement
* Added: Pod :: getRowNumber() to get current row number and Pod :: row_number variable to internally be used to keep track of which row_number you're on in findRecords loop (incremented in fetchRecord)
* Added: Pod :: raw_sql contains SQL without @ table references replaced and Pod :: sql now should reflect the same query as hits the DB (@ table references replaced)
* Added: Pod :: getZebra() which uses a switch (Pod :: zebra) that goes from false to true during fetchRecord loops (initial value is false, first fetch switches it to true and reverses each additional fetch)
* Added: PodAPI :: save_template / save_page / save_helper now allow 'name' / 'uri' to be renamed on save (only in API, not UI)
* Added: PodAPI :: save_pod_item now accepts an array for $params-&gt;tbl_row_id which will let you save multiple items at a time using the rest of the $params
* Added: PodAPI :: delete_pod_item now accepts an array for $params-&gt;tbl_row_id which will let you delete multiple items at a time
* Added: Having trouble updating Pods but you know things should be OK (advanced users)? Try adding ?pods_bypass_update=1 to the page URL you're on to bypass the update
* Added: Pagination / Filters to pods_shortcode (ex. `[pods name="mypod" limit="15" pagination="1" pagination_label="Go to page:" pagination_location="after" filters="status,category" filters_label="Filter:" filters_location="before"]`)
* Added: pods_page_templates filter to get $page_templates for use in Pod Page editor, which allows support for Pods built into **iThemes Builder** coming soon (to select layouts)
* Added: When using pods_query and setting $error to false, will bypass die on MySQL error
* Added: When using Pods UI as an admin (manage_options capability), add 'debug=1' to the URL to see the currently used SQL query for a manage screen
* Added: pods_manage now returns $object
* Added: Sort classes now used to show current sort direction
* Added: PodAPI :: load_column now accepts 'name' and 'datatype' (id) parameters for lookup instead of only just 'id' of field
* Added: PodAPI :: load_helper now accepts 'type' parameter for lookup instead of only just 'id' and 'name' of helper
* Added: New function 'pods_function_or_file' that checks if a function or file exists based on a number of locations, used for Helpers / Templates / Pod Pages, filter available called 'pods_function_or_file' if you want to customize further
* Changed: Pod Page Precode now runs on 'after_setup_theme' action instead of 'plugins_loaded'
* Changed: pods_generate_key / pods_validate_key revamped to work off of wpnonce, though $_SESSION is still used for holding the columns from that form usage
* Changed: pods_sanitize now sanitizes keys (previously only values)
* Changed: Now using wp_hash instead of md5 to get the hash of a value
* Changed: PODS_VERSION_FULL removed and PODS_VERSION now set as real point version (ex. `1.12`), updated all checks for version to use PHP version_compare
* Changed: input_helper in column options returns only value instead of the actual 'phpcode' now during publicForm, which then enables file-based / function-based checks during input_field.php loop
* Changed: pods_unique_slug to work more efficiently
* Removed: $this-&gt;wpdb from Pod class (just a vestige of the past, now using global $wpdb)
* Removed: PodAPI / UI References to old Pods Menu functionality
* Fixed: jQuery Sortable include fix
* Fixed: WP 3.3 errors fixed in regards to new WP Editor API for TinyMCE (via @azzozz)
* Fixed: Tightened up uninstall.php and when it can be run to avoid accidental uninstalls (Reminder: When you delete Pods (and other plugins) within WP, you'll delete the files AND your data as we follow the WP Plugin data standard for uninstalling)
* Fixed: Pods &gt;&gt; Setup UI updated with lots of fixes when editing Pods / Columns, and Helpers (no more refreshes needed where they may have been needed before)
* Fixed: PodAPI setting of defaults for $params to avoid isset checks
* Fixed: PodAPI :: save_column now sets pick-related extra data to empty if not a pick column
* Fixed: Pod :: getRecordById() now gets all of the same data as findRecords pulls in (pod_id, created, modified)
* Fixed: pods_url_variable references updated to pods_var
* Fixed: SQL cleaned up (extra line breaks removed so it's not as ugly) and standardized to escape field names in SQL references

= 1.11 - August 12, 2011 =

* Improved: MySQL performance enhanced with a number of MySQL indexes and column type tweaks, your DB will be automatically upgraded for you
* Added: PodInit :: setup now has filters / actions that run before / after install and updates
* Added: PodInit :: setup now explicitly sets CHARSET / COLLATE options as defined in wp-config ($wpdb->charset / $wpdb->collate)
* Added: PodInit :: precode now runs action 'pods_page_precode' after a Pod Page's precode is run (if any) and allows you to intercept the global $pods variable to force a Pod Page to stop running (issue a 404 by $pods = 404;) and other modifications to $pods global
* Added: PodInit :: admin_menu now checks if PODS_DISABLE_ADMIN_MENU is defined and set to true, which will hide all of the Pods menus (except for top-level Pod menus)
* Added: PodInit :: wp_head now checks if PODS_DISABLE_VERSION_OUTPUT is defined and set to true, which will hide the Pods version from Pod Pages
* Added: Set Meta Property Tags in your Pod Page precode, just setup $pods on your Pod object, and assign $pods->meta_properties as an array with any other meta property tags you want put on that page (useful for quick and dynamic meta tags dependant on Pod information)
* Fixed: Pods UI bug with filters / searches not working fixed, added a $strict variable to pods_ui_var and pods_var for clearer values (strict mode returns default if value found is empty)
* Fixed: pods_var bug with strtolower PHP warning when managing content
* Fixed: PodAPI :: export_package now removes sister_field_id from field data being exported as it could cause issues with incorrect bi-directional mapping to fields on reimport (expect to rebuild bi-directional field relationships upon import of packages going forward)
* Fixed: PodAPI :: save_column now reserves the field names 't' and 'p' for internal use as aliases
* Fixed: Pod :: lookup_row_ids now forces (int) on values given, also allows $tbl_row_ids to be array instead of only just comma-separate string as before
* Fixed: Pod :: findRecords now looks in 'select' parameter to find fields that need to be included
* Fixed: Pod :: showform now forces (int) on explicitly values that hit the DB
* Fixed: Various PHP notice fixes and query updates to improve performance (to maximize performance on custom queries, update wp_pod queries to use datatype first then tbl_row_id if it's not already in WHERE statements, do same for wp_pod_rel on field_id and pod_id)

= 1.10.7 - August 9, 2011 =

* Fixed: /ui/ajax/api.php which added extra slashes unnecessarily

= 1.10.6 - August 9, 2011 =

* Added: pods_var function to replace pods_url_variable (better name, more functionality), now handles URL segments, $_GET, $_POST, $_SESSION, $_COOKIE, $_SERVER, CONSTANT, User meta, custom arrays, and custom objects - also added a $default option to set what it should default to if not found (default: null) - also added a $allowed option to set what values are allowed to be returned, if $output is not $allowed ($allowed is array and not in $allowed OR $allowed is not array and does not equal $allowed) then $default is returned
* Added: pods_var_set function to set variables, operates similar to pods_var, has three variables ($value, $key, $type) and returns $value on success (if $type is an array or object it will return the updated $type, if $type is 'url' it will return the full updated $url)
* Fixed: Now using get_current_url() and parse_url to get path versus $_SERVER['REQUEST_URI']
* Fixed: Replaced mysql_real_escape_string usage with esc_sql
* Fixed: Backslashes being automatically added and causing issues with additional urlencoding and esc_attr usage

= 1.10.5 - August 9, 2011 =

* Added: $pods->meta_extra now outputs after the meta tags when wp_head runs in case you want to output one-off meta tags for a specific page using pre-code without extra WP functions
* Fixed: When adding a helper, it will now be added to the 'input helper' drop-down too
* Fixed: Pods non-top-level management has session filters turned off now by default
* Fixed: Taxonomy PICK unique values handler fixed to reference 't.term_id' instead of just 'id'
* Fixed: Pagination now using esc_url correctly, which wasn't being used right in 1.10.4
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Reminder: Pods 2.0 and How You Can Help - http://dev.pods.io/2011/06/16/pods-2-0-and-how-you-can-help/

= 1.10.4 - August 1, 2011 =

* Fixed: Pods UI was breaking 'view' links
* Fixed: Pods UI reordering fixed
* Fixed: Better errors for when a Pod doesn't exist to replace SQL errors
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Reminder: Pods 2.0 and How You Can Help - http://dev.pods.io/2011/06/16/pods-2-0-and-how-you-can-help/

= 1.10.3 - July 30, 2011 =

* Fixed: Shortcode 'where' parameter fixed
* Fixed: Body Class for Pod Pages not replacing / with - correctly and leaving an extra - at the end with wildcards
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Reminder: Pods 2.0 and How You Can Help - http://dev.pods.io/2011/06/16/pods-2-0-and-how-you-can-help/

= 1.10.2 - July 29, 2011 =

* Added: Moved the demo.php file from the Pods UI plugin over as pods-ui-demo.php and can now be found distributed with this plugin in the /demo/ plugin.
* Fixed: PHP error with new Version to Point function
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Reminder: Pods 2.0 and How You Can Help - http://dev.pods.io/2011/06/16/pods-2-0-and-how-you-can-help/

= 1.10.1 - July 28, 2011 =

* Added: New wp_pod and wp_pod_tbl_* table fix tool under Pods >> Setup >> Settings tab to resync your wp_pod table (clear orphans in wp_pod, and sync from wp_pod_tbl_* to wp_pod what doesn't already exist) - Useful for those who imported directly to wp_pod_tbl_* but forgot to import into wp_pod
* Added: Set Meta Tags in your Pod Page precode, just setup $pods on your Pod object, and assign $pods->meta as an array with 'description', 'keywords', or any other meta tags you want put on that page
* Added: Set Title Tag via $pods->meta['title'] (see Meta Tags feature listed directly above) which overrides what you might have in your Pod Page Title field
* Added: Set Body Classes via $pods->body_classes (as a string, like $pods->body_classes = 'one-class another-class')
* Added: Dynamically set your Pod Page template via $pods->page_template to set the filename, compatible with parent / child themes (fallback on currently selected Pod Page template, pods.php or default output)
* Improved: Added many new filters / actions to PodInit functions for advanced customization via other plugins
* Improved: On duplicate, Pods UI will now show the 'Add Another' and 'Add another based on this item' links again (instead of only on first add but not after duplicating)
* Improved: PodAPI :: save_pod now returns the $pod data (via PodAPI :: load_pod) if $params->return_pod is set to true
* Fixed: Pod :: getFilters now using the correct 'label' for the search button
* Fixed: On uninstall, now deleting options WHERE option_name LIKE 'pods_%'
* Fixed: Various minor bug fixes
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Reminder: Pods 2.0 and How You Can Help - http://dev.pods.io/2011/06/16/pods-2-0-and-how-you-can-help/

= 1.10 - July 28, 2011 =

* Added: Full revamped UI for Content Management via Pods UI (you no longer need two separate plugins - Pods and Pods UI)
* Added: TinyMCE is now the default visual editor in WP Admin pages (nicEdit remains default for frontend forms), you can still use the newly updated TinyMCE for Pods package to customize this
* Improved: Added many new filters across functions.php for advanced customization via other plugins
* Improved: Admin Notices are now shown if you aren't running the minimum version of WordPress, PHP, and/or MySQL
* Improved: Updated version handling of PODS_VERSION
* Fixed: Updated Pod :: get_dropdown_values to work off of $params object instead of the old ${$key} = $value
* Fixed: Updated Pod :: findRecords to check if 'select' from $params is empty (and only to set it if it's not empty)
* Fixed: Updated Pod :: findRecords to cast (int) on certain values set via $params
* Fixed: Updated Pod :: findRecords to INNER JOIN the wp_pod_tbl_podname table prior to other joins (now you can reference t.field_name in your custom 'join' from $params)
* Fixed: Updated Pod :: getFilters to use the field label (if set), falling back on name (used to only be based on name)
* Fixed: publicForm now sets columns explicitly to those that exist instead of passing null if fields not set
* Fixed: PodAPI :: __construct now uses PodAPI :: load_pod to setup the pod and it's fields instead of doing the calls itself
* Fixed: PodAPI :: load_pod simplified
* Fixed: PodInit :: init now checks if WP_DEBUG is on in addition to if headers_sent to set session_start()
* Fixed: Moved Package Manager to below Setup and above Manage Content to keep Manage Content next to the Add podname sub-menu items
* Fixed: Pods >> Setup >> Pods tab updated so when you add/remove Pods it will adjust the related to drop-down in field settings (previously it didn't show it until you refreshed the page)
* Fixed: Pods >> Setup >> Pods tab under Field settings section updated to show/hide relevant fields if a pick (or not)
* Fixed: Pods >> Setup >> Pods tab to reset the Pod settings fields correctly when switching to different Pods or adding / removing them
* Fixed: Pods >> Setup >> Helpers tab updated so when you add/remove Helpers it will adjust the pre/post save/drop helpers drop-downs in the Pods tab (previously it didn't show it until you refreshed the page)
* Fixed: Pods >> Setup >> Helpers tab updated so when you add Helpers it will set the helper_type in parentheses correctly (previously it didn't show it until you refreshed the page)
* Fixed: misc.php updated to work off of $params object instead of the old ${$key} = $value
* Fixed: Updated TinyMCE $wp_editor (developed by @azaozz) to hide WP 3.2 fullscreen buttons and only show native TinyMCE fullscreen button
* Fixed: Various PHP notice fixes and escape/sanitization on output across Pods
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Reminder: Pods 2.0 and How You Can Help - http://dev.pods.io/2011/06/16/pods-2-0-and-how-you-can-help/

= 1.9.8 - July 24, 2011 =

* Added: New Option to override existing packages during package import
* Added: Pods and additional database calls are not initiated (but you can run the code as the files are included) when SHORTINIT is defined and set to true (also does not load much of WP itself)
* Added: Pods will now check the version of Pods a package was exported from and display notices if it 'might' be incompatible (based on the minor version in major.minor.patch), and an additional two variables (compatible_from and compatible_to) are available within the 'meta' array which will get utilized in the new Pods site revamp within the Package Directory
* Improved: Enhanced display / error information and implementation for package import
* Fixed: Package export bug that generated an 'empty' package when you click 'Export' without anything selected
* Fixed: No longer calling $pods_roles immediately, only used when needed in the code
* Fixed: &$referenced the $pods_cache variable to $cache for backwards compatibility - use $pods_cache going forward
* Fixed: Minor PHP warnings/notices that come up when WP_DEBUG is defined and set to true
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/

= 1.9.7.4 - July 14, 2011 =

* Fixed: esc_html replaced with esc_textarea for Package Export and textarea usages to prevent breaking html entities
* Fixed: Errors when you enter a field that doesn't exist, for inclusion in a publicForm

= 1.9.7.3 - July 6, 2011 =

* Fixed: Uploader cookie-handling for advanced usage (1.9.7.2 wouldn't appear on wp.org)

= 1.9.7.1 - July 6, 2011 =

* Fixed: Fix for relationships / file saving (error 500 fix)

= 1.9.7 - July 5, 2011 =

* Added: 'having' parameter to Pod :: findRecords
* Added: #spacer_$name ID is now set on the spacer (div.pods_form div.clear) directly after a field) for clean UI when utilizing advanced CSS / jQuery usage; Also increased spacing by 5px
* Improved: Increased integer limits on IDs throughout the database to allow for more (or just higher ID #'s)
* Improved: File Uploader now links after upload, instead of only on loading a form with existing files (or after saving)
* Fixed: Now looking at 'groupby' parameter for any additional PICK fields to be JOINed
* Fixed: PodAPI :: fields now gets label in addition to name
* Fixed: Sometimes when a non integer is sent, SQL errors show up (but not a sanitization issue, it was a casting issue)
* Fixed: Using esc_html in place of htmlentities (out with the old, in with the standards, more in 2.0)
* Fixed: Now explicitly sending content encoding type (based on WP settings) in AJAX returns
* Fixed: TinyMCE API update from @azaozz with additional WP 3.2 support
* Fixed: File Upload field now checks if user has access to upload and/or browse before showing the UI for those (regardless, access when trying to actually use the UI before was still closed off)
* Fixed: Removed htaccess.txt which was no longer referenced or used
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/

= 1.9.6.3 - June 24, 2011 =

* Fixed: JS optimization and fixes for nicEdit (also now no longer outputting pods-ui.js on every page)
* Fixed: Non Top-level menu Pods now appearing in alphabetical order under Pods menu
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/

= 1.9.6.2 - June 23, 2011 =

* Fixed: TinyMCE API update from @azaozz with additional WP 3.2 support
* Fixed: Pod Page Precode $pods = 404; bug that wouldn't produce the default WordPress 404 error page
* Fixed: Fix for nicEdit JS error during init that breaks forms (when on a non top-level menu Pod AJAX-loaded form)
* Fixed: Fix for PICK error during save that errors out trying to save selections as 'undefined' (when on a non top-level menu Pod AJAX-loaded form)
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/

= 1.9.6.1 - June 23, 2011 =

* Fixed: Fix for nicEdit JS error during init that breaks forms
* Reminder: 1.9.6 Security Update information can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/

= 1.9.6 - June 22, 2011 =

* Full Details can be found at: http://dev.pods.io/2011/06/22/pods-1-9-6-security-update-new-features-bug-fixes/
* Security Update: New security settings section in the Pods >> Setup >> Settings tab to restrict access to the File Browser / Uploader used in publicForm, adjust the settings to fit your site if you experience any problems
* Added: New TinyMCE API for use with the new TinyMCE package update at http://pods.io/packages/tinymce-for-pods/
* Added: New get_current_url() function to get current page URL
* Fixed: pod_page_exists() bug with $home path
* Fixed: publicForm bug with $css_id always using form_count 1 (now uses correct $form_count)
* Fixed: Access to Pod Pages tab in Pods >> Setup menu (manage_pages >> manage_pod_pages)
* Fixed: Added $params and $columns to actions for pods_pre_save_pod_item and pods_post_save_pod_item in PodAPI :: save_pod_item
* Fixed: Moved $params->pod_id and $params->tbl_row_id setup to above pre_save_helpers run in PodAPI :: save_pod_item
* Fixed: tbl_row_id now sent in publicForm (not just pod_id)
* Fixed: WP 3.2 bugs regarding jQuery upgrade to 1.6.1
* Fixed: PHP warnings dependant on error_reporting level and PHP version

= 1.9.5.1 - April 7, 2011 =

* Fixed: dot-traversal in Pod :: get_field

= 1.9.5 - April 7, 2011 =

* Added: Multisite (3.0+) Network Activation support - Now when you click Network Activate, Pods will install itself correctly across all sites (and new sites as they are added)
* Added: Third option "$thankyou_url" in publicForm($columns, $label, $thankyou_url) which changes what happens when a form is submitted
* Added: Pod :: findRecords - New 'total' variable separate from getTotalRows(), call $record->total to get the number of results in _current_ query
* Added: For sites that don't use Pod Pages, there is now a new check if defined('PODS_DISABLE_POD_PAGE_CHECK') to disable the Pod Page check on each page load
* Improved: Drop / Reset Pod now does a little validations on ID / Name of Pod
* Fixed: File Uploads failed to save to the Pod item when themes / plugins output erroneous whitespace during their init
* Fixed: Various PHP warnings cleaned up (was showing when WP_DEBUG and other debugging is turned on)

= 1.9.4 - October 20, 2010 =

* Fixed: Pod Pages - Only match Pod Page URIs that match current depth (specifically when using wildcards)
* Fixed: $groupby referenced but not used - and $orderby should be allowed to be empty (gives error if it is)
* Fixed: Allow Pod Pages on domains other than contained in wpurl
* Fixed: Pod :: get_dropdown_values wp_taxonomy Filter Query fix

= 1.9.3.1 - October 4, 2010 =

* Fixed / Added: Pod :: findRecords - Add param for groupby since where is now surrounded in ( ) - resolving the issue introduced in 1.9.3
* Fixed: Pod :: findRecords - Filtering should run through $search variable instead of $where

= 1.9.3 - October 1, 2010 =

* Fixed: PodAPI :: csv_to_php - Field Name not un-escaped like Field Values (quotes)
* Fixed: Pod :: findRecords - $limit / $where / etc should only run if $sql is empty
* Fixed: Pod :: findRecords - $where (if not empty) should be surrounded in parethesis
* Fixed: mysql_real_escape_string - Needs an identifier to avoid PHP warnings
* Fixed: $this->page should be no lower than 1
* Fixed: PodAPI :: load_pod_item - Undefined Property fix
* Fixed: Manage Pods - JS Error with .length on null var
* Fixed: Manage Content - Browse / Edit tabs + Filtering fixes
* Fixed: Pod :: publicForm - CSS .hidden not targeted in stylesheet
* Fixed: PodInit :: body_class - Pulling REQUEST_URI instead of Pod Page URI
* Fixed: PodInit :: init - htaccess check not necessary, not all users will use Pod Pages

= 1.9.2.2 - September 23, 2010 =

* Fixed: Older method of array('datatype'=>'x','columns'=>array('name','other_col'),'name'=>$name,'other_col'=>$other_col) with save_pod_item now work when saving (to allow an easier upgrade path for those using already built code that utilize it)

= 1.9.2.1 - September 23, 2010 =

* Fixed: Adding / Editing items weren't saving properly

= 1.9.2 - September 23, 2010 =

* Added: Ability to use filters / actions to add new Column Types to Pods
* Added: Filters - pods_admin_menu_name / pods_admin_menu_label / pods_admin_submenu_name / pods_admin_submenu_label / pods_rel_lookup / pods_get_dropdown_values / pods_findrecords_the_join / pods_findrecords_join / pods_showform_save_button_atts / pods_showform_save_button / pods_column_dbtypes / pods_column_types
* Added: Actions - pods_pre_pod_helper / pods_pre_pod_helper_$helper / pods_post_pod_helper / pods_post_pod_helper_$helper / pods_pre_showtemplate / pods_pre_showtemplate_$tpl / pods_post_showtemplate / pods_post_showtemplate_$tpl / pods_pre_input_field / pods_pre_input_field_$name / pods_pre_input_field_type_$coltype / pods_input_field_type_$coltype / pods_post_input_field / pods_post_input_field_$name / pods_post_input_field_type_$coltype / pods_pre_form / pods_pre_form_{Pod :: datatype} / pods_post_form / pods_post_form_{Pod :: datatype}
* Added: Automatic File Column Upgrade during DB Update from Pods below version 1.7.6
* Added: Pod :: findRecords($params) can now be used where $params is an key/value array containing 'select' (t.*, p.id AS pod_id, p.created, p.modified), 'where' (null), 'join' (empty), 'orderby' (t.id DESC), 'limit' (15), 'page' (Pod :: page), 'search' (Pod :: search), and 'sql' (null) for future proofing variable expansion
* Added: save_pod_item has a new var in $params to be used - bypass_helpers (default: true) which can be set to false to not run any pre/post save helpers
* Improved: Parent / Child Theme integration uses core WP functions to lookup templates
* Improved: pods_access now uses current_user_can for 'administrator' role check, converts $method to upper case, also looks for a capability of pods_administrator for full access
* Improved: DB Update code revised
* Improved: Using $wpdb->tablename format for WP Core table names in all code
* Improved: PodAPI :: import now checks if the $data is an array of items or if it's a single-item array
* Improved: Input fields have name attribute * Added to them (except multi-select pick field which works off of a div and the file upload field)
* Fixed: File Upload field checks version of WP to get correct button height
* Fixed: PodAPI :: import and pick values work correctly now
* Fixed: PodAPI :: save_pod_item works with tbl_row_id parameter correctly now
* Fixed: PodAPI :: reset_pod works correctly now
* Fixed: PodAPI :: drop_pod_item works with tbl_row_id parameter correctly now
* Fixed: pods_url_variable now removes the hash (#) part of the url - On a side note, avoid use of pods_url_variable(-1) and other negative numbers as it is not always the level you expect in wildcard Pod Pages
* Fixed: Revised AJAX-based drop_pod_item access check, you can now drop an item if a user has pod_$podname access but NOT manage_content access (previously denied)
* Fixed: Date Input offset uses this.input.position() instead of this.input.offset() now
* Fixed: Pod Page Template select gets/saves page.php correctly now when page.php doesn't have a Template Name
* Fixed: File Browser display CSS fix
* Deprecated: Instead of using wp_users you should use $wpdb->users (along with other Core WP table names)

= 1.9.1 - August 13, 2010 =

* Added: Support for Multisite Environment URLs and Super Admin role
* Added: Filters for Manage Tabs (to allow Pods UI to enhance these areas)
* Added: page.php now appears as "Page (WP Default)" in the Page Template list if page.php has no "Template Name" and exists in the theme (previously did not show up)
* Added: $is_new_item to save_pod_item() in PodAPI for use in Pre-save and Post-save Helpers -- $is_new_item = true if adding an item, $is_new_item = false if editing an item
* Fixed: drop_pod() in PodAPI function reference fix
* Fixed: validate_package() in PodAPI assumed array, now it checks if the $data is an array

= 1.9.0 - July 29, 2010 =

* Added: Integration with body_class() - When on a Pod Page, two classes are added: pods, pod-page-URI-GOES-HERE; and if $pods is defined as a Pod another is added: pod-POD-NAME-GOES-HERE
* Added: pods_admin css class to wrap divs in Admin UI
* Added: New Pods Icon set for primary Pods menu and Pods Setup heading
* Added: pods_api_$action filter runs before $action runs in AJAX API operations
* Added: Support for tbl_row_id in save_pod_item, drop_pod_item, and load_pod_item params as alternative to pod_id (to eventually fully replace pod_id support)
* Added: reset_pod() added to PodAPI class to delete all Pod Items from a Pod without deleting the Pod itself
* Added: reorder_pod_item() added to PodAPI class to quickly and easily mass edit a number field for reordering purpose
* Added: Bulk save_pod_item() operations added in PodAPI class with new 'data' parameter ('data' should contain an array of 'columns' arrays)
* Added: Files previously uploaded will now be linked to the location in the file list for a column
* Improved: New $api->snap variable can be set to true in PodAPI class to silence all die() functions and throw them as Exceptions to improve API-based operations in advanced setups
* Improved: pod_query() now trims $sql once instead of three times
* Improved: pod_page_exists() now has a $uri parameter to pull data on a Pod Page at another URI than REQUEST_URI gives
* Improved: pods_access() now supports checking multiple at a time with addition of second parameter $method (AND/OR) and accepting an array for $priv
* Improved: Admin UI / Form Fields now have maxlength attributes on input fields with length restrictions
* Improved: Extended maximum length for Helper names, Template names, and and Field Comments to 255 characters
* Improved: Made Debug Information on Settings tab easier to read
* Improved: drop_pod() in PodAPI class now clears Pod items in a more efficient way
* Changed: DB update trims all Pod Pages of their beginning and trailing slashes "/" which previously were allowed but are now stripped during the saving process (normalization)
* Changed: save_page() in PodAPI class now strips beginning and trailing slashes "/" from URI before save
* Changed: Moved Package operations into PodAPI class
* Changed: Moved jqmWindow in Admin UI into wrap div and the pods_form div in the content form
* Changed: PodAPI class now returns all IDs instead of die("$id")
* Changed: import() in PodAPI class now uses save_pod_item() which gives it full support for bi-directional relationships
* Fixed: load_pod_item() in PodAPI class no longer interferes with input helpers access to the data of a Pod Item as the Pod class is now initiated with an $id
* Fixed: api.php now requires manage_pods priv to run load_sister_fields action
* Fixed: Menu now runs after most plugins to avoid conflicts
* Fixed: Menu no longer shows to any user, checks access via Pod roles
* Fixed: pod_query() now checks against FOUND_ROWS() instead of FOUND ROWS() to cache or not
* Fixed: style.css now uses the .pods_admin and .pods_form class selectors for each style defined to avoid overwriting other element styles on a page
* Removed: package.php has been removed from AJAX operations as code has been moved into PodAPI class

= 1.8.9 - July 7, 2010 =

* Changed: Minor UI changes
* Changed: author_id now getting stored
* Fixed: Add / Edit javascript fix

= 1.8.8 - May 23, 2010 =

* Fixed: bi-directional relationships

= 1.8.7 - April 16, 2010 =

* Fixed: error when editing a unique field
* Fixed: API handling for drop_pod_item

= 1.8.6 - April 14, 2010 =

* Fixed: saving an empty pick column throws an error

= 1.8.5 - April 13, 2010 =

* Changed: save_pod_item improvements, see http://bit.ly/d4EWDM
* Changed: proper PHPdoc commenting
* Fixed: timezone issues
* Added: ability to override pager var ($this->page_var)
* Added: load_helper, load_pod, load_template, drop_helper, drop_pod, drop_template methods support the "name" field as well as the id
* Added: load_page, drop_page methods support the "uri" field as well as the id

= 1.8.2 - February 14th, 2010 =

* IMPROVED: PICK taxonomy support (not just categories)
* IMPROVED: "Browse Content" styling
* ADDED: import/export file column support
* FIXED: magic tag bug with "wp_" column names
* FIXED: replaced str_split for PHP4 users
* FIXED: $_POSTs in save_pod_item (API)
* FIXED: weird Pod Page chars added when using nginx proxy

= 1.8.1 - January 17th, 2010 =

* ADDED: Pre-drop and Post-drop helpers
* ADDED: Several plugin hook actions, e.g. "pods_pre_save_pod_item"
* IMPROVED: bypass Pod Pages when $pods = 404
* IMPROVED: <label> added to each input field
* IMPROVED: Before/After helpers are now Pre-save/Post-save helpers
* FIXED: date picker for Public Forms
* FIXED: IE issue when saving a form

= 1.8.0 - January 5th, 2010 =

* IMPROVED: custom publicForm() ordering
* FIXED: DB error when using Input Filters
* FIXED: UTF-8 characters in "code" columns

= 1.7.9 - December 17th, 2009 =

* ADDED: full API for database IO
* ADDED: support for wp-config.php above webroot
* IMPROVED: AJAX requests now go through the API
* IMPROVED: nicEdit.js and swfupload.js load only when needed
* IMPROVED: New MySQL tables use UTF-8
* FIXED: PHP warnings break AJAX output
* FIXED: Removed <br /> from default nicEdit output
* FIXED: "headers already sent" warning
* FIXED: IE issue with the datepicker

= 1.7.8 - November 13th, 2009 =

* IMPROVED: file column: "Browse Server" feature
* IMPROVED: File uploader automatically detects max upload size
* FIXED: PHP warning on Roles page when no pods exist

= 1.7.7 - November 6th, 2009 =

* FIXED: bug when renaming columns
* FIXED: bug with duplicate file progress bars
* FIXED: nicEdit width bug in IE
* FIXED: uninstall script
* FIXED: bug with Pod Pages not being found (for WP subdirectory installs)
* FIXED: state + country data not being loaded with clean install

= 1.7.6 - October 27th, 2009 =

* NOTE: BACKUP YOUR DATABASE BEFORE UPGRADING!
* IMPROVED: Brand new file uploader
* IMPROVED: Complete file column integration w/ WP Media Manager
* ADDED: Drag-n-drop column sorting under "Manage Pods"
* IMPROVED: get_field() to support new file columns
* FIXED: Bug when adding a new PICK column

= 1.7.5 - October 15th, 2009 =

* FIXED: Pod Page precode couldn't access some WP core functions
* FIXED: Now using STYLESHEETPATH instead of TEMPLATEPATH (for child theme support, thanks xentek)
* FIXED: Killed the pesky 404 for Pod Pages (thanks Scott)
* FIXED: Pods menu won't appear for users with no access (thanks Scott)
* IMPROVED: Interface cleanup (*ahem* Welcome page)
* ADDED: Help text within the Pods management panel
* ADDED: Ability to view the changelog from within the Welcome page
* ADDED: is_pod_page() function

= 1.7.4 - September 30th, 2009 =

* ADDED: Multiple public forms on a single page
* ADDED: Submit button "label" parameter for publicForm()
* FIXED: better SESSION conflict handling
* FIXED: When editing an item, public forms would overwrite ALL columns (even when a user specifies columns to use)

= 1.7.3 - September 21th, 2009 =

* ADDED: Detail Page option under Manage Pods
* IMPROVED: pagination hidden unless needed
* IMPROVED: role manager now using checkboxes
* IMPROVED: pods_url_variable() now supports POST and SESSION variables
* FIXED: rare jQuery conflict that disabled the submit button on Public Forms
* CHANGED: Magic Tag functionality with PICK columns (see "print_field" package)


= 1.7.2 - September 2nd, 2009 =

* ADDED: dot-traversal for get_field() and Magic Tags (thanks JP)
* IMPROVED: public form security (less "Form token expired" nags, better validation)
* IMPROVED: slug columns are now *really* unique
* IMPROVED: more efficient findRecords() - table JOINs are only used when needed
* FIXED: minor bug when determining which Pod Page takes precedence (thanks Scott)
* FIXED: major permissions bug with pods_access (thanks Scott)
* FIXED: The default column type was blank in Safari
* FIXED: fatal bug when importing a CSV file with the Pods API (thanks Andy)
* FIXED: Pod() input parameters now being sanitized (thanks Scott)
* FIXED: session_start() moved into the WP "init" hook (to play nice with Shopp and other plugins)

= 1.7.1 - August 16th, 2009 =

* ADDED: Pods API (for importing and exporting data)
* FIXED: bug when using the "PICK filter" option with WP Posts/Pages

= 1.7.0 - July 25th, 2009 =

* FIXED: fresh install bugs from 1.6.8 and 1.6.9 (really!)

= 1.6.9 - July 24th, 2009 =

* FIXED: Fatal error upon fresh install

= 1.6.8 - July 24th, 2009 =

* IMPROVED: Public Form security
* ADDED: Built-in support for JSON (for servers without it)
* ADDED: Two new constants: PODS_DIR and PODS_URL
* FIXED: Dropdown positioning bug in Manage Pods
* FIXED: Some reported warning messages within Manage Roles
* FIXED: Red asterisk (*) not appearing for required fields

= 1.6.7 - June 27th, 2009 =

* ADDED: Shortcode
* CHANGED: output buffering added to showTemplate() -- use "echo" to output
* FIXED: Public forms

= 1.6.6 - June 23rd, 2009 =

* IMPROVED: Package Manager UI
* ADDED: new $action parameter for getFilters()
* ADDED: the column box "jiggles" to grab the user's attention
* FIXED: rare bug with bi-directional relationships (thanks Scott)
* FIXED: potential bug when using Pods with https:// (thanks Scott)
* FIXED: column comments weren't getting saved (thanks Scott)

= 1.6.5 - June 10th, 2009 =

* FIXED: column order not being respected (thanks Mike)
* FIXED: Pod Pages when WP is installed in a subdirectory (thanks Jonah)
* FIXED: error handling when trying to add a column without a name
* FIXED: Menu Editor bug (will require WP 2.8)

= 1.6.4 - June 7th, 2009 =

* CHANGED: usability and design overhaul
* ADDED: Input helpers (you now have to ability to completely customize each individual input field!)
* FIXED: file picker when WP is installed in a subdirectory
* IMPROVED: minor code tweaks; slightly greater improved performance
* IMPROVED: added INDEXES to several Pod tables (for fresh installs)
* CHANGED: moved the code for displaying fields out of Pod.class.php (now in core/input_fields.php)

= 1.6.3 - June 2nd, 2009 =

* FIXED: bug when deleting columns
* CHANGED: core files are in the /core/ folder

= 1.6.2 - May 28th, 2009 =

* IMPROVED: {@detail_url} magic tag
* IMPROVED: templates are now part of the Package Manager
* ADDED: pods_url_variable()
* FIXED: bug when trying to delete templates
* IMPROVED: better default examples (requires fresh install)
* IMPROVED: "country" and "list" pods are visible (requires fresh install)
* CHANGED: Pod Page URIs now do NOT need beginning or tailing slashes

= 1.6.1 - May 22nd, 2009 =

* FIXED: tiny (but critical) typo in Pod.class.php - thanks Scott!

= 1.6.0 - May 22nd, 2009 =

* CHANGED: Pod templates are now independent from Pods
* ADDED: PICK column filtering
* CHANGED: PHP code is now allowed within Pod templates (use with caution)
* FIXED: date picker now works on Public Forms
* Minor styling changes (work in progress)

= 1.5.9 - May 1st, 2009 =

* FIXED: the wordpress.org ZIP builder was stripping out the .htaccess file
* FIXED: list filter dropdowns
* IMPROVED: escaped DB columns (to prevent any conflicts with MySQL reserved words)
* FIXED: minor bug with the Package Manager
* UPDATED: jqModal
* IMPROVED: escaped special characters in the Admin browse area
* IMPROVED: get_content() now supports filter hooks (so other plugins can modify the Pods output)

= 1.5.8 - April 25th, 2009 =

* ADDED: Package Manager BETA
* FIXED: Using the $orderby parameter with get_field()
* FIXED: file uploader should now work with Public Forms
* IMPROVED: Suppressed WP "smart" redirects if a matching Pod Page exists

= 1.5.7 - April 10th, 2009 =

* IMPROVED: public forms now allow for editing existing items
* ADDED: jQuery added to form.php (in case it isn't called from the header)
* FIXED: error in pods_navigation HTML (thanks to Mark)
* IMPROVED: removed some global variable dependencies

= 1.5.6 - April 7th, 2009 =

* ADDED: {@created} and {@modified} as default Magic Tags
* FIXED: list filters (from version 1.5.4)

= 1.5.5 - March 21st, 2009 =

* FIXED: PICK category columns
* ADDED: sorting of PICK items: get_field($field_name, $orderby)
* ADDED: server information on the welcome screen
* FIXED: minor bug with retrieving a pod's slug

= 1.5.4 - March 12th, 2009 =

* ADDED: full PICK column support in findRecords() -- finally!
* FIXED: bool columns now default at 0 instead of null

= 1.5.3 - March 4th, 2009 =

* FIXED: access control can no longer be "hacked" through Firebug
* FIXED: users can no longer select a pick column -- Header -- by accident
* FIXED: blank slug columns stopped auto-generating in 1.5.1
* ADDED: {@type} Magic Tag (for getting an item's pod name)

= 1.5.2 - March 1st, 2009 =

* FIXED: minor bug when editing an existing Pod item
* FIXED: minor bug when de-selecting all of a PICK column's items

= 1.5.1 - February 28th, 2009 =

* ADDED: full helper functionality (Display, Before, After)
* IMPROVED: saving record data is now much more efficient
* FIXED: roles now work properly on server with non-standard table prefixes
* FIXED: unique PICK columns now work properly
* FIXED: Pods now works even when columns are named with a MySQL reserved word

= 1.5.0 - February 21st, 2009 =

* ADDED: helpers now have several different flavors:
	* Display helpers run right before a column is displayed
	* Before helpers run right before a record is saved (useful for validation, etc.)
	* After helpers run right after a record is saved (useful for confirmation emails, etc.)
* IMPROVED: UI on PodPages and Helpers pages
* IMPROVED: the plugin now remembers your last (admin) Pod tab on refresh
* ADDED: slug column type for creating permalinks (leaving it blank will auto-generate a slug based on the name column)
* ADDED: "unique" & "multiple" column options (single select PICK lists!)
* ADDED: Page Templates (files in your theme folder) can now be selected for PodPages
* ADDED: a slug can be passed into the 2nd parameter of a new Pod() instead of an ID
* Numerous improvements to DB structure (removed all wp_posts dependencies)
* FIXED: associated rows in wp_pods are properly deleted with a datatype
* FIXED: update script when upgrading from < 1.3.2

= 1.4.9 - February 11th, 2009 =

* ADDED: Ability to choose WP Page, WP Post, WP User from PICK columns
* CHANGED: Widgets are now called Helpers (to clear confusion)
* FIXED: Role manager now works properly with Manage Pods
* FIXED: Warnings on Roles page
* ADDED: Welcome page

= 1.4.8 - February 10th, 2009 =

* Added role management/access control support
* Improved public forms (date picker & file picker work)
* Fixed bug with sister fields (bi-directional relationships)
* Fixed zebra stripes on content listing pages (in Admin)
* Pods now requires PHP 5.2 or above

= 1.4.7 - February 3rd, 2009 =

* Cleaned up admin interface
* Added pod_widget() function - now you can use widgets in PodPages or WP Template files
* Minor bugfix with Page Title generation

= 1.4.6 - January 30th, 2009 =

* FIXED: Menu Editor wouldn't work if WP is installed in a sub-directory
* FIXED: The Pods menu now properly appears for Admins
* ADDED: set_field() function for storing class data

= 1.4.5 - January 27th, 2009 =

* ADDED: Menu Editor (easily create navigation menus)
* ADDED: Page Title option for PodPages
* ADDED: Page Template option for PodPages
* IMPROVED: Pods title generation
* Miscellaneous bugfixes

= 1.4.4 - January 24th, 2009 =

* FIXED: 404 status headers
* FIXED: uninstall.php now removes ALL pod items
* ADDED: button to easily add links in the WYSIWYG editor
* ADDED: lightweight access controls
* Admins can add/edit items and manage pods
* Editors can add/edit items for all Top Level pods
* Editors cannot manage pods/podpages/widgets/settings

= 1.4.3 - January 23rd, 2009 =

* ADDED: Pods can optionally be TOP LEVEL menu items
* CHANGED: Pod.class.php is auto-included (doesn't need to be manually added for WP Pages)
* FIXED: improved 404 handling
* FIXED: Pods would break when the "body" column was removed
* FIXED: column names are now properly formatted to prevent DB errors
* FIXED: when added, new columns now appear below existing columns
* FIXED: all Pod items are now deleted when their Pod gets dropped
* FIXED: SQL error when changing the column type to/from PICK
* FIXED: Some column fields were wrongly disabled under certain conditions

= 1.4.2 - January 17th, 2009 =

* CRITICAL BUGFIX: Saving PICK column data sometimes returned fatal "Cannot add sister relationships" error.

= 1.4.1 - January 16th, 2009 =

* FIXED (hopefully): Manually uploading Pods from a Windows PC to a Unix server cause hidden newline characters to be stripped from some files (e.g. ajax/load.php)
* CHANGED: $latest changed to $pods_latest to prevent conflicts with other plugins

= 1.4.0 - January 9th, 2009 =

* Added authentication to AJAX files to prevent non-admin access
* Added new column type: CODE (long text without the WYSIWYG editor)
* Fixed date picker bugs
* The {@detail_url} magic tag now works when WordPress is installed in a subdirectory
* The "body" column can now be optionally removed
* Improved redirection handling (init.php)

= 1.3.9 - January 6th, 2009 =

* Added lightweight date/time picker in Admin
* Added support for custom SQL query in findRecords()

= 1.3.8 - January 3rd, 2009 =

* Added uninstall.php
* Replace remaining mysql_query() functions with pod_query()
* Renamed initialize() to pod_init() to prevent conflicts
* All thanks to Scott Clark

= 1.3.7 - January 1st, 2009 =

* Installation bugfixes (init.php, dump.sql)
* Improvements to router.php
* NOTE: create pods.php in your theme directory and style per instructions in router.php

= 1.3.6 =

Missing changelog for this version.

= 1.3.5 =

* Fixes for "Reset database" option
* ajax calls use POST instead of GET (to bypass size limit)
* Fix for BOOLEAN types & options table

= 1.3.4 =

* Added "Reset database" option under Pods > Settings

= 1.3.3 =

* Fixed SQL statements that might've been breaking Pods on strict MySQL servers
* Added header META tag for Pods version identification

= 1.3.2 =

* Standardised SQL error reporting (thanks to Scott Clark)
* Added $where parameter to findRecords()
* Added preview of upcoming Layout Editor functionality
* Miscellaneous improvements

= 1.3.1 =

* All Pod tables are now prefixed with"pod_"
* Added WYSIWYG editor to all textareas when adding/editing Pod content
* Improved init.php and update.php for better versioning
* In "Manage Content", the modified date is being used instead of the creation date

= 1.3.0 =

* Bugfix: problem with dump.sql when fresh installing 1.2.9

= 1.2.9 =

* Bugfixes: problem saving new Pod items

= 1.2.8 =

* "Name" and "Body" column labels are now editable
* Minor bugfixes with "Browse Content" area

= 1.2.7 =

* NEW: "comment" field for columns (useful for containing tips)
* NEW: added wildcard support for using the same page code on multiple pages (e.g. /products/shoes/*)
* FIXED: pagination wasn't working in 1.2.6
* .htaccess installation step is now automated

= 1.2.6 =

* NEW: content is added without needing to relate it to a post
* Revamped admin menu
* NEW: admin page to browse all pod content
* UPDATED: sql/update.php to smoothly update the DB to 1.2.6 standards

= 1.2.5 =

* Support for custom table prefixes (thanks to Scott Clark)

= 1.2.4 =

* Fixed MAMP problem when loading initial DB data
* Added support for custom pagination label: $Record->getPagination('Go to page:');
* Minor code consistency and styling enhancements

= 1.2.3 =

* Greatly improved public forms: allows for columns to be hidden and/or filled with default values. Documentation coming shortly.

= 1.2.2 =

* Added support for public input forms

= 1.2.1 =

* Removed several PHP warnings when making database calls

= 1.2.0 =

* Added widgets functionality
* Added some default Pods, pages, and widgets on fresh install
* Changed magic tag parameter order: {@column_name, widget_name, text_before, text_after}

= 1.1.9 =

* Bug fix: links now working when WP isn't on the server root
* Bug fix: file picker determines correct upload path
* Numerous style enhhancements

= 1.1.8 =

* Added "Label" column field
* Added "Required" column option

= 1.1.7 =

* Bug fix: filtering now keeps you on the same list page

= 1.1.6 =

* Posts are automatically tagged with its related Pod (for easy searching in Admin) -- e.g. "pod-event"

= 1.1.5 =

* Single "Save" button when editing a post
* Support for both Visual and HTML editors

= 1.1.4 =

* Styling improvements

= 1.1.3 =

* Fixed get_post_id()
* Disallowed columns from being named "type" or "page"

= 1.1.2 =

* Pagination CSS support
* Moved custom pages from filesystem to the DB
* Added "Pods Pages" admin page manager
* Fixed "Related to" column when creating bi-directional relationships

= 1.1.1 =

* Support for "list filter" string override

= 1.1.0 =

* Added "edit_url" magic tag
* Better dropdown CSS formatting

= 1.0.9 =

* Fixed column editing, dropdown filters

= 1.0.8 =

* Fixed bug when deleting pods

= 1.0.7 =

* Fixed post deletion hook
* Fixed pagination when rows per page (rpp) <> 15

= 1.0.6 =

* Added AJAX file picker
* Improved magic tags support

= 1.0.5 =

* Allowed column type editing
* Removed excess icons

= 1.0.4 =

* Added show/hide controls for management page options

= 1.0.3 =

* Newly added pods are now clickable without refresh

= 1.0.2 =

* Added state & country tables

= 1.0.1 =

* Fixed boolean type
* Added readme.txt
